2001-05-21  Akim Demaille  <akim@epita.fr>

	Version 2.50.

2001-05-19  Akim Demaille  <akim@epita.fr>

	* tests/tools.at: s/undefined macro/possibly undefined macro/.

2001-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SEARCH_LIBS): Unobfuscate.

2001-05-19  Akim Demaille  <akim@epita.fr>

	* autoconf.sh: s/undefined macro/possibly undefined macro/.

2001-05-19  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Particular Programs): Explain the
	`AC_PROG_LEX invoked multiple times' message.
	Reported by Rainer Orth as PR Autoconf/177.

2001-05-19  Akim Demaille  <akim@epita.fr>

	* autoheader.sh: Fix file names used in error messages.
	Reported by Rainer Orth as PR Autoconf/178.

2001-05-19  Akim Demaille  <akim@epita.fr>

	* tests/compile.at (AC_PROG_CPP via CC): Invoke AC_PROG_CC instead
	if using `cc'.

2001-05-19  Akim Demaille  <akim@epita.fr>

	* tests/compile.at (GNU Fortran 77): Don't AS_EXIT when using
	AT_CHECK_MACRO since it skips tests embedded in configure.ac.
	Remove files which might have been created when invoking the
	compiler.
	Reported by Nicolas Joly.

2001-05-14  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Shellology): Document a quirk in
	here-document handling on OpenBSD.

2001-05-11  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_PROG_PREPROC_WORKS_IFELSE): No longer use the
	`maybe' strategy: first try cpp's exit status, then its stderr.
	(AC_PROG_CPP, AC_PROG_CXXCPP): Adjust.
	* tests/compile.at (AC_PROG_CPP via CC): Simplify mycc.
	Remove unrelated code.

2001-05-10  Akim Demaille  <akim@epita.fr>

	* tests/compile.at (AC_PROG_CPP via CC): New.
	From Daniel Carroll.

2001-04-27  Akim Demaille  <akim@epita.fr>

	If AC_PROG_CC is invoked but not AC_PROG_CPP, then CPPFLAGS is not
	AC_SUBST'ed.
	Reported by Ralf Corsepius.

	* aclang.m4 (_AC_ARG_VAR_CPPFLAGS, _AC_ARG_VAR_LDFLAGS): New.
	(AC_PROG_CC, AC_PROG_CPP, AC_PROG_CXX, AC_PROG_CXXCPP)
	(AC_PROG_F77): Use them.

2001-04-27  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_PROG_PREPROC_WORKS): Rename and extend as...
	(_AC_PROG_PREPROC_WORKS_IFELSE): this.
	Adjust to admit
	(AC_PROG_CPP, AC_PROG_CXXCPP): Use it.
	Reported by Daniel Carroll.

2001-04-26  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Use two backslashes
	before double quotes in the copyright notice, since the native
	OpenBSD shell removes single backslashes in here-documents with
	unquoted delimiters.

2001-04-25  Nicolas Joly  <njoly@pasteur.fr>

	* acgeneral.m4 (_AC_RUN_IFELSE): Clean `core' files.

2001-04-24  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi (The GNU build system): Add this chapter
	introducing Autoconf+Automake+Libtool, and fix references in the
	introduction.

2001-04-24  Akim Demaille  <akim@epita.fr>

	On HP-UX 10 `ranlib --version' creates `./--version'.
	Reported by Bob Proulx and Jim Meyering.

	* acgeneral.m4 (AC_CHECK_PROG, AC_PATH_PROG): Do not invoke the
	program with --version.

2001-04-22  Jim Meyering  <meyering@lucent.com>

	* acfunctions.m4 (AC_FUNC_MEMCMP): Remove `int main () {' and the
	trailing `}', since AC_LANG_PROGRAM provides them.

2001-04-20  Akim Demaille  <akim@epita.fr>

	* configure.in: Bump to 2.49f.

2001-04-20  Akim Demaille  <akim@epita.fr>

	Version 2.49e.

2001-04-20  Akim Demaille  <akim@epita.fr>

	* tests/foreign.at (Libtool): Ignore configure's stderr.

2001-04-20  Tim Van Holder  <tim.van.holder@pandora.be>

	* acgeneral.m4 (AC_OUTPUT): Close the descriptor before running
	config.status so config.log is properly created on MS-DOS.

2001-04-20  Nicolas Joly  <njoly@pasteur.fr>

	* tests/atspecific.m4 (AT_CHECK_AUTOUPDATE): Be robust to missing
	or broken autoupdate.
	* tests/tools.at: Likewise.
	* tests/Makefile.am (CLEANFILES): Also clean Libtool files.

2001-04-18  Tim Van Holder  <tim.van.holder@pandora.be>

	* acgeneral.m4 (_AC_INIT_SRCDIR): Handle
	backslashes (DOS paths) for $ac_confdir and $srcdir.

2001-04-17  Akim Demaille  <akim@epita.fr>

	Don't mess with FDs.

	* acgeneral.m4 (_AC_INIT_DEFAULTS_FDS): Remove, replace with
	inline setting up of AS_MESSAGE_FD.
	(AS_MESSAGE_LOG_FD): Do not define, so that AS_MESSAGE does not
	output in it before...
	(_AC_INIT_CONFIG_LOG): here, which is run after the handling of
	options.

2001-04-18  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Replace documentation for obsolete
	AC_LIBOBJ_DECL with clearer documentation for AC_LIBSOURCE
	and AC_LIBSOURCES, improving the AC_LIBOBJ docs as well.

2001-04-17  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Fixes for punctuation and grammar..  Replace
	"..." with "@dots{}" except when "..." is in literal code.

2001-04-17  Nicolas Joly  <njoly@pasteur.fr>

	* acgeneral.m4 (_AC_LINK_IFELSE): Be sure to remove temporary
	`conftest.$ac_objext', as some compilers may forget it.

2001-04-16  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_INIT_VERSION): Use AC_PACKAGE_NAME and
	AC_PACKAGE_VERSION only if they are defined.
	(_AC_OUTPUT_CONFIG_STATUS): Likewise.

2001-04-15  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Alter response on
	`config.status --version' to be more compliant with the GNU Coding
	Standards.

2001-04-13  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Still more minor modifications for clarity,
	felicity, and grammar.

2001-04-11  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi (AC_F77_WRAPPERS): Mention C++ as well as C.
	In the example, don't #ifdef F77_FUNC before using it, as that
	would push any errors to link-time rather than compile-time; note
	that the user can test this to invoke alternative behavior.

2001-04-11  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (Task script): Be sure that `forbidden.rx' and
	`allowed.rx' exist when AWK loads then.
	Reported by Rainer Orth.

2001-04-11  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: A few more minor modifications for clarity,
	grammar, and formatting.

2001-04-10  Lars J. Aas  <larsa@sim.no>

	* Makefile.am: AC_SUBST fixes for PACKAGE_NAME, VERSION, PACKAGE...
	* configure.in: Moved here.
	Suggested by Akim Demaille and Raja R Harinath.

2001-04-10  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS):  Re-enable logging to
	`config.log' from `config.status', but delay logging till after
	command line option processing.

2001-04-10  Lars J. Aas  <larsa@sim.no>

	* autoupdate.in (print_usage): print "\ at end of line does not
	work as expected, so change block to here-doc instead.
	(print_version): Same.

2001-04-09  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Replace all tab characters with (8) spaces,
	lest the formatting of example code, etcetera, be messed up.

2001-04-09  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Rephrase various parts for clarity, felicity,
	and/or grammar.

2001-04-09  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Clean up cache documentation: Document
	--config-cache/-C option, and recommend instead of --cache-file.
	Indent example AC_CACHE_VAL macros for clarity.  Add new
	"Cache Checkpointing" section for AC_CACHE_SAVE (and
	AC_CACHE_LOAD), so that the "Cache Files" section focuses solely
	on features visible to end-users (e.g. to better fit the cross
	references).  Various minor rewordings for clarity, felicity,
	and/or grammar.

2001-04-09  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Revert to "configure.in" in the history, since
	"configure.ac" wasn't used in the past, and in any case it is
	probably a good idea to preserve this section verbatim.

2001-04-09  Steven G. Johnson  <stevenj@alum.mit.edu>

	* AUTHORS: Fix grammar.

2001-04-09  Lars J. Aas  <larsa@sim.no>

	* Makefile.am: Manual addition of @PACKAGE@ substitution variable
	needed by dist rules.  Added explanatory comment.
	Problem reported and comment suggested by Raja R Harinath.

2001-04-06  Lars J. Aas  <larsa@sim.no>

	* Makefile.am: Manual addition of @VERSION@ substitution variable
	as a temporary Automake fix.  Reported by Raja R Harinath.

2001-04-04  Lars J. Aas  <larsa@sim.no>

	* acgeneral (_AC_INIT_CONFIG_LOG): New macro for setting up the
	config.log file.
	(_AC_INIT_DEFAULTS_FDS): Log to /dev/null instead of config.log.
	(AC_INIT): Invoke _AC_INIT_CONFIG_LOG after _AC_INIT_VERSION.

2001-04-04  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (_AC_INIT_DEFAULTS): Produce better version
	information for config.log header.
	(_AC_INIT_VERSION): Produce better version information for
	`configure --version'.

2001-03-30  Steven G. Johnson  <stevenj@alum.mit.edu>

	* doc/autoconf.texi: Use "invalid" instead of "illegal," as
	suggested by the GNU coding standards.

2001-03-30  Tim Van Holder  <tim.van.holder@pandora.be>

	* m4sh.m4 (AS_BASENAME): New.
	(AS_SHELL_SANITIZE): Set `$as_me'.
	* acgeneral.m4: Don't set as_me; AS_SHELL_SANITIZE now does this.
	* tests/atgeneral.m4: Likewise.
	(AT_INIT): Use $PATH_SEPARATOR for walking the path.
	* autoconf.sh: Be DOS-friendly when setting as_me and M4.
	Add quotes to support spaces in $tmp.
	Work around problem in DJGPP port of awk by using a temporary file.
	* autoheader.sh: Be DOS-friendly when setting as_me.
	* autoreconf.sh: Be DOS-friendly when setting as_me, dir and
	template_dir.

2001-03-27  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (AC_INIT_VERSION): Improved version information string
	for `configure --version'.

2001-03-27  Akim Demaille  <akim@epita.fr>

	* autoheader.sh (config_h): Be robust to new lines when extracting
	the first argument of AC_CONFIG_HEADERS.
	Reported by Lars J. Aas.

2001-03-27  Tim Van Holder  <tim.van.holder@pandora.be>

	* doc/autoconf.texi: Minor tweaks.

2001-03-27  Tim Van Holder  <tim.van.holder@pandora.be>

	* Makefile.am, configure.in: autoupdate is a Perl script.

2001-03-20  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools): Some about
	`touch'.
	From Jim Meyering, Volker Borchert, and Peter Eisentraut.

2001-03-20  Akim Demaille  <akim@epita.fr>

	* tests/foreign.at (Libtool): Don't skip 1.3.5.
	Invoke AC_CANONICAL_SYSTEM ---for some reason AC_CANONICAL_HOST is
	not enough for 1.3.5.
	From Lars J. Aas.

2001-03-20  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4: s/Testing suite/Test suite/g.
	From Jim.
	(AT_INIT): Adjust the error message on invalid options.
	* tests/foreign.at (Libtool): Skip Libtool 1.3 too.

2001-03-20  Kevin Ryde  <user42@zip.com.au>

	* doc/autoconf.texi: A couple of grammatical tweaks.

2001-03-19  Akim Demaille  <akim@epita.fr>

	* configure.in: Bump to 2.49e.

2001-03-19  Akim Demaille  <akim@epita.fr>

	Version 2.49d.

2001-03-19  Akim Demaille  <akim@epita.fr>

	* tests/tools.at (AWK portability): Don't rely on `empty'.

2001-03-19  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Fix the at_diff test.
	Reported by Nicolas Joly.

2001-03-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_PREPROC_IFELSE): Redirect stdout out of the
	_AC_EVAL_STDERR invocation to avoid `illegal io' on Ultrix.
	Reported by Harlan Stenn, and fixed by Jim Meyering.

2001-03-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Don't hard code
	`/bin/sh', use $SHELL.
	From Paul Eggert.

2001-03-19  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (AC_FUNC_STRERROR_R): Update to
	fileutils-4.0.42's.

2001-03-19  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Don't always create `empty', rather
	do it only when diffing `/dev/null' is not supported.
	And use `at-devnull' instead of `empty'.

2001-03-13  Akim Demaille  <akim@epita.fr>

	* autoscan.pl, autoupdate.in: Use `use' instead of `require' to
	require some version of Perl, so that the test is performed at
	compile time, not run time.
	Suggested by Nicolas Joly.

2001-03-13  Tim Van Holder  <tim.van.holder@pandora.be>

	* tests/aclocal.m4: Fix some typos.  Also ignore $PATH_SEPARATOR.
	* tests/atconfig.in: Set PATH_SEPARATOR to the proper
	path separator.  Set SHELL here...
	* tests/atgeneral.m4: ... instead of here.  Use	$PATH_SEPARATOR
	when setting AUTOTEST_PATH.  Don't default tests to "all" before
	deciding whether the help text is needed.
	* tests/semantics.at: Use the correct path separator.

2001-03-13  Tim Van Holder  <tim.van.holder@pandora.be>

	* doc/autoconf.texi: Expand section on DOS issues.
	Add link to the `doschk' package.  Fix minor typo.
	Clean up white spaces.

2001-03-13  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_PROG_F77_C_O): define F77_NO_MINUS_C_MINUS_O
	when test fails, not when it succeeds(!).

2001-03-13  Akim Demaille  <akim@epita.fr>

	* tests/tools.at (AWK portability): Use AT_CHECK to check for GNU
	AWK so that there is always a AT_CHECK between
	AT_SETUP/AT_CLEANUP.
	Reported by Nicolas Joly.

2001-03-13  Akim Demaille  <akim@epita.fr>

	* tests/tools.at: Be sure to remove configure.ac~.

2001-03-13  Raja R Harinath  <harinath@cs.umn.edu>

	* autoupdate.in (File::Basename): Use package.
	(%ac_macros, %au_macros): Save only base filenames.

2001-03-08  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_OUTPUT): In the AU_DEFUN definition, don't try
	to issue an obsolete message, it can't work for macros being
	defined both with AC_DEFUN and AU_DEFUN.
	Hence do it in the AC_DEFUN definition.

2001-03-06  Pavel Roskin  <proski@gnu.org>

	* tests/base.at (AC_TRY_*): Escape `^' - it's a pipe command
	separator on Tru64 v5.1.
	Reported by Nicolas Joly.

2001-03-05  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Register at-setup-line and
	at-check-line for removal.
	Check for the presence of at-check-line only when $at_test was
	really a test.
	Reported by Pavel.

2001-03-04  Pavel Roskin  <proski@gnu.org>

	* tests/atgeneral.m4 (AT_INIT): s/am_me/as_me/. Quote AT_CHECK
	in the error message.

2001-03-02  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_INIT_PREPARE): Quote `$$*' correctly.

2001-02-28  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Warn when at-check-line is
	missing.
	* tests/tools.at (Syntax of the scripts): Use AT_CHECK to test
	/bin/sh -n.  Exit 77 on failure.
	Reported by Harlan Stenn.

2001-02-28  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE_FS_SEPARATORS): Use `.;.' instead
	of `.;`pwd`': if pwd is c:/foo, we might walk through `.:c'
	(fails), and then `/foo' which might succeed, resulting in
	believing `;' is the right path separator.

2001-02-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AH_VERBATIM, AH_TEMPLATE): New, use AS_ESCAPE, not
	_AS_QUOTE.
	(_AH_VERBATIM_OLD, _AH_TEMPLATE_OLD): New, used for bugward
	compatibility in...
	(AC_DEFINE, AC_DEFINE_UNQUOTED): here.

2001-02-26  Pavel Roskin  <proski@gnu.org>

	* autoupdate.in (&mktmpdir): Strip the newline from the output
	of mktemp.

2001-02-26  Pavel Roskin  <proski@gnu.org>

	* man/Makefile.am: autoupdate.1 now depends on autoupdate.in.

2001-02-25  Tim Van Holder  <tim.van.holder@pandora.be>

	* autoupdate.in: Support DOS paths.  Initialize $tmp to
	avoid warnings.  Default $autoconf to 'autoconf'.

2001-02-25  Akim Demaille  <akim@epita.fr>

	* autoupdate.in (&END): Try to preserve the exit status.
	Use backquotes where more readable.
	Internal details should be dumped when $debug, not when $verbose.

2001-02-25  Akim Demaille  <akim@epita.fr>

	* autoupdate.in (&mktmpdir): New.
	(&END): Remove $tmp.
	(&parse_args): Handle -d and -l.

2001-02-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE): Remove conf$$* on exit.
	* m4sh.m4 (_AS_LN_S_PREPARE, _AS_BROKEN_TEST_PREPARE):
	s/conftest/conf$$/ to avoid race conditions.
	From Lars J. Aas.

2001-02-25  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_PROG_INSTALL): Use ac_path_separator.
	Restore the IFS earlier.
	Suggested by Tim Van Holder.

2001-02-25  Akim Demaille  <akim@epita.fr>

	* m4sh.m4 (_AS_TEST_PREPARE): Rename as...
	(_AS_BROKEN_TEST_PREPARE): this.
	(_AS_TEST_PREPARE): New dummy but working version of this macro.
	* acspecific.m4 (AC_PROG_INSTALL): Use AS_EXECUTABLE_P.

2001-02-25  Akim Demaille  <akim@epita.fr>

	* autoupdate.in (&parse_args): Support `-'.

2001-02-25  Akim Demaille  <akim@epita.fr>

	* autoupdate.in: Less Bournisms, more Wallisms.

2001-02-23  Jim Meyering  <meyering@lucent.com>

	* acgeneral.m4 (_AC_INIT_PREPARE_FS_SEPARATORS): Fix typo: s/;/:/
	* acgeneral.m4 (_AC_INIT_PREPARE_FS_SEPARATORS): Revert that change.
	There was no typo.

2001-02-22  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Typos and formatting changes.

2001-02-21  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Use `AS_EXIT(0)' instead
	of `exit 0' when exiting config.status.

2001-02-21  Tim Van Holder  <tim.van.holder@pandora.be>

	* doc/autoconf.texi: Add new node discussing issues related to
	file systems (DOS, specifically).  Document DJGPP's bash's special
	handling of $PATH_SEPARATOR.

2001-02-21  Akim Demaille  <akim@epita.fr>

	* autoupdate.in: New.  Replaces autoupdate.sh.

2001-02-21  Akim Demaille  <akim@epita.fr>

	* autoscan.pl (&find_configure_ac): New.

2001-02-20  Paul Martinolich <martinol@datasync.com>

	* autoscan.pl (check_configure_ac): Pretty missing macro warnings
	output.

2001-02-19  Paul Eggert  <eggert@twinsun.com>

	* aclang.m4 (AC_C_INLINE): Define "inline" to empty if the
	compiler doesn't support 'static inline'.  This is needed for
	Encore Umax-3.0.9.16b.

2001-02-19  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_LANG_COMPILER_WORKS): Rename as...
	(_AC_COMPILER_EXEEXT_WORKS): this.  Use the `a.out' or `a.exe'
	left by _AC_COMPILER_EXEEXT_DEFAULT to check if the compiler works.
	(_AC_COMPILER_EXEEXT_CROSS): Extract from the above macro.
	(_AC_COMPILER_EXEEXT): Use them.
	Adjust all the compiler looking macros to check for EXEEXT
	*first*, then OBJEXT.
	Set ac_exeext yourself.
	(_AC_COMPILER_EXEEXT_O): Don't.

2001-02-07  Pavel Roskin  <proski@gnu.org>

	* tests/atspecific.m4 (AT_CONFIGURE_AC): Double quote constant
	part of the second argument to AT_DATA.
	* tests/compile.at (AC_PROG_CPP with warnings): Fix underquoting
	in a call to _AT_CHECK_AC_MACRO.
	(AC_PROG_CPP without warnings): Likewise.

2001-02-11  Jim Meyering  <meyering@lucent.com>

	Ensure that even `autoscan --version' fails when e.g.,
	writing to a full disk.
	* autoscan.pl (END): New function.

	* autoscan.pl: Misc. clean-up:
	Move declarations of variables into the scope where they're used.
	Use `qw'.  Don't use `$_'.

2001-02-06  Paul Eggert  <eggert@twinsun.com>

	* acspecific.m4 (AC_SYS_LARGEFILE_TEST_INCLUDES): Don't reject
	C++ compilers that are masquerading as C compilers, and that
	incorrectly reject large integers.

2001-02-07  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (AC_OUTPUT): Remove $(srcdir), ${srcdir} and
	@srcdir@ from VPATH if srcdir is "." and replace blank VPATH
	lines with empty lines to preserve line numbers.
	Original version by Derek Price.

2001-02-07  Derek Price  <derek.price@openavenue.com>

	* acgeneral.m4 (_AC_LIBOBJ): Call AC_LIBSOURCE with '.c' extension
	appended to function name.

2001-02-06  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_RUN_LOG, _AC_RUN_LOG_STDERR, AC_RUN_LOG): New.
	(_AC_EVAL_STDERR,  _AC_EVAL): Use them.
	(_AC_INIT_PREPARE_FS_SEPARATORS): Use AC_RUN_LOG.

2001-02-05  Derek Price  <derek.price@openavenue.com>

	* autoheader.sh: Only set config_h for the first call to
	AC_CONFIG_HEADERS.

2001-02-05  Jim Meyering  <meyering@lucent.com>

	* acspecific.m4 (AC_SYS_LARGEFILE): Add ULL suffix to the
	integer constants.

2001-02-05  Akim Demaille  <akim@epita.fr>

	acfunctions.m4 was still using the old AC_LIBOBJ_DECL.
	Reported by Derek R. Price.

	* tests/semantics.at (AC_REPLACE_FUNCS): New test.
	* acfunctions.m4 (AC_REPLACE_FUNCS, _AC_LIBOBJ_ALLOCA): Use
	AC_LIBSOURCES.

2001-02-03  Pavel Roskin  <proski@gnu.org>

	* tests/base.at (AC_TRY_COMMAND): Add a colon between "then" and
	"else". Separate commands inside AC_TRY_COMMAND with semicolons.
	From Nicolas Joly.

2001-02-03  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_LOG_COMPLETE): Removed, dead code.

2001-02-03  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (AC_FUNC_ERROR_AT_LINE, AC_FUNC_OBSTACK): Use
	AC_LIBSOURCES.

2001-02-03  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LIBOBJ_DECL): Remove.
	(AC_LIBSOURCES, AC_LIBSOURCE): New.

2001-02-02  Akim Demaille  <akim@epita.fr>

	* tests/base.at (AC_TRY_COMMAND): Fix the test.
	From Nicolas Joly.

	The following patch went into Autoconf between the two previous
	entries:

	* acgeneral.m4 (AC_TRY_COMMAND): Use the old code, using a tmp
	variable, to recover multiline robustness.
	Reported by Tim Van Holder.
	* tests/base.at (AC_TRY_COMMAND): New.

2001-02-02  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_COMPUTE_INT_COMPILE): Rename all occurences
	of ac_try to ac_mid to avoid a name clash.

2001-02-02  Pavel Roskin  <proski@gnu.org>

	* autoscan.pl (scan_c_file): When in verbose mode, don't print
	out hashes common for the whole package. Do it in scan_files()
	instead.
	(scan_makefile): Likewise.
	(scan_sh_file): Likewise.
	Thanks to Jim Meyering for improved implementation.

2001-02-01  Pavel Roskin  <proski@gnu.org>

	* autoreconf.sh: Fix the case when the verbose output was not
	redirected to stderr as everywhere else.

2001-01-30  Ralf Corsepius  <corsepiu@faw.uni-ulm.de>

	* acgeneral.m4 (_AC_OUTPUT_SUBDIRS): Remove configure.ac
	from check for ac_sub_configure.

2001-01-30  Akim Demaille  <akim@epita.fr>

	The recent addition of `exit's prototype in confdefs.h causes
	AC_OUTPUT_MAKE_DEFS to include junky -D switches.
	Reported by Wolfgang Mueller.

	* tests/torture.at (#define header templates): Include trash in
	confdefs.h.
	* tests/atgeneral.at (AT_INIT): Don't expect `find' to support
	-maxdepth, hence don't use -follow either.
	Reported by Nicolas Joly.
	* acgeneral.m4 (AC_OUTPUT_MAKE_DEFS) <confdef2opt.sed>: In the
	`quote' section, `p'rint the result.
	If neither `#define' pattern match, just call `d' to start a new
	cycle.
	Invoke this sed program with -n.

2001-01-30  Akim Demaille  <akim@epita.fr>

	* tests/compile.at: New test.
	* tests/atspecific.at (AT_CHECK): When given 77 as expected exit
	status, don't include the `skip' mechanism.

2001-01-30  Akim Demaille  <akim@epita.fr>

	* tests/base.at (AC_CACHE_CHECK): Typo and clean up.
	Check only --quiet.

2001-01-30  Paul Eggert  <eggert@twinsun.com>

	* autoheader.sh: Don't pass a string to 'echo' that might
	possibly contain backslashes.

2001-01-29  Pavel Roskin  <proski@gnu.org>

	Don't use filenames that can be reduced to "conftest" on DOS.

	* acfunctions.m4 (AC_FUNC_MMAP): Use conftest.mmap, not
	conftestmmap.
	(AC_FUNC_UTIME_NULL): Use conftest.data, not conftestdata.
	* acspecific.m4 (AC_PROG_MAKE_SET): Use conftest.make, not
	conftestmake.
	(_AC_PATH_X_XMKMF): Use conftest.dir, not conftestdir.
	* acgeneral.m4 (AC_ARG_PROGRAM): Use conftest.sed, not
	conftestsed.
	* m4/sanity.m4: Use conftest.file, not conftestfile.
	* doc/autoconf.texi (Guidelines for Test Programs): Suggest
	using conftest.data, not conftestdata.

2001-01-29  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4: Don't redirect builtins' stderr as Ultrix
	hates this: use a subshell.

2001-01-29  Assar Westerlund  <assar@sics.se>

	* m4sh.m4 (_AS_TEST_PREPARE): Discard output when testing `test
	-x' and `test -f' to avoid confusing users with error messages.
	(AS_MKDIR_P): Invert order of separators in IFS to avoid problem
	with some shells adding backslash between fields and parsing the
	result for escapes.
	* doc/autoconf.texi (Special Shell Variables): Document IFS.

2001-01-29  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_PROG_F77): Improve documentation of the compilers
	that are tried, add a few new ones (cft77, af77, epcf90, xlf95, g95),
	and put pgf90 in the right place (before the F95 compilers).

2001-01-29  Jim Meyering  <meyering@lucent.com>

	* autoscan.pl: Do scan `configure.ac' when you claim it.
	From Raja R Harinath.
	(@kinds): Use `qw', rather than lots of quotes and commas.
	(%generic_macro): Use single quotes around literals.
	($configure_scan): Define global, and use it instead of the literal.
	Use `warn' in place of `printf STDERR'.

2001-01-29  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: `Formatting++' changes: prototypes all the
	functions, no longer use `&' to call functions as it disables
	prototype checking, topological sort so that functions are defined
	before being used, and put an Autoconf like nice comment to
	describe the functions.
	(output): Accept a CONFIGURE_SCAN parameter, and open CONF.

2001-01-29  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SITE_LOAD): Let config.log know what you load.

2001-01-27  Akim Demaille  <akim@epita.fr>

	Follow Tim Van Holder's suggestions for a uniform handling of
	symlinks.

	* m4sh.m4: Stay in `as_', not `ac_'.
	(_AS_LN_S_PREPARE): Eve out from...
	* acspecific.m4 (AC_PROG_LN_S): here.  Adjust.
	* m4sh.m4 (AS_LN_S): New.
	(AS_SHELL_PREPARE): Call _AS_LN_S_PREPARE.

2001-01-26  Assar Westerlund  <assar@sics.se>

	* autoreconf.sh (find): Fix precedence.
	(aclocal): Same as below for autoheader.

2001-01-26  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (autoheader): Run it when there is no template, as
	there is no risk to override a handwritten template.
	From Assar Westerlund.

2001-01-26  Akim Demaille  <akim@epita.fr>

	* aclang.m4: dnl AC_ARG_VAR's newline.
	(AC_PROG_CC, AC_PROG_F77, AC_PROG_CXX): AC_ARG_VAR(LDFLAGS).
	* acgeneral.m4 (AC_CHECK_LIB): Don't do it.

2001-01-26  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh: Handle DOS issues: directory separator, single
	dot in file names, and one actual bug: when set -e, running
	(false; true) will of course fail, use (false || true).
	From Tim Van Holder.

2001-01-26  Tim Van Holder  <tim.van.holder@pandora.be>

	* tests/Makefile.am (testsuite): Use testsuite.tmp, not
	testsuite-tmp as temporary file.

2001-01-25  Assar Westerlund  <assar@sics.se>

	* autoreconf.sh: Also find configure.in.

2001-01-24  Akim Demaille  <akim@epita.fr>

	* configure.in: Bump to 2.49d.

2001-01-24  Akim Demaille  <akim@epita.fr>

	Version 2.49c.

2001-01-24  Jim Meyering  <meyering@lucent.com>

	* autoscan.pl (output): Detect/report a close failure.

2001-01-24  Akim Demaille  <akim@epita.fr>

	Preserve INSTALL too.

	* acgeneral.m4 (_AC_OUTPUT_FILES): Use ac_INSTALL for internal
	computations, and therefore use INSTALL where ac_given_INSTALL
	was used.
	(_AC_OUTPUT_SUBDIRS): There is no point in computing INSTALL in
	here.  It's not even used.

2001-01-24  Akim Demaille  <akim@epita.fr>

	While preserved in configure, srcdir is trashed in config.status.
	Reported by Ralf Corsepius.

	* tests/aclocal.m4 (AC_STATE_SAVE): It is ok to modify
	CONFIG_STATUS, DEFS, prefix and exec_prefix.
	It is OK to produce config.* files.
	* tests/atspecific.m4 (AT_CONFIGURE_AC): Save the env *after*
	AC_OUTPUT to check that it doesn't break anything by itself.
	* tests/torture.m4 (srcdir): New test, from Ralf Corsepius.
	* acgeneral.m4 (_AC_OUTPUT_FILES): Use ac_top_srcdir and ac_srcdir
	to preserve srcdir and top_srcdir.
	Remove any use of `ac_given_srcdir' as `$srcdir' being preserved
	is usable.

2001-01-24  Alexandre Duret-Lutz  <duret_g@epita.fr>

	configure -q did not work since 2000-11-03.

	* acgeneral.m4 (_AC_INIT_DEFAULTS_FDS): Don't check for $silent,
	tie AS_MESSAGE_FD to stdout unconditionally.
	(_AC_INIT_PARSE_ARGS): If $silent redirect AS_MESSAGE_FD to
	/dev/null.
	* tests/base.at (AC_CACHE_CHECK): New test.

2001-01-24  Tim Van Holder  <tim.van.holder@pandora.be>

	* m4sh.m4 (AS_EXECUTABLE_P, _AS_TEST_PREPARE): New macros.
	(AS_SANITIZE_SHELL): Call _AS_TEST_PREPARE.
	* acgeneral.m4 (AC_CHECK_PROG, AC_PATH_PROG): Use AS_EXECUTABLE_P
	instead of test -f.

2001-01-24  Akim Demaille  <akim@epita.fr>

	* autoscan.pl (generic_macro): s/AC_CHECK_FUNCTIONS/AC_CHECK_FUNCS/.
	* acfunctions: Just like the previous patch.

2001-01-24  Akim Demaille  <akim@epita.fr>

	* autoscan.pl (@kinds, %generic_macro): New.
	(&init_tables): Use them.
	* acheaders: Run `autoconf -t AC_CHECK_HEADERS:'$1'' on the fileutils,
	and include all these headers in here.
	Don't specify `AC_CHECK_HEADERS' as it's the default.

2001-01-24  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Just like the previous patch, but for
	AC_CHECK_FUNCS, AC_CHECK_TYPES, and AC_CHECK_MEMBERS.

2001-01-24  Akim Demaille  <akim@epita.fr>

	* autoscan.pl (print_unique): Push all the macro invocation
	locations.
	(output_headers): For headers that need to be checked, push either
	the specialized macro, or the generic macro call.
	(check_configure_ac): Handle AC_CHECK_HEADERS.

2001-01-24  Raja R Harinath  <harinath@cs.umn.edu>

	Some non-srcdir build fixes.
	* configure.in (BUGS): Look for file in $srcdir.
	* tests/Makefile.am (MACRO_FILES): Use '..', not '$(top_srcdir)'.

2001-01-24  Akim Demaille  <akim@epita.fr>

	Don't AC_SUBST too much, as it makes Automake include those
	variables in Makefiles, and drives autoscan to require unneeded
	programs.

	* acgeneral.m4 (_AC_INIT_PREPARE): Don't AC_SUBST CFLAGS,
	CPPFLAGS, CXXFLAGS and LDFLAGS.
	(AC_ARG_VAR): AC_SUBST the var.
	Document it only once, even if there are several different docs.
	* aclang.m4 (AC_PROG_CPP): Declare CPP and CPPFLAGS to AC_ARG_VAR.
	(AC_PROG_CXXCPP): Declare CXXCPP and CPPFLAGS.

2001-01-24  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_expand_once): Accept a witness.

2001-01-23  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_EXPAND_ONCE): Remove, use m4_expand_once.
	(AC_DIVERT_ONCE): Move to...
	* m4sugar.m4 (m4_expand_once): here.

2001-01-23  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_LANG_SET): Turn off optimizations.

2001-01-23  Akim Demaille  <akim@epita.fr>

	* configure.in: If this is a beta, dump the core of BUGS.
	* tests/base.at (AC_REQUIRE & AC_LANG): New test, currently failing.

2001-01-23  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Don't use `defined' to check whether an array is
	defined.
	Don't use parens with `defined'.

2001-01-23  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE): Be sure to quote hashes to
	avoid M4 thinking it's comments.

2001-01-23  Tim Van Holder  <tim.van.holder@pandora.be>

	* aclang.m4 (_AC_COMPILER_EXEEXT_O): Use
	AS_IF([AC_TRY_EVAL(ac_link)]) instead of AC_LINK_IFELSE to
	avoid depending on ac_exeext before it's found.
	(AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77): Check for the
	executable extension BEFORE checking whether the compiler
	works, as that test depends on a correct ac_exeext.

2001-01-23  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE) <trap>: Typo.

2001-01-22  Pavel Roskin  <proski@gnu.org>

	* autoscan.pl: Use "use strict". Declare all global variables
	or make them private. Make all local variables private.
	(find_autoconf): New, moved some code from the top level.
	Use %ENV outside quotes to eliminate a warning.

2001-01-22  Tim Van Holder  <tim.van.holder@pandora.be>

	* acspecific.m4 (AC_PROG_LN_S): Detect DJGPP < 2.04, which only
	supports 'ln -s' for executables.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* autoscan.pl ($dir, $autoconf): New.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* autoscan.pl ($headers, $functions, $identifiers, $libraries):
	Also register locations of their requirement instead of a simple
	counter.
	(&check_configure_ac): Close TRACES.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Formatting changes.
	Check `configure.ac' or `configure.in' if present.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* autoscan.pl (&wanted): Don't register `Makefile' when
	`Makefile.in' is present.
	Factor the simplification of $name.
	(&scan_makefile, &scan_sh_file): Instead of counting the number of
	occurrences where a program/makevar is wanted, register	file:line.
	Adjust the verbose output.
	(&check_configure_ac): Report the location where the macro is required.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Instead of undefined globals, set them to empty
	values.
	(%needed_macros): New.
	(&check_configure_ac): New.  Call it.
	(&output_libraries): Eve out from &output_programs.
	(&print_unique): For the time being register in %needed_macros
	only argument less macros.

2001-01-22  Lars J. Aas  <larsa@sim.no>

	* aclang.m4 (_AC_PROG_CXX_EXIT_DECLARATION): First try no declaration,
	then '#include <stdlib.h>', before trying the explicit declarations.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_COMPILE_IFELSE): Wrap the test -s in
	AC_TRY_COMMAND to improve config.log.
	(_AC_INIT_DEFAULTS): Don't define ac_exeext and ac_objext to
	highlight failures.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Work around a currently
	impossible to describe bug of SunOS 4.1.3 which causes a shell
	crash when using `VAR=${VAR="$default"}'.
	Reported and diagnosed by Kevin Ryde.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (AC_FUNC_GETGROUPS): Typo :(.

2001-01-22  Lars J. Aas  <larsa@sim.no>

	* aclang.m4 (_AC_COMPILER_EXEEXT_DEFAULT, _AC_COMPILER_EXEEXT_O):
	Export ac_cv_exeext so ltconfig believes the value is cached and
	skips its own faulty test.

2001-01-22  Jim Meyering  <meyering@lucent.com>

	* actypes.m4 (AC_TYPE_GETGROUPS): Double quote the test program
	body.

2001-01-22  Tim Van Holder  <tim.van.holder@pandora.be>

	* aclang.m4 (AC_LANG_INT_SAVE, AC_LANG_INT_SAVE(C)): Use
	conftest.val, not conftestval.
	* acgeneral.m4 (_AC_COMPUTE_INT_RUN, _AC_COMPUTE_INT):
	Likewise.

2001-01-22  Akim Demaille  <akim@epita.fr>

	Create actypes.m4.

	* acgeneral.m4 (AC_CHECK_SIZEOF, _AC_CHECK_TYPE_NEW)
	(AC_CHECK_TYPES, _AC_CHECK_TYPE_OLD)
	(_AC_CHECK_TYPE_REPLACEMENT_TYPE_P, _AC_CHECK_TYPE_MAYBE_TYPE_P)
	(AC_CHECK_TYPE, AC_CHECK_MEMBER, AC_CHECK_MEMBERS): Move into...
	* actypes.m4: here.
	* acgeneral.m4 (AC_TYPE_GETGROUPS, AM_TYPE_PTRDIFF_T)
	(AC_TYPE_UID_T, AC_TYPE_SIZE_T, AC_TYPE_PID_T, AC_TYPE_OFF_T)
	(AC_TYPE_MODE_T, AC_INT_16_BITS, AC_LONG_64_BITS, AC_TYPE_SIGNAL)
	(AC_STRUCT_TM, AC_STRUCT_TIMEZONE, AC_STRUCT_ST_BLKSIZE)
	(AC_STRUCT_ST_BLOCKS, AC_STRUCT_ST_RDEV): Move into...
	* actypes.m4: here.
	Adjust the test suite.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Include a default case for non
	existing tests.
	* tests/atspecific.m4 (AT_CONFIGURE_AC, AT_CHECK_ENV)
	(AT_CHECK_AUTOUPDATE, AT_CHECK_AU_MACRO): New.
	Spread their use.
	(AT_CHECK_MACRO): Pass `-W obsolete' to autoconf.
	* tests/semantics.at (AC_HAVE_FUNCS): Obsolete, don't check.
	* tests/mktest.sh: Create one test file per Autoconf source
	file instead of separating syntax/update.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Some about diff and cmp.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* sh.m4 (AS_ESCAPE): New.
	(_AS_QUOTE_IFELSE): Use it.
	* tests/atgeneral.m4 (AT_INIT) <SHELL>: Define and use.
	<--help> Don't display the options help when tests were selected.
	Document -d.
	<at_skip_list>: New.
	<testsuite.log>: Give a banner, include ChangeLog snippets, list
	the failed and skipped tests.
	Remove useless $at_traceoff in sub shells, this improves the
	readability of the traces by removing testsuite's implementation
	details.
	(AT_CHECK): Filter out the shell traces from the tested command's
	stderr.
	Use AS_ESCAPE.
	Don't register experr and expout for clean up, as it's hairy and
	easier to do from...
	Support STDOUT = stdout, and STDERR = stderr.
	Force the output of shell traces.
	(AT_INIT): Here.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_INIT, AC_OUTPUT): Don't take care of completing
	the log.
	(_AC_INIT_PREPARE): Do it in the trap 0.

2001-01-22  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Instead of undefined globals, set them to empty
	values.
	(%needed_macros): New.
	(&check_configure_ac): New.  Call it.
	(&output_libraries): Eve out from &output_programs.
	(&print_unique): For the time being register in %needed_macros
	only argument less macros.

2001-01-22  Raja R Harinath  <harinath@cs.umn.edu>,
	Tim Van Holder  <tim.van.holder@pandora.be>,
	Jim Meyering  <jim@meyering.net>

	* acspecific.m4 (AC_AIX): Fix typo: s/@\$/@%/.

2001-01-19  Akim Demaille  <akim@epita.fr>

	Catch only used patterns.
	Reported by the whole Autoconf community.

	* m4sh.m4 (AS_INIT): New.
	* acgeneral.m4 (AC_PLAIN_SCRIPT): Use it.
	Forbid only AC, AU, AH and AM.

2001-01-19  Akim Demaille  <akim@epita.fr>

	Optimizing AC_LANG was broken.  Test and fix.

	* aclang.m4 (AC_LANG(C), AC_LANG(C++), AC_LANG(Fortran 77)): Don't
	use _AC_LANG_ABBREV so that you don't depend upon _AC_LANG.
	(_AC_LANG_SET): New.
	(AC_LANG, AC_LANG_PUSH, AC_LANG_POP): Use it.
	* tests/compile.at: Test AC_LANG, AC_LANG_PUSH & AC_LANG_POP.

2001-01-19  Akim Demaille  <akim@epita.fr>

	* sugar.m4 (m4_require): Missing dnl.

2001-01-18  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_PLAIN_SCRIPT): AF_INET, AF_UNIX, AR_FLAGS,
	AS_FLAGS are OK.

2001-01-18  Tim Van Holder  <tim.van.holder@pandora.be>

	* m4sh.m4 (AS_MKDIR_P): Properly support DOS-style paths.

2001-01-18  Akim Demaille  <akim@epita.fr>

	* tests/foreign.at (Autoconf & Libtool): `configure.in', not `.ac'
	since Libtool does not yet support it.
	Let the test suite be more verbose about at-path.
	From Patrick Welche.

2001-01-18  Akim Demaille  <akim@epita.fr>

	* tests/atspecific.m4 (AT_CHECK_DEFINES): Discard
	STDLIB|INTTYPES|MEMORY|STRING|UNISTD.
	* tests/semantics.at (AC_CHECK_SIZEOF): Don't check the presence
	of default headers, as it's machine dependent.
	Reported by Jim Meyering and Nicolas Joly.

2001-01-18  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Don't leave macro names in comments.
	* aclang.m4: Likewise.
	* configure.in: Likewise.
	* tests/semantics.at: Likewise.
	* tests/tools.at: Likewise.

2001-01-18  Akim Demaille  <akim@epita.fr>

	Medium term goal: AC_ macros can be tested with -W obsolete.

	* acgeneral.m4 (AC_RUN_IFELSE): Accept IF-CROSS-COMPILING.
	(AC_TRY_RUN): Use it.
	* acfunctions.m4: Start ousting AC_TRY_RUN and AC_TRY_COMPILE.
	* acspecific.m4 (AC_AIX, AC_MINIX, AC_ISC_POSIX): AC_BEFORE on
	AC_COMPILE_IFELSE and AC_RUN_IFELSE.

2001-01-18  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_INCLUDES_DEFAULT): Force the newline to avoid
	bad surprises.
	Reported by Jim.

2001-01-18  Akim Demaille  <akim@epita.fr>

	Require a perfect divert push/pop balance.

	* m4sugar.m4 (m4_divert, m4_divert_push, m4_divert_pop): Keep
	track of them in m4_divert_stack.
	(m4_divert_pop): Accept the expected current diversion as
	argument and m4_fatal if incorrect, or if there is nothing to pop.
	(globally): Specify the known m4_divert_pop.
	Preserve symbolic values when possible.
	* acgeneral.m4: No longer push the first diversion.
	Specify the known m4_divert_pop.
	(AC_PLAIN_SCRIPT): When m4_divert_push a diversion, m4_wrap its
	pop.
	(AC_INIT): Run AC_PLAIN_SCRIPT first, not last.
	* tests/m4sh.at (AS_DIRNAME & AS_DIRNAME_SED): Can't use m4_defun
	without m4_init.
	* m4sugar.m4: Likewise.

2001-01-18  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_defn, m4_undefine, m4_popdef): Unlike the
	builtin, fail on undefined symbols.
	* tests/torture.at (Torturing config.status): Stop playing nasty
	tricks with changequote.
	(AC_DEFUBST): Move here from...
	* tests/aclocal.m4: there.

2001-01-18  Akim Demaille  <akim@epita.fr>

	Various cleanups and consistency checks.

	* m4sugar.m4: Formatting changes.
	* acgeneral.m4 (AC_DIVERT_PUSH, AC_DIVERT_POP, AC_REQUIRE)
	(AC_DIAGNOSE, AC_FATAL, AC_MSG_WARN, AC_MSG_NOTICE, AC_MSG_ERROR):
	Use m4_copy to define them, in order to keep a good $0.
	(AC_INIT): AC_LANG_PUSH C, not AC_LANG, to initialize the stack.
	* aclang.m4 (AC_LANG_PUSH): Dont't use m4_defn on undefined macros.
	(AC_LANG_POP): Admit an argument specifying the language we quit
	when popping.
	Adjust Autoconf's AC_LANG_POPs.
	* tests/tools.at (AWK portability): Don't depend on AC_INIT.
	(autoconf --trace: user macros): Obviously I
	meant TRACE1, not AC_TRACE1.

2001-01-17  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_undefine, m4_popdef): Don't tolerate undefined
	arguments.
	(_m4_expansion_stack): Rename as...
	(m4_expansion_stack): this, and change its value: instead of using
	the pushdef stack to stack each *line* of the stack, each
	definition contains the whole stack.  I.e., to display the whole
	stack, instead of popdefing and displaying each definition, just
	display the current definition.
	(m4_expansion_stack_push, m4_expansion_stack_pop): New.
	* tests/atspecific.m4 (AT_CHECK_AUTOCONF): Let $2 be the expected
	exit status.
	* tests/m4sugar.m4 (m4_require: circular dependencies): New test.

2001-01-17  Pavel Roskin  <proski@gnu.org>

	* m4sugar.m4 (m4_normalize): New macro - superposition of
	m4_flatten and m4_strip.
	(m4_join): Use m4_normalize.
	* acgeneral.m4 (AC_FOREACH): Use m4_normalize.
	(AC_CONFIG_HEADERS): Normalize the first argument.
	(AC_CONFIG_LINKS): Likewise.
	(AC_CONFIG_SUBDIRS): Likewise.

2001-01-17  Tim Van Holder  <tim.van.holder@pandora.be>

	* acgeneral.m4 (_AC_OUTPUT_SUBDIRS): Quote $ac_sub_srcdir uses.

2001-01-16  Akim Demaille  <akim@epita.fr>

	Work around the Ultrix limitations on ``multiple redirections''.
	Reported by Harlan Stenn.

	* acgeneral.m4 (_AC_EVAL_STDERR): New.
	(_AC_PREPROC_IFELSE): Use it.

2001-01-16  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_data_files): Fix the computation of PATH.

2001-01-16  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_LOG_COMPLETE): Eve out from AC_OUTPUT.
	(_AC_INIT_DEFAULTS, AC_OUTPUT): Use it.

2001-01-16  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Lots of additions and changes.
	(File Descriptors): New.
	(Limitations of Make): New.

2001-01-16  Akim Demaille  <akim@epita.fr>

	* m4sh.m4 (AS_EXIT): Don't rely on exit == exit $?.
	Reported by Tim Van Holder.

2001-01-16  Akim Demaille  <akim@epita.fr>

	* Makefile.am (editpl, editsh): Merge into...
	(edit).
	* m4sh.m4 (AS_UNAME): Eved out from...
	* acgeneral.m4 (_AC_INIT_DEFAULTS): here.
	(_AC_INIT_PACKAGE): Define AC_PACKAGE_NAME.
	(_AC_INIT_PARSE_ARGS): AC_SUBST the PACKAGE_ variables.
	Propagate their use in the executables and the test suite.
	* tests/atgeneral.m4 (PATH): Include only absolute paths.
	(AT_INIT): Use AS_UNAME.

2001-01-16  Akim Demaille  <akim@epita.fr>

	When default headers are used, check for their presence.
	Suggested by Jim.

	* acgeneral.m4 (_AC_INIT_DEFAULTS): Don't define
	ac_includes_default, since...
	(_AC_INCLUDES_DEFAULT_REQUIREMENTS): this new macro does.
	(AC_INCLUDES_DEFAULT): Require the former when default includes
	are used.
	(AC_CHECK_MEMBERS, _AC_CHECK_TYPE_NEW): Don't require
	AC_HEADERS_STDC, that's a job for stupendous AC_INCLUDES_DEFAULT.
	* acfunctions.m4 (AC_FUNC_MALLOC): Check for stdlib.h.

2001-01-15  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Normalize sh samples.

2001-01-15  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Simplify the hairy display of the
	identity of the tests.

2001-01-15  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): When the suite failed, complain
	before creating the debug scripts.
	Create a log file.
	When ignoring a test, display a reassuring `ok' for stressed
	users, and say `skipped' instead.
	Simply run `testsuite' with the failed tests instead of running
	the debug scripts, this avoids having zillions of banners `Testing
	Blabla 2.13' (another means to avoid these banners is to have the
	test suite succeed :-).

2001-01-15  Akim Demaille  <akim@epita.fr>

	* sh.m4 (AS_BOX, _AS_BOX_LITERAL, _AS_BOX_INDIR): New.
	* tests/atgeneral.m4: Use it.

2001-01-15  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_VAR_INDIR_IFELSE): Move as...
	* m4sh.m4 (AS_LITERAL_IF): this.
	(AS_IFELSE): Rename as...
	(AS_IF): this.

2001-01-12  Akim Demaille  <akim@epita.fr>

	With `expr's that return `0' on failures, the executable suffix is
	`0'.  Test and fix.
	Reported by Assar Westerlund.

	* Makefile.am (maintainer-check): New target.
	* tests/Makefile.am (maintainer-check, maintainer-check-posix)
	(maintainer-check-c++, expr): Likewise.
	* configure.in (EXPR): Look for it.
	* tests/atgeneral.m4 (AT_CHECK): Propagate $2's default value.
	* tests/compile.at (Extensions): New test.
	* aclang.m4 (_AC_COMPILER_EXEEXT_DEFAULT, _AC_COMPILER_EXEEXT_O):
	Distinguish files with or without a dot.

2001-01-12  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Last changes for `configure.ac'.
	(_AC_INIT_HELP, _AC_OUTPUT_SUBDIRS): Take `configure.ac' into
	account.
	* autoreconf.sh: Likewise.

2001-01-11  Motoyuki Kasahara  <m-kasahr@sra.co.jp>

	* acfunctions.m4 (AC_FUNC_MEMCMP): Missing comma in AC_TRY_RUN
	invocation.

2001-01-11  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_PROG_CXX_EXIT_DECLARATION): New.
	(AC_PROG_CC, AC_PROG_CXX): Use it.
	(AC_PROG_CC_STDC): Be sure to remove tmp files.
	* tests/compile.at (AC_TRY_LINK_FUNC): Don't use exit to test it,
	since it produces a prototype which conflicts with the one
	computed by _AC_PROG_CXX_EXIT_DECLARATION.
	* tests/semantics.at (AC_CHECK_FUNCS, AC_HAVE_FUNCS): Likewise.
	(AC_HAVE_FUNCS): Test AC_HAVE_FUNCS!

2001-01-11  Kevin Ryde  <user42@zip.com.au>

	* autoconf.texi (Shellology): Fix an @end itemize, and a typo.

2001-01-11  Kelly Anderson  <tgcorp@attglobal.net>

	* autoconf.sh (M4): Handle PC drive letters.
	* autoupdate.sh: Likewise.

2001-01-11  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_PROG_F77): Add pgf90 to the list of compilers to
	look for, after the other Fortran 90 compilers.

2001-01-11  Akim Demaille  <akim@epita.fr>

	* aclang.m4: Use m4_copy to duplicate macros.
	(AC_LANG_PUSH): In order to have AC_LANG's simplifications
	effective, be sure to let _AC_LANG be the old language before
	calling AC_LANG.

2000-12-25  Pavel Roskin  <proski@gnu.org>

	* autoreconf.sh: s/localddir/localdir/.
	Reported by Motoyuki Kasahara.

2000-12-23  Akim Demaille  <akim@epita.fr>

	* autoconf.sh: Promote `configure.ac' over `configure.in'.
	* autoreconf.sh: Likewise.
	* autoheader.sh: Ditto.
	* autoupdate.sh: Similarly.
	* doc/autoconf.texi: Adjust.
	* tests/atspecific.m4: Be sure to remove configure.in.
	Adjust the test suite to use `configure.ac'.

2000-12-22  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_EVAL, AC_TRY_EVAL, AC_TRY_COMMAND): Be a
	single statement, so that one can make pipes with AC_TRYs, just as
	in 2.13.

2000-12-20  Lars J. Aas  <larsa@sim.no>

	* aclang.m4 (_AC_COMPILER_OBJEXT, _AC_COMPILER_EXEEXT_O):
	Make the order of arguments for ls count by splitting the ls
	command into a sequence of ls commands.

2000-12-20  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_LANG_COMPILER_GNU): Be sure to have `choke me' on
	the seventh column so that the SGI Fortran compiler really chokes
	on it.
	From Ezra Peisach.

2000-12-20  Akim Demaille  <akim@epita.fr>

	* tests/foreign.at (Autoconf & Libtool): Ignore Libtool version
	1.3.[0-5].
	* tests/compile.at (GNU Fortran 77): Use AS_EXIT.

2000-12-20  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CLEANUP_FILE_IFELSE): Fix the regexp: the
	pattern ` state* ' was added many times for `*' was improperly
	escaped.
	(AT_INIT): Remove the data files before running the tests.
	Define AT_data_files and output it.
	(AT_SETUP): Don't.
	(_m4_divert(TEST)): Remove, now useless.

2000-12-20  Akim Demaille  <akim@epita.fr>

	* aclang.m4: `dnl' the AC_LANG_PUSH and AC_LANG_POP.
	(AC_PROG_CXXCPP, AC_PROG_CPP): Set the current language instead of
	just asserting it, since these macros can be called directly.
	Reported by Raja R. Harinath.

2000-12-19  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Installation Directory Variables): More info
	on prefix and exec_prefix.

2000-12-19  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_COMPILER_OBJEXT): Don't rely on
	_AC_COMPILE_IFELSE which uses ac_objext in a `test -s'.
	Reported by Lars J. Aas.

2000-12-19  Akim Demaille  <akim@epita.fr>

	* tests/compile.at (AC_PROG_CPP without warnings, GNU Fortran 77):
	Use AC_TRY_COMMAND when running commands, to enrich the logs.

2000-12-19  Akim Demaille  <akim@epita.fr>, Mo DeJong  <mdejong@cygnus.com>

	* aclang.m4 (_AC_COMPILER_EXEEXT_DEFAULT): New.
	(_AC_COMPILER_EXEEXT_O): Extracted from...
	(_AC_COMPILER_EXEEXT): here.  Adjust.

2000-12-19  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CHECK): Make exit status report more
	visible.
	* tests/atspecific.m4 (AT_CHECK_AUTOCONF): Support FLAGS, STDOUT
	and STDERR.
	(AT_CHECK_CONFIGURE): Support plenty, cleanup defs when needed.
	Spread their use in the whole suite.
	Simplify a few AT_CLEANUPs.

2000-12-19  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CHECK): Accept if-failed and
	if-not-failed.
	* tests/atspecific.m4 (AT_CHECK_CONFIGURE): Use it in order to
	dump config.log when configure failed.  Before, the log was
	reported only on success.

2000-12-19  Akim Demaille  <akim@epita.fr>

	* tests/foreign.at: New file.

2000-12-19  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_BANNER, AT_CLEANUP): Formatting changes.

2000-12-18  Pavel Roskin  <proski@gnu.org>

	* Makefile.am: Add a comment explaining why suffix rules are not
	used there.

2000-12-15  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: If the "allowed" pattern is not defined set it
	to "^$".
	* tests/tools.at (autoconf: forbidden tokens, basic): New test.
	(autoconf: forbidden tokens): Renamed to ...
	(autoconf: forbidden tokens, exceptions): ... this.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_PROG_CXXCPP, AC_PROG_CPP): Require AC_PROG_CXX/CC.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* tests/compile.at (GNU Fortran 77): G77 is a `yes'/`' var.
	Reported by Ezra Peisach.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* tests/compile.at (GNU Fortran 77): s/g77/G77/.
	Reported by Ezra Peisach.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* man/Makefile.am (.x.1): Fix to work properly with
	builddir != srcdir.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_LANG(C), AC_LANG(C++), AC_LANG(Fortran 77))
	(AC_PROG_CPP, AC_PROG_CXXCPP, AC_PROG_GCC_TRADITIONAL)
	(_AC_PROG_CC_G, AC_PROG_CC_C_O, _AC_PROG_CXX_G, AC_PROG_CC_STDC):
	Don't use `${CC-cc}' since now the AC_REQUIRE machinery guarantees
	that $CC is defined.  And if not, it's a bug which must be
	observable.
	* acspecific.m4 (AC_SYS_LARGEFILE): Likewise.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_PREPROC_IFELSE): Use ac_status as set by
	AC_TRY_EVAL.
	(_AC_COMPILE_IFELSE, _AC_LINK_IFELSE, _AC_RUN_IFELSE): More alike,
	using AS_IFELSE, and systematically AC_TRY_COMMAND when testing
	something (for the logs).

2000-12-15  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_PROG_PREPROC_WORKS): Use _AC_PREPROC_IFELSE.
	* acgeneral.m4 (_AC_TRY_CPP): Its last use was that above, so
	inline it into...
	(_AC_PREPROC_IFELSE): here.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Forget about `-n'.
	Adjust so that `./testsuite -h 1 2' explains only tests 1 & 2.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_EVAL): New.
	(AC_TRY_EVAL, AC_TRY_COMMAND): Use it.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_PREPROC_IFELSE, AC_PREPROC_IFELSE): New.
	(AC_TRY_CPP): Use AC_PREPROC_IFELSE.
	(AC_CHECK_MEMBER, AC_CHECK_DECL, _AC_CHECK_TYPE_NEW): Quote
	properly.
	* acheaders.m4 (AC_CHECK_HEADER): Quote properly, use
	AC_PREPROC_IFELSE.
	* acspecific.m4 (_AC_PATH_X_DIRECT): Use AC_PREPROC_IFELSE.

2000-12-15  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_init): Catch `dnl'.

2000-12-15  Pavel Roskin  <proski@gnu.org>

	* m4sh.sh (AS_ERROR): Restore dnl at the end of the macro.

2000-12-14  Pavel Roskin  <proski@gnu.org>

	* tests/semantics.at (AC_CHECK_TYPES): There are two tests with
	this name. Rename the second one to "AC_CHECK_TYPES: backward
	compatibility"
	(AC_TRY_LINK_FUNC): Removed. It's now in tests/compile.at.
	(C keywords): Likewise.
	(AC_PROG_CPP with warnings): Likewise.
	(AC_PROG_CPP without warnings): Likewise.

2000-12-14  Akim Demaille  <akim@epita.fr>

	Put back AC_CYGWIN etc. under the responsibility of the
	configure.in maintainer, but discourage its use.

	* acspecific.m4 (_AC_CYGWIN, _AC_MINGW32, _AC_EMXOS2): Rename as...
	(AC_CYGWIN, AC_MINGW32, AC_EMXOS2): these.
	AU defined on top of AC_CANONICAL_HOST and $host_os.
	* tests/mktests.sh (update_exclude_list): Add AC_CYGWIN,
	AC_MINGW32, and AC_EMXOS2.

2000-12-13  Pavel Roskin  <proski@gnu.org>

	* m4sugar.m4 (m4_file_append): Add a newline after _m4eof,
	otherwise _m4eof is appended to the output on FreeBSD 4.0.
	* tests/atgeneral.m4 (AT_INIT): Avoid using unbalanced "y"
	in sed, use "s" instead.
	* tests/mktests.sh: Don't use \? in sed - it's a GNU extension.
	Use separate patterns for A[CU]_DEFUN and AC_DEFUN_ONCE.

2000-12-13  Akim Demaille  <akim@epita.fr>

	EXEEXT and OBJEXT don't need to know $CYGWIN etc.

	* acspecific.m4 (AC_EXEEXT, AC_OBJEXT, _AC_EXEEXT, _AC_OBJEXT):
	Move as...
	* aclang.m4 (AC_EXEEXT, AC_OBJEXT, _AC_COMPILER_EXEEXT)
	(_AC_COMPILER_OBJEXT): these.
	(_AC_COMPILER_EXEEXT): Use _AC_LINK_IFELSE.
	Don't depend upon $CYGWIN and the like.
	(_AC_COMPILER_OBJEXT): Model after _AC_COMPILER_EXEEXT.
	Skip more extensions.
	Use _AC_COMPILE_IFELSE.

2000-12-12  Pavel Roskin  <proski@gnu.org>

	* Makefile.am: Don't use suffix rules for perl and shell
	scripts. Use explicit rules instead.

2000-12-12  Pavel Roskin  <proski@gnu.org>

	* autoscan.pl (init_tables): Allow spaces on the right hand side
	in autoscan tables. Die if there are no spaces at all.
	(scan_c_file): Use \b instead of \W so that keywords match at
	the beginning and the end of the line.
	(scan_sh_file): Likewise.
	(scan_makefile): Likewise. Use \B to match before `-l'.
	(output): Suggest AC_CONFIG_HEADER if any C/C++ sources are
	found.
	* acidentifiers: Update macros for structure members st_blksize
	and st_rdev.

2000-12-12  Akim Demaille  <akim@epita.fr>

	* tests/compile.at (GNU Fortran 77): Be robust to compilers that
	choke on `--version'.

2000-12-12  Akim Demaille  <akim@epita.fr>

	* tests/suite.at: Run `tools.at' first.

2000-12-12  Akim Demaille  <akim@epita.fr>

	* tests/aclocal.m4 (AC_STATE_SAVE): Use a more precise regexp to
	keep envvars.

2000-12-12  Akim Demaille  <akim@epita.fr>

	AS_ERROR was not properly saving data in the log file.

	* sh.m4 (AS_WARN, AS_ERROR): Use AS_MESSAGE.
	(_AS_ECHO): Fix quotation.
	(AS_MESSAGE): Use `as_me'.
	* acgeneral.m4: More banners in the log.
	(_AC_INIT_DEFAULTS): Compute as_me before using it.

2000-12-08  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (System Services) <AC_PATH_XTRA>: Adjust the
	documentation about X_DISPLAY_MISSING to the code.

2000-12-07  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): More robust computation of
	ac_tests_pattern.
	Reported by  Andrej Borsenkow.

2000-12-07  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_EXEEXT): Skip *.pdb.
	From Paul Berrevoets.

2000-12-07  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CHECK): Bad typo: assign `exit 1' to
	at_continue if something failed, not `:'.
	* tests/semantics.at (AC_PATH_XTRA): New.
	* acspecific.m4 (_AC_PATH_X): New, extracted form AC_PATH_X.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* configure.in: Bump version to 2.49c.

2000-12-06  Akim Demaille  <akim@epita.fr>

	Version 2.49b.

2000-12-06  Akim Demaille  <akim@epita.fr>

	Stop playing with FDs in Autotest.

	* tests/atgeneral.m4 (AT_INIT): Set up FD 5.
	(AT_CHECK): Instead of using exec to globally change the FDs of
	`testsuite', enclose the body of the test into a
	`(..) >stdout 2>stderr'.
	In every case, when verbose, display the differences between
	expected and observed (stdout, stderr, exit status).
	Let `0' be the default for EXIT-STATUS.
	Support EXIT-STATUS == `ignore'.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* tests/tools.at (autoconf: forbidden tokens): Adjust expected
	result.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* man/config.guess.x: New file.
	* man/config.sub.x: New file.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* tests/aclocal.m4 (AT_STATE_SAVE): Don't even try to preserve
	egrep error messages, AT_CHECK will find them.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools) <awk>: `for' on
	arrays is nondeterministic across AWK implementations.
	* tests/tools.at (autoconf: forbidden tokens): Sort the error
	message to guarantee its uniqueness.

2000-12-06  Akim Demaille  <akim@epita.fr>

	The SunOS' egrep fails to process properly the `egrep' invocations
	of the test suite.

	* tests/aclocal.m4 (AC_STATE_SAVE): If egrep fails, remove the
	output file.
	* tests/atspecific.m4 (_AT_CHECK_AC_MACRO): Don't check `state-*'
	if the files are not present.

	* m4sugar.m4 (m4_join): Rename as...
	(m4_smash): this.
	* tests/aclocal.m4 (join): Move as...
	* m4sugar.m4 (m4_flatten): this.
	* autoconf.sh (trace.m4): Rename m4_smash as m4_flatten.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (task trace): s/m4/$M4/.
	* autoheader.sh: When loading trace.sh, catch errors and exit with
	a decent error message.
	* tests/tools.at: Be sure to test autoconf --trace before
	autoheader.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CHECK): Fix the m4_ifval invocation.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_LANG): Be `smart': don't issue the sh code if the
	current language did not change.
	(AC_LANG_ASSERT): New.
	(AC_PROG_CPP, AC_PROG_CXXCPP): Assert the language.
	(_AC_PROG_F77_V, _AC_F77_NAME_MANGLING): Don't require
	AC_PROG_F77, the code you include does it.
	(AC_F77_LIBRARY_LDFLAGS): Set the language.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (ifelse): Rename as...
	(m4_if): this.
	* autoconf.m4 (ifelse): Restore.

2000-12-06  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_dquote, m4_pattern_forbid, m4_pattern_allow)
	(m4_cr_letters, m4_cr_LETTERS, m4_cr_Letters, m4_cr_digits)
	(m4_cr_symbols1, m4_cr_symbols2, m4_re_string, m4_re_word)
	(m4_init): New macros.
	(m4_token_allow): Remove.
	* acgeneral.m4: Don't push BODY into the diversion stack.
	(AC_PLAIN_SCRIPT): Do it.
	Call m4_init, define the Autoconf patterns.
	(AC_INIT): Use AC_PLAIN_SCRIPT.
	Remove the useless `dnl' (those where the current diversion is
	KILL).
	* autoconf.sh (m4_common): Fix quotation.
	(finalize.awk): Load forbidden.rx and allowed.rx.
	Split the line into tokens, and check their validity.
	* tests/tools.at (Forbidden tokens): Adjust.

2000-12-05  Bob Wilson  <bwilson@tensilica.com>

	* acspecific.m4 (_AC_OBJEXT, _AC_EXEEXT): Ignore .d files produced
	by CFLAGS=-MD.

2000-12-05  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_PROG_F77): Temporarily set ac_ext to F to run
	_AC_LANG_COMPILER_GNU.
	From Steven G. Johnson.
	* tests/compile.at (GNU Fortran 77): New test.

2000-12-05  Akim Demaille  <akim@epita.fr>

	* tests/tools.at (autoupdate): Strengthen and check autoupdate's
	idempotency.

2000-12-05  Akim Demaille  <akim@epita.fr>

	* tests/atspecific.m4 (_AT_CHECK_AC_MACRO): s/cp -f/mv -f/.

2000-12-01  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Don't escape
	backquotes in AC_MSG_ERROR. Fix error message.

2000-12-01  Pavel Roskin  <proski@gnu.org>

	* tests/atgeneral.m4 (AT_INIT): Use ${CONFIG_SHELL-/bin/sh}
	to run the testsuite from the debug scripts.
	Suggested by Alexandre Oliva.

2000-11-30  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Assignments): Don't use $? from an
	assignment.

2000-11-30  Akim Demaille  <akim@epita.fr>

	* sh.m4 (AS_EXIT): Don't rely on false exiting 1.
	Actually, always use `(exit $val); exit', don't try to be tricky.
	* doc/autoconf.texi (Limitations of Builtins) <false>: new.

2000-11-30  Akim Demaille  <akim@epita.fr>

	* sh.m4 (_AS_EXPR_PREPARE): Don't rely on the exit status of a
	back quote evaluation since the very system for which the test was
	written does not propagate it.  Groumph!

2000-11-30  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_EXEEXT): Also remove conftest$ac_exeext.
	Reported by Pavel.

2000-11-30  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_EXEEXT, _AC_OBJEXT): Make the two macros more
	alike: a loop over a sorted list of possible files.
	Don't cleanup on errors, the trap will do it.
	Cleanup when there are no errors.
	(_AC_EXEEXT): Use the empty string instead of `no' as the cached
	value.
	Be sure to prefer `.exe' to `' when the two are observable.
	Suggested by Lars and Earnie.

2000-11-30  Akim Demaille  <akim@epita.fr>

	When using Cygwin, in spite of all their efforts, it may happen
	that `confestval' be read in binary mode.  The shell then fails to
	properly strip the \r\n.
	Reported by Lars J. Aas.

	* aclang.m4 (AC_LANG_INT_SAVE): Don't add any trailing new line,
	and close the file.
	Suggested by Peter Eisentraut.

2000-11-30  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Systemology): New section.
	Some about QNX 4.

2000-11-30  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Special Shell Variables): Document RANDOM.

2000-11-30  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools): Some about cp
	and mv, thanks to Ian.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_OBJEXT): Skip *.tds, special case .o and
	.obj.
	Suggested by Lars.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Fix the portability of
	the default assignment of CONFIG_FILES, CONFIG_HEADERS,
	CONFIG_LINKS and CONFIG_COMMANDS.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CACHE_SAVE): Use the `clear' trick to work
	around broken seds.
	(_AC_OUTPUT_HEADERS, _AC_OUTPUT_FILES): Rename the sed labels to
	match the Autoconf documentation.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Shell Substitutions): More on the variations
	around ${foo=bar}.
	(Assignments): Rewrite as a summary of the previous section.
	* acgeneral.m4 (AC_CACHE_SAVE): Be protected against the Solaris'
	`${foo='${bar}'}' bug.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_HEADERS, _AC_OUTPUT_FILES): Don't use
	   `... echo "error: \\\`$f'" ...`
	as it's not portable to BSDI 1.3.
	Do this instead:
	   `... echo "error: $f" ...`
	Reported by Daniele Arena.

2000-11-29  Akim Demaille  <akim@epita.fr>

	QNX 4.2.5's expr always exits 1 when `:' is used with parens.

	* doc/autoconf.texi (Limitations of Usual Tools) <expr>: More
	information, thanks to Paul Berrevoets, Paul Eggert and David
	Morgan.
	* sh.m4 (_AS_EXPR_PREPARE): New.
	(AS_DIRNAME): Use it.

2000-11-29  Akim Demaille  <akim@epita.fr>

	sizeof (struct {char a,b; }) is not required to be 2.
	Reported by Johan Danielsson.

	* tests/semantics.at (AC_CHECK_SIZEOF): Define charchar as an
	array of 2 chars.
	Suggested by Alexandre.

2000-11-29  Akim Demaille  <akim@epita.fr>

	Provide a means to display banners in the test suite.

	* tests/atgeneral.m4 (AT_INIT): Initialize `AT_banner_ordinal'.
	Execute the epilogue of the tests only if a test was run.
	Don't build the value of `at_tests_all' with a for loop: expand
	`AT_TESTS_ALL'.
	(AT_SETUP): Build `AT_TESTS_ALL'.
	(AT_BANNER): New.
	Adjust all the former banners to use it.
	(AT_CHECK): Don't trace the decoding of `$?'.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_DEFINE, AT_UNDEFINE, AT_SHIFT)
	(AT_INCLUDE): Remove, use the m4_ macros.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (ifval, ifset, ifdef, ifndef, m4_ifvanl): Rename as...
	(m4_ifval, m4_ifset, m4_ifdef, m4_ifndef, m4_ifvaln): this.
	(m4_n): New macro.
	(m4_ifvaln): Use it.
	* autoconf.m4 (ifdef): Restore it.

2000-11-29  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_errprint, divnum, errprint, esyscmd): Rename as...
	(m4_errprintn, m4_divnum, m4_errprint, m4_esyscmd): this.
	* autoconf.m4: Restore them.

2000-11-28  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Fortran 77 Compiler Characteristics):
	Don't suggest obsolete AC_LANG_FORTRAN77.
	(Language Choice): Better preamble.

2000-11-28  Pavel Roskin  <proski@gnu.org>

	* doc/install.texi: Minor changes to eliminate TeX warnings.
	* doc/autoconf.texi: Likewise. Typo fixes.

2000-11-23  Akim Demaille  <akim@epita.fr>

	* tests/atconfig.in: Move code into...
	* tests/atgeneral.m4 (AT_INIT): here.
	Use AS_SHELL_SANITIZE.

2000-11-23  Akim Demaille  <akim@epita.fr>

	Have the test suite list of the test groups and their references.

	* tests/atgeneral.m4 (_m4_divert(SUITE_PRO)): Remove, replaced
	by...
	(_m4_divert(DEFAULT), _m4_divert(OPTIONS), _m4_divert(HELP))
	(_m4_divert(SETUP)): these.
	(_m4_divert(SUITE_EPI)): Rename as...
	(_m4_divert(TAIL)): this.
	(AT_INIT): Adjust to the new diversions.
	Insert the magic number.
	Accept test groups as cli argument.
	List the test groups.
	Rename TESTS, test, and tests as at_tests_all, at_test, and
	at_tests.
	Have the debug scripts pass options to test suite.
	Remove their banner.
	* tests/atspecific.m4: Don't divert to 0.
	* suite.at: Don't insert the magic number.

2000-11-23  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_divert, m4_undivert): Support named diversions.
	* tests/atgeneral.m4 (_m4_divert(SUITE_PRO), _m4_divert(TESTS))
	(_m4_divert(SUITE_EPI), _m4_divert(TEST)): New diversions.
	Push the first two diversions.
	(AT_INIT): Don't.
	(AT_INIT, AT_SETUP, AT_CLEANUP): Adjust to use the named
	diversions.

2000-11-23  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CLEANUP): Factor the computation of
	at_test_count into...
	(AT_INIT): here.
	Use an sh variable, at_data_files, instead of an hard coded list.

2000-11-23  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CLEAN_FILE_IFELSE, AT_CLEANUP_FILE)
	(AT_CLEANUP_FILES): New	macros.
	(AT_SETUP, AT_CHECK, AT_CLEANUP): Use them.
	(AT_CHECK): Fix a use of at_verbose.
	* tests/atspecific.m4 (AT_CHECK_AUTOCONF, AT_CHECK_AUTOHEADER)
	(AT_CHECK_CONFIGURE): New macros.

2000-11-23  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT) <at_verbose>: Be a :/echo variable.
	<at_silent>: Remove.
	(AT_CLEANUP): Clean up the diversion use.

2000-11-23  Akim Demaille  <akim@epita.fr>

	Factor part of the prologue of the tests.

	* tests/atgeneral.m4 (AT_SETUP, AT_CLEANUP): No longer handle
	at_stop_on_error.
	(AT_INIT): After having checked whether the test failed, break out
	of the loop if requested (-e).

2000-11-23  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_SETUP): Don't build at-check-line, that's
	AT_CHECK's job.
	Remove the code depending upon `at_skip_mode': it's unused.

2000-11-23  Akim Demaille  <akim@epita.fr>

	* tests/atconfig.in: Remove the `snippet' marks, there are no
	longer used.
	* tests/atgeneral.m4: Likewise.

2000-11-23  Akim Demaille  <akim@epita.fr>

	Factor the epilogue of the tests.

	* tests/atgeneral.m4 (AT_CLEANUP): Move the reading of at_status
	into...
	(AT_INIT): here, at the end of the `case'.

2000-11-23  Akim Demaille  <akim@epita.fr>

	The debug scripts are only wrapper around testsuite, asking for a
	specific test.

	* tests/atgeneral.m4 (AC_INIT) <at_debug>: New variable, new
	option, -d, to disable the creation of the debug scripts (when
	testsuite was already launched from one).
	<at_test_count>: Really compute it instead of using the number of
	the last test run.

2000-11-23  Akim Demaille  <akim@epita.fr>

	Transform Autotest's body into a `for test; case $test'.
	As a known side effect, currently any code outside
	AT_SETUP/AT_CLEANUP is discarded.

	* acgeneral.m4 (_m4_divert(KILL)): Move to...
	* m4sugar.m4: here.
	* tests/atgeneral.m4 (AT_INIT): Use m4_divert_push/pop instead of
	m4_divert.
	Put all the tests inside a for;case.
	Define TESTS.
	(AT_SETUP, AT_CLEANUP): Open/close each case.

2000-11-23  Akim Demaille  <akim@epita.fr>

	Move divert and undivert into m4_.

	* m4sugar.m4 (m4_divert, divert, undivert): Rename as...
	(m4_divert_text, m4_divert, m4_undivert): this.
	* autoconf.m4 (divert, undivert): Restore them for user macros only.

2000-11-23  Akim Demaille  <akim@epita.fr>

	Move Autotest on top of M4sh.

	* tests/atgeneral.m4: Import M4sh.
	Adjust the differences on the names of the builtins (define etc.).
	(AT_CASE): Remove, use m4_case.
	(AT_SETUP): Don't use `AT_group_description', `$1' is OK.
	* tests/atspecific.m4 (m4_for, m4_foreach): Remove, use those of
	M4sugar.
	* tests/m4sugar.at: Strengthen the quotation and adjust to the new
	macro names.
	* tests/m4sh.at: Ditto.
	* tests/torture.at: Ditto.
	* tests/base.at: Ditto.
	* m4sh.m4: Import M4sugar.
	* autoconf.m4: Don't import M4sugar, M4sh does.

2000-11-20  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_RUN_IFELSE): `==' in test is not portable,
	replace with `='.

2000-11-17  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_DEFAULTS): Also include `PATH' and
	`/bin/machine' in the log.

2000-11-17  Akim Demaille  <akim@epita.fr>

	Let AC_TRY_RUN be more verbose

	* acgeneral.m4 (_AC_RUN_IFELSE): Instead of canceling the output
	of the test program, save it into the log.
	Save the exit status, and report it in the log when non zero.
	Just use `(./conftest)' instead of `(./conftest; exit)'.

2000-11-17  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_DEFAULTS) <ac_includes_default>: Include
	sys/stat.h.
	* acspecific.m4 (AC_STRUCT_ST_BLKSIZE, AC_STRUCT_ST_BLOCKS)
	(AC_STRUCT_ST_RDEV): Simplify.
	* acfunctions.m4 (AC_FUNC_MMAP): Include sys/stat.h unconditionally.
	* doc/autoconf.texi (Default Includes): Adjust.
	(Particular Structures) <AC_STRUCT_ST_BLKSIZE, AC_STRUCT_ST_RDEV>:
	Adjust.

2000-11-16  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools) <expr>:
	expr 'a' : '\(b\)'.
	From Paul Eggert.

2000-11-16  Akim Demaille  <akim@epita.fr>

	Reorder the test suite so that low level features are tested
	before high level ones.

	* tests/semantics.at (AC_CONFIG_FILES, HEADERS, LINKS and COMMANDS):
	(missing templates): Move to...
	* tests/torture.at: here.
	Reorder the file so that the torture test is last.
	* tests/semantics.at (AC_TRY_LINK_FUNC, AC_PROG_CPP with warnings)
	(AC_PROG_CPP without warnings): Move to...
	* tests/compile.at: here, new file.
	* tests/suite.at: Run `torture' and then `compile' before
	`semantics'.

2000-11-16  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_SYS_LARGEFILE): _AC_SYS_LARGEFILE_SOURCE no
	longer exist.

2000-11-16  Akim Demaille  <akim@epita.fr>

	POSIX doesn't require s/[^/]// to work.
	From Paul Eggert and Johan Danielsson.

	* doc/autoconf.texi (Limitations of Usual Tools) <sed>:
	Reorganize.  Document this issue.
	* autoupdate.sh (dir): Use `,' as separator instead of `/'
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Ditto.

2000-11-16  Paul Eggert  <eggert@twinsun.com>

	* m4/largefile.m4 (_AC_SYS_LARGEFILE_SOURCE): Remove, replaced by...
	(_AC_SYS_LARGEFILE_TEST_INCLUDES): this.
	(AC_SYS_LARGEFILE_MACRO_VALUE): Use AC_LANG_PROGRAM instead of
	_AC_SYS_LARGEFILE_SOURCE, i.e., don't pass
	_AC_SYS_LARGEFILE_TEST_INCLUDES by default: this isn't desirable
	when checking for fseeko.
	(AC_SYS_LARGEFILE): Pass AC_SYS_LARGEFILE_TEST_INCLUDES to
	_AC_SYS_LARGEFILE_MACRO_VALUE, since it no longer does this for us.

2000-11-16  Akim Demaille  <akim@epita.fr>

	Provide a means for escaping the forbidden patterns test.

	* tests/tools.at (Forbidden tokens): Test m4_token_allow.
	* m4sugar.m4 (m4_file_append, m4_token_allow): New macros.
	* autoconf.sh (task script): Pass `tmp' and `verbose' to
	finalize.awk.
	(finalize.awk::check_patterns): Eve out from the body.
	(finalize.awk): Read `$tmp/tokens_allowed', and don't complain for
	these exceptions.

2000-11-14  Paul Eggert  <eggert@twinsun.com>

	* acspecific.m4 (AC_SYS_LARGEFILE): Don't worry about
	whether fseeko and ftello are properly declared.
	* acfunctions.m4 (AC_FUNC_FSEEKO): New macro, which worries about
	fseeko (and presumably ftello).  Do not set _XOPEN_SOURCE; that
	causes too many problems in practice.
	* acfunctions (fteelo, fseeko): Trigger AC_FUNC_FSEEKO.
	* doc/autoconf.texi: Adjust.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Builtins): Comment `true'.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* BUGS: New file.
	Be sure to read this file if you're using a non released Autoconf.
	* tests/tools.at (Syntax of the scripts): The non built tools are
	in `$top_srcdir', not `..'.
	(autoconf --trace): When using `-i' we need the src tree, not the
	build tree.

2000-11-14  Akim Demaille  <akim@epita.fr>

	A single m4_require is enough.

	* m4sugar.m4 (_m4_require): $2 defaults to $1.
	Rename as...
	(m4_require): this.
	* acgeneral.m4 (_AC_REQUIRE): Remove, use m4_require if you want
	to get into the gory details.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_DEFAULTS_ENVIRONMENT): Rename as...
	* m4sh.m4 (AS_SHELL_SANITIZE): this.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* tests/atspecific.m4 (_AT_CHECK_AC_MACRO): Don't neutralize
	autoconf's warnings.

2000-11-14  Akim Demaille  <akim@epita.fr>

	Set AC_LANG_PREPROC_REQUIRE which replaces AC_REQUIRE_CPP.
	The main difference is that the former requires AC_LANG_COMPILER.

	* aclang (AC_LANG_PREPROC, AC_LANG_PREPROC(C), AC_LANG_PREPROC(C++))
	(AC_LANG_PREPROC(Fortran 77), AC_LANG_PREPROC_REQUIRE): New
	macros.  Issue a warning when looking for the Fortran 77
	preprocessor instead of an error.
	(AC_LANG_COMPILER): Check that it is run before the corresponding
	AC_LANG_PREPROC.
	(AC_PROG_C
	(AC_LANG_COMPILER_REQUIRE): Don't call directly
	AC_LANG_COMPILER(_AC_LANG), rather invoke AC_LANG_COMPILER so that
	the generic code in AC_LANG_COMPILER is run.
	(AC_REQUIRE_CPP): Use AC_LANG_PREPROC_REQUIRE.
	(AC_PROG_CC, AC_PROG_CXX): Don't require being run before the
	corresponding AC_LANG_PREPROC: AC_LANG_COMPILER does it.


	Propagate AC_LANG_PREPROC_REQUIRE.

	* acgeneral.m4 (AC_TRY_CPP, AC_EGREP_CPP): Use it instead of
	AC_REQUIRE_CPP.
	* acspecific.m4 (_AC_DECL_YYTEXT, AC_PATH_X): Don't
	AC_REQUIRE_CPP, inner macro will do it.
	* aclang.m4 (AC_PROG_GCC_TRADITIONAL, AC_C_STRINGIZE)
	(AC_C_PROTOTYPES): Likewise.
	(AC_C_STRINGIZE): Yeeks!  The body of AC_CACHE_CHECK was not
	quoted.  Use @%:@ do assist Emacs.


	For some reason (don't ask), this revamping revealed that
	AC_PROG_CC_STDC, because of the `break', does not clean its tmp
	files.

	* aclang.m4 (AC_PROG_CC_STDC): Extract the creation of conftest.c
	out of AC_COMPILE_IFELSE.
	Be sure to clean the tmp files.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* tests/m4sh.at (AS_DIRNAME & AS_DIRNAME_SED): Simplify.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (AC_FUNC_ALLOCA): Don't require AC_PROG_CPP,
	since (i) you actually need a compiler, (ii) AC_TRY_LINK handles
	it.
	* acheaders.m4 (AC_HEADER_STDC): Don't require AC_PROG_CPP,
	AC_TRY_CPP does it.

2000-11-14  Akim Demaille  <akim@epita.fr>

	Create acheaders.m4.

	* acgeneral.m4 (AC_CHECK_HEADER, AC_CHECK_HEADERS)
	(AH_CHECK_HEADERS): Move to...
	* acheaders.m4: here, a new file.
	* acspecific.m4	(_AC_CHECK_HEADER_DIRENT, AH_CHECK_HEADERS_DIRENT)
	(AC_HEADER_DIRENT, AC_HEADER_MAJOR, AC_HEADER_STAT, AC_HEADER_STDC)
	(AC_HEADER_SYS_WAIT, AC_HEADER_TIME)
	(_AC_HEADER_TIOCGWINSZ_IN_TERMIOS_H)
	(_AC_HEADER_TIOCGWINSZ_IN_SYS_IOCTL, AC_HEADER_TIOCGWINSZ): Move
	to...
	* acheaders.m4: here.

2000-11-14  Akim Demaille  <akim@epita.fr>

	Move AC_MSG_* into M4sh.

	* acgeneral.m4 (_AC_SH_QUOTE, _AC_SH_QUOTE_IFELSE, _AC_ECHO): Move
	to...
	* m4sh.m4 (_AS_QUOTE, _AS_QUOTE_IFELSE, _AS_ECHO): here.
	(AS_MESSAGE, AS_WARN, AS_ERROR): New.
	* acgeneral.m4 (AC_MSG_NOTICE, AC_MSG_WARN, AC_MSG_ERROR): Use them.
	(AC_FD_MSG, AC_FD_LOG): Be AU_ALIAS'es of...
	(AS_MESSAGE_FD, AS_MESSAGE_LOG_FD): new.
	Adjust all dependencies.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Spread some AS_EXIT and AC_MSG_ERROR.
	(AC_OUTPUT): Don't play with trap, use ac_clean_files.

2000-11-14  Akim Demaille  <akim@epita.fr>

	Use AC_MSG_ERROR in `config.status', but adjust AC_MSG_* to use $0
	instead of hard coded `configure'.

	* acgeneral.m4 (AC_COPYRIGHT): s/configure.in/__file__/.
	(_AC_INIT_DEFAULTS_FDS): Append to AC_FD_LOG instead of creating
	it.  No longer insert the configure banner.
	(_AC_INIT_DEFAULTS): Create config.log with the banner.
	Define `as_me'.
	(_AC_INIT_PARSE_ARGS, _AC_INIT_PREPARE, AC_MSG_NOTICE)
	(AC_MSG_CHECKING, AC_MSG_RESULT, AC_MSG_RESULT_UNQUOTED)
	(AC_MSG_WARN, AC_MSG_ERROR, AC_MSG_ERROR, AC_TRY_CPP)
	(_AC_COMPILE_IFELSE, _AC_LINK_IFELSE, _AC_RUN_IFELSE)
	(_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS, _AC_PROG_F77_V_OUTPUT): Use
	`$as_me' instead of `configure'.
	(AC_OUTPUT): Get rid of the UCA, and of the empty line when
	dumping confdefs.h into config.log.
	(_AC_OUTPUT_CONFIG_STATUS): Use _AC_INIT_DEFAULTS_FDS.
	Print a banner.
	Use AC_MSG_ERROR and AC_MSG_NOTICE.
	* acgeneral.m4 (AC_CACHE_LOAD, _AC_OUTPUT_FILES, _AC_OUTPUT_LINKS)
	(_AC_OUTPUT_HEADERS):  Use AC_MSG_NOTICE.
	* tests/semantics.at (missing templates): Adjust.

2000-11-14  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (autoconf Invocation): Explain `-W error'
	gives back traces.

2000-11-11  Pavel Roskin  <proski@gnu.org>

	* acfunctions.m4 (AC_CHECK_FUNCS): Add missing m4 quotes.
	(AC_FUNC_GETPGRP): Likewise.
	* acspecific.m4 (AC_AIX): Likewise.
	* m4/init.m4 (AM_INIT_AUTOMAKE): Likewise.
	* m4/missing.m4 (AM_MISSING_PROG): Likewise.
	* m4/sanity.m4 (AM_SANITY_CHECK): Likewise.

2000-11-11  Pavel Roskin  <proski@gnu.org>

	* acfunctions.m4: Always quote first argument of AC_MSG_ERROR,
	AC_MSG_WARN, AC_MSG_CHECKING, AC_MSG_RESULT,
	AC_MSG_RESULT_UNQUOTED.
	* acgeneral.m4: Likewise.
	* aclang.m4: Likewise.
	* acspecific.m4: Likewise.
	* configure.in: Likewise.
	* doc/autoconf.texi: Likewise.

2000-11-10  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Particular Structures): Fix examples for
	AC_STRUCT_ST_BLKSIZE and AC_STRUCT_ST_RDEV.

2000-11-10  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Limitations of Usual Tools): Don't use
	uncommon abbreviations.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Builtins): Some information
	about `trap'.
	Document the FreeBSD bug observed by Pavel.

2000-11-10  Pavel Roskin  <proski@gnu.org>

	* autoscan.pl (scan_files): Eliminate a warning if no C files
	are found.
	(output): Likewise. Use AC_CONFIG_SRCDIR and AC_CONFIG_FILES
	instead of old-style arguments for AC_INIT and AC_OUTPUT.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools): `&' in sed's rhs
	is portable.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Shell Substitutions): Some information about
	Solaris' sh handling of ``foo=${foo='}'}'' collected by Alexandre,
	reported by David Taylor.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* tests/m4sh.at (Negated classes in globbing): New test.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Builtins): `for i; do'.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Shellology): Some about /usr/xpg4/bin/sh on
	Solaris.
	Sort the entries.
	Some words about POSIX vs Bourne shell.
	From Russ Allbery and Robert Lipe.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Shell Substitutions): Split into...
	(Shell Substitutions, Assignments): these.
	Move them before `Special Shell Variables'.
	(Shell Substitutions): Include information on `$()' from Russ
	Allbery.

2000-11-10  Akim Demaille  <akim@epita.fr>

	When running

	AC_INIT
	AC_PROG_CC
	AC_LANG_COMPILER_REQUIRE

	AC_PROG_CC is expanded twice, because AC_PROG_CC provides
	`AC_PROG_CC', and not `AC_LANG_COMPILER(C)' as expected by
	AC_LANG_COMPILER_REQUIRE.

	* aclang.m4 (AC_LANG_COMPILER(C)): Instead of calling AC_PROG_CC,
	require it.
	(AC_LANG_COMPILER(C++), AC_LANG_COMPILER(Fortran 77)): Likewise.

2000-11-10  Akim Demaille  <akim@epita.fr>

	* m4sh.m4 (AS_MKDIR_P, AS_DIRNAME_SED): Don't shell quote $1.
	Adjust callers.
	Reported by Paul Eggert.
	* tests/m4sh.at: Sort.

2000-11-09  Pavel Roskin  <proski@gnu.org>

	* install-sh: Use ":" instead of "true".

2000-11-09  Pavel Roskin  <proski@gnu.org>

	* tests/tools.at (Syntax of the scripts): Check "autoreconf"
	only once. Check "install-sh", "mkinstalldirs" and "missing".

2000-11-09  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_COMPUTE_INT_COMPILE): Use ":" instead of
	"true".
	* tests/atgeneral.m4 (AT_INIT): Likewise.
	* tests/tools.at (Syntax of the scripts): Likewise.

2000-11-09  Pavel Roskin  <proski@gnu.org>

	* tests/m4sugar.at (m4_warn): Adjusted to accept stack dump when
	-Werror is used.

2000-11-08  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (_m4_expansion_stack_dump): Really rename as...
	(m4_expansion_stack_dump): this.

2000-11-08  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_LANG_PROGRAM(Fortran 77): Complain about $1 having
	a value.
	Reported by Paul Martinolich.
	(_AC_LANG_COMPILER_GNU): Pass the test as the body of
	AC_LANG_PROGRAM, not the prologue.

2000-11-07  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: Temporarily disable recognizing of abbreviated
	long options - it's hard to maintain them by hand.
	* autoheader.sh: Likewise.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* ifnames.sh: Likewise.

2000-11-07  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (ac_cv_prog_gcc, ac_cv_prog_gxx, ac_cv_prog_g77):
	Be AU_DEFUN'd, not AU_ALIAS'd.
	Reported by Ralf Corsepius.
	* tests/mktests.sh (exclude_list): Skip these variables.

2000-11-07  Akim Demaille  <akim@epita.fr>

	m4_syscmd was reestablished as `syscd' intead of `syscmd' because
	instead of `s/^m4_//', m4_copy_unm4 was running `s/[m4_]//'.

	* m4sugar.m4 (m4_copy_unm4): Fix.

2000-11-07  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECKING): Is not an alias of AC_MSG_NOTICE,
	hence use AU_DEFUN, not AU_ALIAS.

2000-11-03  Jim Meyering  <meyering@lucent.com>

	* acfunctions.m4 (AC_FUNC_FNMATCH): Add a test to detect
	the d*/*1 vs d/s/1 bug.
	Add a couple more test cases to catch bugs in glibc 2.1.95.
	Include fnmatch.h unconditionally
	Mention the GNU C library.
	From Paul Eggert.

2000-11-03  Akim Demaille  <akim@epita.fr>

	AC_CONFIG_AUX_DIR_DEFAULTS overrides AC_CONFIG_AUX_DIR.  Ouch.
	Reported by Paul Martinolich.

	* acgeneral.m4 (AC_PROVIDE): Don't forget to `m4_provide'!!!
	Tss, novice...
	* tests/base.at (AC_REQUIRE & AC_PROVIDE): New test.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_location): When using its value, don't use
	`m4_defn', since m4_location is not a variable, it's a macro which
	expands to __file__:__line__.
	* tests/m4sugar.at (m4_warn): New test.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* tests/tools.at (unexpanded macros): Strengthen.
	* autoconf.sh (finalize.awk): Use `sub' instead of `index' +
	`substr'.
	More comments.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* Makefile.am (.m4.m4f): Check that processing produces only
	comments and empty lines.
	Check that freezing produced no output.
	* m4sugar.m4: Commentize what was not.
	* m4sh.m4: Likewise.
	* aclang.m4: Formatting changes.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* autoconf.m4 (define): Reestablish only after having read the
	`ac' files.
	Adjust all the Autoconf code to use `m4_define', not `define'.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AU_ALIAS): Don't forget to pass the arguments to
	the new macro...
	Reported by Ezra Peisach.
	* tests/semantics.m4 (AC_HAVE_FUNCS): New test.
	* tests/tools.at (autoupdate): As a benign side effect, updating a
	macro that takes no argument produces `UPDATED([])', no longer
	`UPDATED()'.  Adjust the test.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* autoconf.m4: Instead of reactivating the macros before reading
	Autoconf's files, do it afterwards, so that Autoconf promotes the
	right use, but users still can use the old names.
	Of course this revealed numerous non updated uses of old macros in
	Autoconf's files.  Adjust them.
	But for the time being, keep `define' alive for Autoconf.

2000-11-03  Akim Demaille  <akim@epita.fr>

	AC_REQUIRE and AC_DEFUN_ONCE don't work properly together. This
	caused strange messages about AC_ARG_PROGRAM.
	Reported by Jim Meyering.

	* acgeneral.m4 (AC_DEFUN_ONCE): Fix the indirection to
	m4_defun_once.
	* m4sugar.m4 (m4_defun_once): Also define
	`m4_location(MACRO-NAME)'.  s/ac_warn/m4_warn/.
	Use `m4_defn' to read `m4_location'.
	* tests/base.at (AC_REQUIRE & AC_DEFUN_ONCE): Two new tests.

2000-11-03  Akim Demaille  <akim@epita.fr>

	Set up config.log earlier so that AC_MSG_ERROR and AC_MSG_WARN can
	be used early.

	* acgeneral.m4 (_AC_INIT_DEFAULTS): Call `_AC_INIT_PREPARE_FDS'.
	(_AC_INIT_PREPARE): Don't.
	(_AC_INIT_PREPARE_ENVIRONMENT, _AC_INIT_PREPARE_FDS): Rename as...
	(_AC_INIT_DEFAULTS_ENVIRONMENT, _AC_INIT_DEFAULTS_FDS): these,
	since they are called from `_AC_INIT_DEFAULTS', not
	`_AC_INIT_PREPARE'.
	(_AC_INIT_DEFAULTS_FDS): Dump `$@' in config.log, not
	`$ac_configure_args' which is not computed yet.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): TRIPLET can include `_' and
	`-'.
	Reported by Andreas Jaeger.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* m4sh.m4 (_AS_UNSET_PREPARE): New macro, eved from
	_AC_INIT_PREPARE_ENVIRONMENT, and fixed: set `FOO' before trying
	to unset it: `unset' exits 1 if the variable is not defined.
	(AS_UNSET): Require it.  Use `as_unset' not `ac_unset'.
	* acgeneral.m4 (_AC_INIT_PREPARE_ENVIRONMENT): Use it.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (builtin, changecom, changequote, decr, dumpdef)
	(incr, index, indir, len, syscmd, sysval, traceoff, traceon):
	Rename as...
	(m4_builtin, m4_changecom, m4_changequote, m4_decr, m4_dumpdef)
	(m4_incr, m4_index, m4_indir, m4_len, m4_syscmd, m4_sysval)
	(m4_traceoff, m4_traceon): these.
	* autoconf.m4 (builtin, changecom, decr, incr, index, indir, len)
	(syscmd, sysval, traceoff, traceon): Reactivate.

2000-11-03  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_rename_m4, m4_copy_unm4): New macros.
	Use them.
	(debugfile, debugmode, m4exit, m4wrap, maketemp, patsubst, regexp)
	(substr, translit, m4_wrap): Rename as...
	(m4_debugfile, m4_debugmode, m4_exit, m4_wrap, m4_maketemp)
	(m4_patsubst, m4_regexp, m4_substr, m4_translit, m4_text_wrap): these.
	Adjust all dependencies.
	* acgeneral.m4: Adjust.
	* tests/m4sugar.at: Adjust.
	* autoconf.m4 (m4exit, patsubst, regexp, substr, translit):
	Reestablish them.

2000-11-02  Akim Demaille  <akim@epita.fr>

	The documentation is not clear about the obsoleteness of
	`acconfig.h', `config.h.top', and `config.h.bot'.
	Reported by Aharon Robbins.

	* doc/autoconf.texi (Making configure Scripts)
	(Automatic Remaking, Defining Symbols, Distributing): Forget about
	these files.
	(acconfig.h): Reword.
	Display the old scheme presenting the dependencies between input
	and output files.
	(Changed File Names): Clarify.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools): Some about
	dirname.

2000-11-02  Pavel Roskin  <proski@gnu.org>

	* ifnames.sh: Put the opening brace on the same line with
	patterns. Reported by Paul Martinolich.
	* tests/tools.at (AWK portability): Check ifnames.
	(ifnames): New test for ifnames.
	* THANKS: Updated.

2000-11-02  Pavel Roskin  <proski@gnu.org>

	* m4/atconfig.m4 (AT_CONFIG): s/AT_TESTPATH/AUTOTEST_PATH/
	because AT_TESTPATH looks like a macro.
	* tests/atconfig.in: Likewise.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (trace.m4): Move all the M4 builtins into `at_'.
	Catch the failures of the big pipe.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* tests/tools.at (Tracing M4 builtins): New test.
	* autoconf.sh (trace_format): Fix its computation.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CHECK): Check stderr first, since if both
	stdout and stderr fail, differences on the latter are probably
	more significant than on the former.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (task trace) [debug]: Instead of a long pipe, extend
	trace.m4.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* autoupdate.sh (m4.txt): Use `dumpdef' and m4 to build it.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (popdef, pushdef): Rename as...
	(m4_popdef, m4_pushdef): these.
	Adjust dependencies.
	* acgeneral.m4: Adjust.
	* aclang.m4: Likewise.
	* autoconf.m4 (popdef, pushdef): Reactivate them.

2000-11-02  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_CHECK, AT_CLEANUP): Be more verbose when
	`-v' is passed.

2000-11-01  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: Using trap-safe "exit".
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* tests/base.at: Use AS_EXIT instead of exit in configure.in.
	* tests/m4sh.at: Likewise.
	* tests/semantics.at: Likewise.

2000-11-01  Akim Demaille  <akim@epita.fr>

	In M4sugar, move `define', `undefine', and `defn' into the `m4_'
	name space.

	* m4sugar.m4 (m4_define, m4_defn, m4_undefine): New macros.
	(define, defn, undefine): Undefine.
	Adjust all uses.
	* m4sh.m4: Adjust.
	* autoconf.m4: Reenable these builtins.
	* m4sugar.m4 (m4_expansion_stack_dump): Use m4_copy.

2000-11-01  Akim Demaille  <akim@epita.fr>

	GNU M4 1.4 improperly handle the traces of copies of builtins.

	* autoconf.sh (task trace): When tracing `BUILTIN' also trace
	`m4_BUILTIN'.

2000-11-01  Akim Demaille  <akim@epita.fr>

	Autoupdate should not depend upon foreign macros.

	* autoupdate.sh (ac.m4): Use `_au_define', not `define'.
	(input.m4): Use `_au_BUILTIN' not `BUILTIN'.

2000-11-01  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4 (m4_fatal): Dump the expansion stack.
	* acgeneral.m4 (AC_FATAL): Use m4_fatal.

2000-11-01  Akim Demaille  <akim@epita.fr>

	Move the `defun' handling into M4sugar.

	* m4sugar.m4 (_m4_divert(GROW), _m4_expansion_stack_dump)
	_m4_defun_pro, _m4_defun_epi, m4_defun, $1, m4_defun_once)
	m4_before, _m4_require, m4_require, m4_expand_once, m4_provide)
	m4_provide_ifelse): New macros.
	* acgeneral.m4 (_AC_EXPANSION_STACK_DUMP, _AC_DEFUN_PRO)
	_AC_DEFUN_EPI): Removed.
	(AC_DEFUN, AC_DEFUN_ONCE, _AC_REQUIRE, AC_REQUIRE)
	AC_PROVIDE_IFELSE, AC_FATAL): Reimplement atop M4sugar.

2000-11-01  Raja R Harinath  <harinath@cs.umn.edu>

	* tests/tools.at (autoupdating AC_LINK_FILES): Invoke autoconf
	like in the rest of the tests.

2000-11-01  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: Typo: s/m4__warnings/m4_warnings/.

2000-10-31  Pavel Roskin  <proski@gnu.org>

	* autoupdate.sh: Check that $sed understands the meaning of "\b"
	instead of checking "--version".

2000-10-31  Akim Demaille  <akim@epita.fr>

	Move the handling of classified warnings into M4sugar.

	* m4sugar.m4 (m4_diagnose): Remove.
	(m4_warning): New.
	* acgeneral.m4 (AC_WARNING_IFELSE, _AC_WARNING_IFELSE)
	(_AC_WARNING_ERROR_IFELSE, __AC_WARNING_ERROR_IFELSE)
	(_AC_DIAGNOSE, AC_DIAGNOSE): Rename as...
	* m4sugar.m4 (m4_warning_ifelse, _m4_warning_ifelse)
	(_m4_warning_error_ifelse, __m4_warning_error_ifelse)
	(_m4_warn, m4_warn): these.
	* acgeneral.m4 (AC_DIAGNOSE): Wrapper around `m4_warn'.
	* autoconf.sh: Define `m4_warnings' instead of `_AC_WARNINGS'.

2000-10-30  Pavel Roskin  <proski@gnu.org>

	* acspecific.m4 (AC_PATH_XTRA): Use AC_LANG_PROGRAM() as the
	argument to AC_LINK_IFELSE.

2000-10-30  Pavel Roskin  <proski@gnu.org>

	* m4sh.m4 (AS_EXIT): Use "false" for exit code 1, ":" for 0.
	* acgeneral.m4 (AC_MSG_ERROR): Don't use m4_default for the
	second argument - AS_EXIT takes care of it.

2000-10-30  Akim Demaille  <akim@epita.fr>

	* m4sugar.m4: Formatting changes.

2000-10-30  Akim Demaille  <akim@epita.fr>

	Move the handling of diversions into M4sugar.

	* acgeneral.m4 (_AC_DIVERT, AC_DIVERT, AC_DIVERT_PUSH)
	(AC_DIVERT_POP): Move to...
	* m4sugar.m4 (_m4_divert, m4_divert, m4_divert_push)
	(m4_divert_pop): here.
	* acgeneral.m4: Adjust to use only the M4sugar macros.
	Nevertheless...
	(AC_DIVERT_PUSH, AC_DIVERT_POP): New wrappers around the M4sugar
	macros.
	(_AC_DIVERT(...)): Rename all the diversions names as...
	(_m4_divert(...)): these.

2000-10-30  Pavel Roskin  <proski@gnu.org>

	* m4sh.m4 (AS_EXIT): New macro that exits and makes sure that $?
	is set correctly within the exit trap.
	(AS_TMPDIR): Use it.
	* acgeneral.m4 (AC_MSG_ERROR): Likewise,

2000-10-29  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (AC_CHECK_TOOL): Set VARIABLE also when using the
	cache. From Jim Meyering.
	(AC_PATH_TOOL): Likewise.

2000-10-29  Pavel Roskin  <proski@gnu.org>

	* tests/atgeneral.m4 (AT_CHECK): Warn if the expected exit status
	is different from what we got. Don't preserve exit status other
	than 77.

2000-10-29  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: When scanning for unexpanded macros match only
	words beginning with "A?_" and "m4_" or containing "_A?_".
	Strip the comments before the matching. Don't use character
	ranges.

2000-10-29  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_INIT_PREPARE): Don't use a newline before
	accessing $? - newlines in "trap" reset $? to 0 on FreeBSD 4.0.

2000-10-29  Jim Meyering  <meyering@lucent.com>

	* acgeneral.m4 (AC_MSG_WARN): Now that this macro expands to
	two stmts, enclose them in `{' ... `}'.

2000-10-28  Pavel Roskin  <proski@gnu.org>

	* aclang.m4 (AC_REQUIRE_CPP): Don't default to C++ - call AC_FATAL
	for unsupported languages.

2000-10-27  Pavel Roskin  <proski@gnu.org>

	* acfunctions.m4 (AC_FUNC_MMAP): Remove conftestmmap from the
	shell, not from the test program.

2000-10-27  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Limitations of Builtins): Recommend using
	AC_MSG_ERROR instead of	exit.
	(Autoconf Language): Fix examples.

2000-10-27  Pavel Roskin  <proski@gnu.org>

	* tests/suite.at: Move "-*- Autoconf -*-" to the second line.

2000-10-27  Akim Demaille  <akim@epita.fr>

	Use AC_MSG_ERROR in the test suite, not just `exit'.

	* tests/README: New file.
	* tests/semantics.at: Don't just `exit 1' or `exit 77' from
	configure.in: call AC_MSG_ERROR.
	* tests/base.m4: Likewise.
	* tests/m4sh.at: Likewise.
	* tests/semantics.at (AT_CHECK_PROGS_PREPARE): New macro, eved
	out of...
	(AC_CHECK_PROG & AC_PATH_PROG): here.
	Split into two individual tests...
	(AC_CHECK_PROG & AC_CHECK_PROGS, AC_PATH_PROG & AC_PATH_PROGS): these.

2000-10-27  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: Recognize short options followed by arguments
	without separators.
	* autoheader.sh: Likewise.
	* autoreconf.sh: Likewise. Recognize abbreviations for
	"--autoconf-dir" and "--m4dir".
	* autoupdate.sh: Likewise. Recognize abbreviations for
	"--autoconf-dir".

2000-10-26  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: Don't show obsolete options on "--help". Report
	obsolete options to stderr. Adjust list of options. Correct
	processing of options. Process options with values separated by
	"=" first, so that abbreviations work. Don't accept "=" with
	short options.
	* autoheader.sh: Likewise.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* ifnames.sh: There is no "--verbose" option.
	* doc/autoconf.texi: Option "-A" requires an argument.
	(autoreconf Invocation): Document "--install", "--symlink",
	"--m4dir" and the options passed to Automake.

2000-10-26  Akim Demaille  <akim@epita.fr>

	* shell.m4: Rename as...
	* m4sh.m4: this.
	* tests/m4sugar.m4, tests/shell.m4, tests/torture.m4: Rename as...
	* tests/m4sugar.at, tests/m4sh.at, tests/torture.at: these.
	* tests/semantics.m4, tests/base.m4, tests/suite.m4: Rename as...
	* tests/semantics.at, tests/base.at, tests/suite.at: these.
	* tests/tools.m4, tests/update.m4, tests/syntax.m4: Rename as...
	* tests/tools.at, tests/update.at, tests/syntax.at: these.
	* tests/mktests.sh: Adjust the output file names.

2000-10-25  Pavel Roskin  <proski@gnu.org>

	* autoupdate.sh: Redirect stdin for sed to /dev/null to avoid
	hangs with non-GNU versions of sed.

2000-10-25  Akim Demaille  <akim@epita.fr>

	Move the Autoconf independent shell macros into the file
	`shell.m4' and the name space `AS_*'.

	* acgeneral.m4 (AC_SHELL_IFELSE, _AC_SHELL_TMPDIR, AC_SHELL_UNSET)
	(AC_SHELL_MKDIR_P, AC_SHELL_DIRNAME): Rename and move to...
	* shell.m4 (AS_IFELSE, AS_TMPDIR, AS_UNSET, AS_MKDIR_P)
	(AS_DIRNAME): here, a new file.
	Adjust all dependencies.

	* tests/base.m4 (m4_wrap): Eve out into...
	* tests/shell.m4: here, new file.
	* tests/base.m4 (AC_SHELL_MKDIR_P)
	(AC_SHELL_DIRNAME & AC_SHELL_DIRNAME_SED): Eve out into...
	* tests/m4sugar.m4 (AS_MKDIR_P, AS_DIRNAME & AS_DIRNAME_SED):
	here, new file.
	Adjust the test suite.

2000-10-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SHELL_DIRNAME): Split its code into...
	(AC_SHELL_DIRNAME_EXPR, AC_SHELL_DIRNAME_SED): these new macros.
	* tests/base.m4 (AC_SHELL_DIRNAME & AC_SHELL_DIRNAME_SED): New
	test.

2000-10-25  Pavel Roskin  <proski@gnu.org>

	* tests/aclocal.m4 (AC_ENV_SAVE): Rename to ...
	(AC_STATE_SAVE): ... this.  Save the list of all files
	in the current directory.
	* tests/atspecific.m4 (_AT_CHECK_AC_MACRO): Compare lists of
	files created by AC_ENV_SAVE. Remove state* before and after
	the test.

2000-10-25  Pavel Roskin  <proski@gnu.org>

	* Makefile.am: Add acversion.m4.in to EXTRA_DIST.

2000-10-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SHELL_DIRNAME): The sed fall back was producing
	twice the output for it was not using `-n' and used `p'.  Remove
	the latter.

2000-10-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE_FDS): Give some information on
	the host in config.log.

2000-10-24  Pavel Roskin  <proski@gnu.org>

	* tests/mktests.sh: Set locale to C to make sure that syntax.m4
	and update.m4 are locale-independent.

2000-10-24  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_CACHE_DUMP): Add a missing separator for sed
	commands.

2000-10-24  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AT_FILE_DEPENDENCY): Rename as...
	(AC_FILE_DEPENDENCY_TRACE): this.

2000-10-24  Lars J. Aas  <larsa@sim.no>

	* m4sugar.m4: (m4_tolower, m4_toupper): New macros.
	* acgeneral.m4 (AC_PREFIX_PROGRAM): Use m4_toupper().
	* aclang.m4 (AC_F77_FUNC): Use m4_toupper()/m4_tolower().

2000-10-24  Pavel Roskin  <proski@gnu.org>

	* m4sugar.m4 (m4_quote): Comment change.

2000-10-24  Akim Demaille  <akim@epita.fr>

	Start avoiding dependence upon character ranges.

	* acgeneral.m4 (_AC_INIT_DEFAULTS): Introduce `ac_cr_AZ',
	`ac_cr_az', `ac_cr_09', `ac_cr_alnum' and `ac_hostname'.
	Spread their use.

2000-10-24  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_OUTPUT): Don't play with `trap'.
	(_AC_INIT_PREPARE): Trap after having created config.log.
	Also trap on 0.
	When trapped, report why in config.log.
	(AC_MSG_WARN, AC_MSG_ERROR): Also output the message in
	config.log.

2000-10-24  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SHELL_DIRNAME): Rename as...
	(AC_SHELL_DIRNAME): this.
	s/X$1/X[]$1/ so that when $1 is a macro, it's given a chance to be
	expanded.
	(AC_PREFIX_PROGRAM): Use AC_SHELL_DIRNAME.
	Quote properly.

2000-10-24  Akim Demaille  <akim@epita.fr>

	* tests/tools.m4 (Syntax of the scripts): Specify the path to the
	tested program, some shells don't honor the PATH with `sh PROG'.

2000-10-23  Akim Demaille  <akim@epita.fr>

	Since GNU M4 now comes with its libm4 (binary), to avoid
	ambiguities let's rename `libm4' (M4 code) as `m4sugar':

		Readability And Greater Understanding Stands 4 M4sugar

	name coined by Lars J. Aas.

	* libm4.m4: Rename as...
	* m4sugar.m4: this.
	All dependencies adjusted.

2000-10-23  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh (update_exclude_list, syntax_exclude_list): Add
	`AC_PREREQ'.
	* tests/tools.m4: Globally, don't use `../' to invoke the tested
	tools, since the PATH is properly set, and in most cases it
	obfuscates the test code.
	(autoupdating AC_PREREQ): New tests.

2000-10-23  Akim Demaille  <akim@epita.fr>

	In order to check that all the CPP symbols which are AC_DEFINE'd
	are properly templated, autoheader traces
	AC_DEFINE/AC_DEFINE_UNQUOTED.  Only literals can be traced, and
	actually tracing non literals produces invalid autoheader input.
	Hence, provide a means to trace calls to
	AC_DEFINE/AC_DEFINE_UNQUOTED with literals.

	* acgeneral.m4 (AC_DEFINE_TRACE, AC_DEFINE_TRACE_LITERAL): New
	macros.
	(AC_DEFINE, AC_DEFINE_UNQUOTED): Use AC_DEFINE_TRACE.
	* autoheader.sh: Trace AC_DEFINE_TRACE_LITERAL, not
	AC_DEFINE/AC_DEFINE_UNQUOTED.

2000-10-23  Akim Demaille  <akim@epita.fr>

	Let autoupdate change AC_PREREQ to require the current version of
	Autoconf.

	* acgeneral.m4 (_AC_VERSION_UNLETTER, _AC_VERSION_COMPARE): Move
	to...
	* libm4.m4 (m4_version_unletter, m4_version_compare): here.
	Adjust dependencies.
	* acgeneral.m4 (AU::AC_PREREQ): New macro.
	* autoupdate.sh: Fail when `m4 input.m4' fails.

2000-10-21  Pavel Roskin  <proski@gnu.org>

	* acfunctions.m4 (AC_FUNC_CHOWN): Remove temporary files on exit.
	(AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK): Likewise.
	(AC_FUNC_SELECT_ARGTYPES): Likewise.
	(AC_FUNC_UTIME_NULL): Likewise.
	* acgeneral.m4 (_AC_COMPUTE_INT): Likewise.
	* aclang.m4 (_AC_F77_NAME_MANGLING): Likewise.
	* acspecific.m4 (_AC_SYS_LARGEFILE_MACRO_VALUE): Likewise.

2000-10-20  Pavel Roskin  <proski@gnu.org>

	* tests/tools.m4 (autoupdating AC_LINK FILES): Clean up "src1"
	and "src2" at the end of the test.

2000-10-19  Pavel Roskin  <proski@gnu.org>

	* NEWS: Documented changes in AC_PROG_CPP and AC_TRY_CPP.
	* doc/autoconf.texi (Compilers and Preprocessors): Likewise.
	* acgeneral.m4 (AC_TRY_CPP): Comment changes.

2000-10-19  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Shellology): Documented quirks in ash-0.2.

2000-10-18  Pavel Roskin  <proski@gnu.org>

	* mdate-sh: Removed, its copy remains in the doc/ directory.

2000-10-18  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECK_TOOLS): Use `$' when reading a variable.

2000-10-18  Morten Eriksen  <mortene@sim.no>

	* aclang.m4 (_AC_PROG_CC_G): Use the _AC_COMPILE_IFELSE macro
	instead of reinventing the wheel. This also takes care of a bug
	where the "-g" option was accepted if the compiler silently exits
	with status unequal to 0.
	(_AC_PROG_CXX_G): Likewise.
	(AC_PROG_CC): As _AC_PROG_CC_G depends on $ac_objext and
	$ac_exeext, move the expansion of _AC_OBJEXT and _AC_EXEEXT in
	front of _AC_PROG_CC_G.
	(AC_PROG_CXX, AC_PROG_F77): Likewise.

2000-10-18  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (AT_INIT): Avoid foo="`bar`", foo=`bar` is
	enough.
	Use grep to check the presence of a string in a stream.
	* m4/atconfig.m4: Quote.

2000-10-18  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SHELL_DIRNAME): Quote the `sed' fall back.

2000-10-18  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_PROG_LN_S): If neither `ln -s' nor `ln' work,
	fall back to `cp'.

2000-10-17  Morten Eriksen  <mortene@sim.no>

	* acgeneral.m4 (AC_CHECK_TOOL): As AC_CHECK_PROG first tests the
	value of the VARIABLE argument when looking for executables, we
	need to set it to the correct value from AC_CHECK_TOOL when not
	just passing on the incoming VARIABLE directly.
	(AC_CHECK_TOOLS, AC_PATH_TOOL): Likewise.

2000-10-17  Assar Westerlund  <assar@sics.se>

	* acgeneral.m4 (_AC_INIT_PREPARE): Move the
	_AC_INIT_PREPARE_ENVIRONMENT invocation to...
	(_AC_INIT_DEFAULTS): here,  so that we keep the same known
	environment for more of the script.

2000-10-17  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (The GNU build system): Sketch of new a
	chapter.

2000-10-17  Akim Demaille  <akim@epita.fr>

	Somehow, the adjustment of `mktests.sh' claimed on 2000-10-17 by
	myself (`Fix autoupdate...') was not applied.

	* tests/mktests.sh (update_exclude_egrep): Add AC_INIT, AC_OUTPUT,
	AC_LINK_IFELSE.

2000-10-17  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECK_PROG, AC_CHECK_PROGS, AC_PATH_PROG)
	(AC_PATH_PROGS, AC_PATH_TOOL, AC_CHECK_TOOL, AC_CHECK_TOOLS): Fix
	the quotation.
	(AC_PATH_TOOL, AC_CHECK_TOOL, AC_CHECK_TOOLS): Check with the
	$ac_tool_prefix iff it is not empty.

2000-10-17  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Particular Programs): Some notes on the
	portability of Flex.

2000-10-17  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_COMPILE_IFELSE, _AC_LINK_IFELSE)
	(_AC_RUN_IFELSE): Before compiling, remove the files expected to
	be produced.
	(_AC_LINK_IFELSE, _AC_RUN_IFELSE): You don't create object files,
	so don't remove them.

2000-10-17  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_FATAL): Use _AC_EXPANSION_STACK_DUMP.
	(_AC_REQUIRE): Use AC_FATAL.

2000-10-17  Akim Demaille  <akim@epita.fr>

	Give a means to report where the macros have been defined in error
	messages.

	* libm4.m4 (m4_location): New macro.
	(m4_errprint): Rename as...
	(m4_diagnose): this.  Use m4_location.
	Adjust dependencies.
	(m4_errprint): New macro, similar to `errprint' but for an
	additional trailing `\n'.
	* acgeneral.m4 (AC_DEFUN, AC_DEFUN_ONCE): Define `m4_location($1)'
	to the current location (i.e., that of the definition of $1).
	(_AC_DEFUN_PRO, _AC_REQUIRE): Also push the location of the
	current macro in the stack.
	(_AC_EXPANSION_STACK_DUMP): Adjust.

2000-10-17  Akim Demaille  <akim@epita.fr>

	Fix autoupdate: updating `AC_OUTPUT_COMMANDS' was failing because
	it includes another AU defined macro.

	* autoupdate.sh (input.m4:_au_defun): New macro.
	(au.m4): Use it instead of inlining _au_enable/_au_disable
	invocations in the definition of all these macros.
	(input.m4:__au_enable, input.m4:__au_disable): New macros.
	(input.m4:_au_enable, input.m4:_au_disable): Use them.
	* tests/mktests.sh (update_exclude_list): Add `AC_OUTPUT'.
	Running it twice in a configure.in is not valid.
	Add `AC_LINK_FILES' since it requires arguments.
	* tests/tools.m4 (autoupdating AC_LINK_FILES): New test.

2000-10-17  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (MAINTAINERCLEANFILES): Add acversion.m4.
	(INSTALL.txt): Put into $(srcdir).
	(acversion.m4): Build here ...
	* configure.in (AC_OUTPUT): Not here.

	* tests/Makefile.am (MACRO_FILES): Don't use $(top_srcdir).
	(syntax.m4): Create in $(srcdir).
	(update.m4): Likewise.
	* tests/atspecific.m4 (AT_CHECK_UPDATE): Look for autoconf
	macros in the top source directory.

2000-10-16  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_LANG_COMPILER_GNU): New macro, which unifies...
	(_AC_PROG_F77_GNU, _AC_PROG_CC_GNU, _AC_PROG_CXX_GNU): Remove.
	Adjust dependencies.
	(ac_cv_prog_gcc, ac_cv_prog_gxx, ac_cv_prog_g77): AU_ALIAS'ed.

2000-10-16  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Adjust copyright notice.
	* acspecific.m4: Likewise.
	* acoldnames.m4: Likewise.
	* acversion.m4.in: Likewise.
	* autoconf.sh: Likewise.
	* autoheader.sh: Likewise.
	* autoreconf.sh: Likewise.
	* autoscan.pl: Likewise.
	* autoupdate.sh: Likewise.
	* ifnames.sh: Likewise.

2000-10-16  Pavel Roskin  <proski@gnu.org>

	* tests/aclocal.m4: Don't consider variables @, '*', '?' and
	'#' in the output of `set' - they are modified by zsh.

2000-10-14  Pavel Roskin  <proski@gnu.org>

	* m4/missing.m4 (AM_MISSING_PROG): Use $SHELL to run "missing".
	* configure.in: Don't add $SHELL to the path of help2man -
	it is already added by AM_MISSING_PROG.

2000-10-13  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh: If ever it fails, touch the output files
	``a` la missing''.

2000-10-13  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LINKER_OPTION): Ahem, err, use `$' when
	consulting a variable...

2000-10-13  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Typos in comments spotted by Pavel.

2000-10-12  Pavel Roskin  <proski@gnu.org>

	* acspecific.m4 (AC_PROG_LEX): Don't assume that lex exists.
	Don't run _AC_DECL_YYTEXT if it doesn't. Always check libl and
	libfl regardless of the $LEX value.

2000-10-12  Morten Eriksen  <mortene@sim.no>

	* acgeneral.m4 (AC_CONFIG_SUBDIRS): Fixed nasty typo.

2000-10-12  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh: Backslash the quote in the heredocs to help
	syntax highlighting tools.
	* tests/atspecific.m4 (AT_CHECK_UPDATE): Give a better AT_SETUP
	title.

2000-10-12  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SH_QUOTE): Issue an `obsolete' warning for use
	of backquotes, instead of a `syntax' warning.

2000-10-12  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_VAR_IN_INDIR, AC_VAR_IF_SET): Rename as...
	(AC_VAR_INDIR_IFELSE, AC_VAR_SET_IFELSE): this.

2000-10-12  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh: Remove tmp files.

2000-10-12  Akim Demaille  <akim@epita.fr>

	Macros used by AC_LANG_COMPILER macros shall not AC_REQUIRE
	AC_LANG_COMPILER by the way of AC_COMPILE_IFELSE etc.

	* acspecific.m4 (_AC_EXEEXT): Use _AC_LINK_IFELSE, not
	AC_LINK_IFELSE to avoid AC_REQUIREing AC_PROG_CC which precisely
	requires _AC_EXEEXT.
	Don't run _AC_CYGWIN, _AC_MINGW32, _AC_EMXOS2.
	* aclang.m4 (_AC_PROG_F77_G): Use _AC_COMPILE_IFELSE, not
	AC_COMPILE_IFELSE.
	(_AC_LANG_COMPILER_WORKS): Use _AC_LINK_IFELSE, not
	AC_LINK_IFELSE.

2000-10-12  Akim Demaille  <akim@epita.fr>

	Diagnose AC_REQUIRE circular dependencies.

	* acgeneral.m4 (_AC_DEFUN_PRO, _AC_DEFUN_EPI): Keep a stack of
	macro expansions, _AC_EXPANSION_STACK.
	Use `_AC_EXPANDING(FOO)' to record the fact that `FOO' is being
	expanded.
	(_AC_REQUIRE): Diagnose required macros which are already being
	expanded.
	Record in _AC_EXPANSION_STACK the AC_REQUIRE calls.
	(_AC_EXPANSION_STACK_DUMP): New macro.

2000-10-12  Akim Demaille  <akim@epita.fr>

	* libm4.m4 (m4_dumpdefs, _m4_dumpdefs_up, _m4_dumpdefs_down): New
	macros.

2000-10-11  Pavel Roskin  <proski@gnu.org>

	* tests/atgeneral.m4 (AT_CHECK): Make sure that $? is set to 0
	if diffs have succeeded.

2000-10-11  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_COMPILE_IFELSE, _AC_LINK_IFELSE)
	(_AC_RUN_IFELSE): New macros which are the former
	AC_COMPILE_IFELSE etc. without AC_LANG_COMPILER_REQUIRE.
	(AC_COMPILE_IFELSE, AC_LINK_IFELSE, AC_RUN_IFELSE): Use them.

2000-10-11  Morten Eriksen  <mortene@sim.no>

	* acgeneral.m4 (AC_RUN_IFELSE): Add missing executable suffix.
	* aclang.m4 (_AC_LANG_COMPILER_WORKS): Likewise.
	* aclang.m4 (AC_PROG_CC_C_O, AC_PROG_F77_C_O): Fix typos where
	$objext were used instead of $ac_objext.

2000-10-05  Akim Demaille  <akim@epita.fr>

	Check that updated scripts are valid scripts.

	* tests/mktests.sh: Generate `syntax.m4' directly.
	* tests/macros.m4: Remove.
	Adjust dependencies.
	* tests/mktests.sh: Generate `update.m4' too.
	* tests/update.m4: New generated file.
	Adjust dependencies.
	* tests/atspecific.m4 (AT_CHECK_UPDATE): New macro.

2000-10-05  Akim Demaille  <akim@epita.fr>

	* tests/mktests.sh: New file, which replaces the code inlined in
	Makefile.am.
	* src/Makefile.am (macros.m4): Use `mktests.sh'.
	* tests/suite.m4: Reorder from low level to high level.

2000-10-02  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_LANG_ABBREV, _AC_LANG_ABBREV(C))
	(_AC_LANG_ABBREV(C++), _AC_LANG_ABBREV(Fortran 77): New macros.
	(AC_LANG_(C), AC_LANG_(C++), AC_LANG_(Fortran 77)): Don't define
	AC_LANG_ABBREV.
	(_AC_PROG_PREPROC_WORKS): Adjust.
	* acgeneral.m4 (_AC_TRY_CPP): Likewise.

2000-10-02  Pavel Roskin  <proski@gnu.org>

	* acspecific.m4 (AC_PROG_LEX): Use AC_DEFUN_ONCE.
	(AC_DECL_YYTEXT): Don't use AC_REQUIRE because autoupdate
	would place it into configure.in but it's not allowed
	outside AC_DEFUN.

2000-10-02  Pavel Roskin  <proski@gnu.org>

	* tests/Makefile.am: Macros defined by AC_DEFUN_ONCE should
	go to macros.m4 for testing.

2000-09-28  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (AC_SHELL_UNSET): Don't rely on variable
	assignments changing $?.

2000-09-28  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_OUTPUT_FILES): Fixed exit status.
	(_AC_OUTPUT_HEADERS): Exit if the header template is missing.

2000-09-28  Pavel Roskin  <proski@gnu.org>

	* acfunctions.m4: Formatting fixes.
	* acgeneral.m4: Likewise.
	* aclang.m4: Likewise.
	* acspecific.m4: Likewise.
	* libm4.m4: Likewise.

2000-09-27  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (AC_CHECK_PROG): Added protection against spaces
	in $PATH.
	* acspecific.m4 (AC_PROG_INSTALL): Likewise.

2000-09-27  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (AC_CHECK_LIB): only call AH_CHECK_LIB if
	ACTION-IF-TRUE is not given.
	(AH_CHECK_LIB): related comment changes.

2000-09-27  Pavel Roskin  <proski@gnu.org>

	* aclang.m4 (_AC_LANG_COMPILER_WORKS): Remove []dnl because it
	resulted in invalid shell code.

2000-09-27  Lars J. Aas  <larsa@sim.no>

	* autoconf.sh: Report full macro name for missing macros.

2000-09-27  J. David Anglin  <dave@hiauly1.hia.nrc.ca>

	* autoheader.sh: Fix trap (EXIT) status.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* autoconf.sh: Change `exit' to `{ (exit 1); exit; }' after m4 and
	awk commands to ensure exit state is in a defined state.

2000-09-25  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* tests/semantics.m4 (AC_PROG_CPP with warning): Simplified.

2000-09-25  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Use
	_AC_INIT_PREPARE_ENVIRONMENT to make the shell running
	config.status sane and POSIX-compatible.

2000-09-25  Pavel Roskin  <proski@gnu.org>

	* autoheader.sh: Don't check status of variable assignments -
	it's undefined in ash 0.2.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* autoconf.sh: Likewise. Also eliminated command substitution
	inside variable expansion - ash 0.2 coredumps on it.

2000-09-21  Pavel Roskin  <proski@gnu.org>

	* tests/atspecific.m4 (_AT_CHECK_AC_MACRO): Check stderr from
	autoconf and autoheader. Expected warnings disabled by "-W none"
	Preceding comment removed as no longer relevant.
	* tests/semantics.m4 (AC_CHECK_PROG & AC_PATH_PROG): Check
	stderr from autoconf.
	(AC_PATH_PROG & AC_PATH_PROGS): Likewise.
	(AC_CONFIG_FILES, HEADERS, LINKS and COMMANDS): Likewise.
	* tests/tools.m4 (autoheader): Check that autoheader prints
	a warning for missing templates. Check stderr from autoconf.
	* tests/torture.m4 (config.status under extreme conditions):
	Check stderr from autoconf and autoheader.
	(command line interface): Check stderr from autoconf.

2000-09-21  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Fix usage info for
	config.status - file arguments are optional.

2000-09-21  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_OUTPUT_FILES): Ensure that config.status
	exits if any input file is missing.
	* tests/semantics.m4 (missing templates): Test it.

2000-09-21  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_SHELL_TMPDIR): Don't check status of variable
	assignment - it's undefined in ash 0.2.

2000-09-21  Akim Demaille  <akim@epita.fr>

	* src/atgeneral.m4 (AC_CHECK): Display stderr including when the
	test failed because of stdout.

2000-09-21  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4: Formatting changes.
	(AT_INIT): Let `at_stop_on_error' and `at_verbose' be `:'/`false'
	variables instead of `'/`1'.
	`at_check_stds' replaces `at_no_redirs'.
	Rename `Snippet 3' as `Snippet 4'.
	Introduce `Snippet 3' for variable initializations.
	Adjust the dependencies.
	(AT_CHECK): Don't show diff's result unless verbose.

2000-09-20  Pavel Roskin  <proski@gnu.org>

	* tests/Makefile.am: AC_PREFIX_PROGRAM and AC_F77_FUNC excluded
	from testing because they require an argument.
	* tests/atspecific.m4: Make sure that configure doesn't write
	anything to stderr.

2000-09-20  Pavel Roskin  <proski@gnu.org>

	* acspecific.m4 (_AC_HEADER_TIOCGWINSZ_IN_TERMIOS_H): Cache
	variable wasn't always set inside AC_CACHE_CHECK.
	(_AC_HEADER_TIOCGWINSZ_IN_SYS_IOCTL): Likewise.
	From Nicolas Joly.

2000-09-20  Pavel Roskin  <proski@gnu.org>

	* libm4.m4 (m4_ifvanl): Don't output a newline for empty
	arguments.

2000-09-19  Akim Demaille  <akim@epita.fr>

	* tests/atspecific.m4 (AT_TEST_MACRO): Rename as...
	(AT_CHECK_MACRO): this.  All dependencies adjusted.

2000-09-19  Akim Demaille  <akim@epita.fr>

	* tests/aclocal.m4.new (AC_ENV_SAVE): Skip POW_LIB, used by
	AC_FUNC_STRTOD.
	From Bernard Dautrevaux.

2000-09-19  Pavel Roskin  <proski@gnu.org>

	* tests/atgeneral.m4 (AT_DATA): Use _ATEOF instead of EOF.

2000-09-19  Pavel Roskin  <proski@gnu.org>

	* tests/semantics.m4 (AC_PROG_CPP with warnings): Minor
	simplification.

2000-09-19  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (optarg): More robust expr invocation.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* autoheader.sh: Likewise.
	Reported by Bernard Dautrevaux.

2000-09-19  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (AU_ALIAS): Do not use `defn' since then autoupdate
	would replace an old macro call with the new macro body instead of
	the new macro call.
	* tests/tools.m4 (autoupdate): Test an AU_ALIAS'd macro update.

2000-09-19  Pavel Roskin  <proski@gnu.org>

	* tests/atspecific.m4 (_AT_CHECK_AC_MACRO): New macro.
	(AT_TEST_MACRO): Use it.
	* tests/semantics.m4 (AC_PROG_CPP with warnings, AC_PROG_CPP
	without warnings): New tests.

2000-09-18  Ruediger Kuhlmann  <autoconf-list@ruediger-kuhlmann.de>

	* acgeneral.m4 (_AC_OUTPUT_SUBDIRS): Check for configure.gnu
	as well.
	(_AC_INIT_HELP): Likewise.
	(NEWS): Note checking for configure.gnu.
	* doc/autoconf.texi: Document checking for configure.gnu when
	recursing subdirectories.

2000-09-18  Jim Meyering  <meyering@lucent.com>

	* acfunctions.m4 (AC_FUNC_GETLOADAVG): Restore the initial value
	of LIBS.  Otherwise, everyone ends up linking with -lelf for some
	configurations.
	Reported by Mike Stone.

2000-09-14  Pavel Roskin  <proski@gnu.org>

	* aclang.m4 (AC_PROG_CPP): Use double quotes in the for loop
	and eliminate ac_tmp_cpp.
	(AC_PROG_CXXCPP): Use double quotes in the for loop and
	eliminate ac_tmp_cxxcpp.

2000-09-14  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_TRY_CPP): Don't filter out conftest.$ac_ext
	from the output - it is only printed by Visual C that gives
	correct exit status.
	* aclang.m4 (AC_PROG_CPP): Don't try '${CC-cc} -nologo -E'
	by the same reason.

2000-09-12  Pavel Roskin  <proski@gnu.org>

	* aclocal.m4 (_AC_PROG_CPP_WORKS): Don't use AC_REQUIRE_CPP -
	it's useless here. Rename to ...
	(_AC_PROG_PREPROC_WORKS): ... this.

2000-09-12  Ruediger Kuhlmann  <autoconf-list@ruediger-kuhlmann.de>

	* acspecific.m4 (AC_PROG_INSTALL): Exclude c:install on AmigaOS.

2000-09-12  Akim Demaille  <akim@epita.fr>

	The test suite fails on some hosts because for instance
	  AC_INIT
	  AC_CHECK_FUNC(exit)
	will not look for a compiler, it will just use `cc'.
	Macros that need a compiler should require one.

	* acgeneral.m4 (_AC_REQUIRE): New macro, which is actually the
	previous version of AC_REQUIRE plus the possibility to distinguish
	the name of the symbol being AC_PROVIDE'd, and the text to expand.
	(AC_REQUIRE): Reimplement in terms of _AC_REQUIRE.
	* aclang.m4 (AC_LANG_COMPILER, AC_LANG_COMPILER_REQUIRE)
	(AC_LANG_COMPILER(C), AC_LANG_COMPILER(C++))
	(AC_LANG_COMPILER(Fortran 77)):
	New macros.
	* acgeneral.m4 (AC_COMPILE_IFELSE, AC_LINK_IFELSE, AC_RUN_IFELSE):
	Require a compiler.
	(AC_TRY_RUN): Formatting changes.
	* acfunctions.m4 (AC_FUNC_SETPGRP): Quote properly.  The previous
	changes revealed the weaknesses of this macro.

2000-09-12  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_TRY_CPP): New macro. It runs the preprocessor
	and checks whether it produces errors or warnings. Don't put grep
	output into a variable, use another grep instead.
	(AC_TRY_CPP): Use _AC_TRY_CPP. Copy conftest.err to config.log
	if the case of an error.
	* aclang.m4 (AC_LANG(C), AC_LANG(C++), AC_LANG(Fortran 77)):
	define AC_LANG_ABBREV to the short language name.
	(_AC_PROG_CPP_WORKS): New macro. It checks whether the current
	preprocessor can be used to check for existence of headers.
	Most code taken from ...
	(AC_PROG_CPP): ... here. Use _AC_PROG_CPP_WORKS. Use shell
	"for" to find working CPP. Use AC_LANG_PUSH(C) and AC_LANG_POP -
	it's a macro for C only.
	(AC_PROG_CXXCPP): Rewritten using _AC_PROG_CPP_WORKS.

2000-09-12  Akim Demaille  <akim@epita.fr>

	* autoupdate.sh (sed): Look for GNU sed.
	(usage): Ask for GNU sed.

2000-09-12  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (AC_EGREP_CPP): Use additional quotes instead of
	changequote.

2000-09-12  Ruediger Kuhlmann  <autoconf-list@ruediger-kuhlmann.de>

	* acgeneral.m4 (AC_ARG_ENABLE, AC_ARG_WIDTH): Add trailing
	semicolon to final fi.

2000-09-11  Pavel Roskin  <proski@gnu.org>

	* acgeneral.m4 (_AC_WARNING_ERROR_IFELSE)
	(__AC_WARNING_ERROR_IFELSE): New macros for checking whether
	warnings should be considered errors.
	(_AC_DIAGNOSE): Use _AC_WARNING_ERROR_IFELSE.

2000-09-11  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: Properly report names of unexpanded macros that
	begin with an underscore.

2000-09-11  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi (Preset Output Variables): Correctly specify
	what languages are affected by CPPFLAGS, LDFLAGS and LIBS.
	Extended description of LDFLAGS and LIBS.
	(Compilers and Preprocessors, C Compiler Characteristics):
	Recommend Automake as the source of ansi2knr.
	(Autoconf Language, Quotation and Nested Macros): English fixes.
	(Quotation and Nested Macros): Unclear example replaced with
	an explanation of when m4 expands quotes. Added explanation why
	unquoted calls are dangerous.

2000-09-08  Pavel Roskin  <proski@gnu.org>

	* doc/autoconf.texi: Always use one space before the opening
	parenthesis in @defmac.

2000-09-06  Morten Eriksen  <mortene@sim.no>

	* acspecific.m4 (_AC_OBJEXT): No longer use AC_COMPILE_IFELSE,
	which uses $ac_objext hence depends upon _AC_OBJEXT.
	* aclang.m4 (AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77): Call
	_AC_OBJEXT before _AC_EXEEXT since the latter needs $ac_objext.

2000-09-06  Bernard Dautrevaux  <dautrevaux@objectlive.com>

	* acspecific.m4 (_AC_EXEEXT): Set extension to void if linking
	creates both an unsuffixed file and suffixed ones.

2000-09-06  Peter Eisentraut  <peter_e@gmx.net>

	* autoconf.texi: English and typo fixes.

2000-09-05  Pavel Roskin  <proski@gnu.org>

	* autoconf.sh: Consider undefined macros as errors.
	* tests/base.m4 (unexpanded macros): Expect error, not warning.

2000-09-05  Dave Love  <fx@gnu.org>

	* aclang.m4 (_AC_PROG_F77_GNU): Run command from standard input so
	that we can get some standard output.

2000-09-04  Peter Eisentraut  <peter_e@gmx.net>

	* autoscan.pl: Repair broken Getopt::Long use.

2000-09-04  Akim Demaille  <akim@epita.fr>

	* configure.in: Bump version to 2.49b.
	* Makefile.am (bin_SCRIPTS): Depend upon configure.in.

2000-08-11  Akim Demaille  <akim@epita.fr>

	Version 2.49a.

2000-08-11  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_NO_EXECUTABLES): New macro.

2000-08-11  Akim Demaille  <akim@epita.fr>

	* tests/base.m4 (AC_SHELL_MKDIR_P): Remove `a' too.

2000-08-11  Akim Demaille  <akim@epita.fr>

	* configure.in: Bump version to 2.49a.

2000-08-11  J. David Anglin  <dave@hiauly1.hia.nrc.ca>

	* autoconf.sh: Change `exit N' to `(exit N); exit' to provide
	the correct exit status when an exit trap is taken.

2000-08-11  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (AM_FUNC_ERROR_AT_LINE, AM_FUNC_FNMATCH,
	AM_FUNC_MKTIME, AM_FUNC_OBSTACK, AM_FUNC_STRTOD): Deactivate
	their AU_ALIAS definition: Automake 1.4 does not quote the name of
	these macros, hence when Autoconf reads Automake's definition the
	name is expanded with unpredictable results.

2000-08-09  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (Installing Autoconf extensions files): Remove.

2000-08-09  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (finalize.awk): Don't leave spaces before the user
	function calls.
	Reported by John David Anglin.
	* doc/autoconf.texi (Limitations of Usual Tools): Start the AWK
	section.
	* tests/tools.m4 (AWK portability): New test.

2000-08-08  Pavel Roskin  <proski@gnu.org>

	* Makefile.am: Substitute @bindir@ in shell scripts, needed by
	autoheader.

2000-08-07  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (_AC_LIBOBJ_ALLOCA, AC_REPLACE_FUNCS): Simplify
	${foo} into $foo.
	* aclang.m4 (AC_LANG(C), AC_LANG(C++)): Move some internal
	comments into the header comment.
	* acgeneral.m4 (AC_TRY_CPP): Likewise.

2000-08-07  Akim Demaille  <akim@epita.fr>

	* tests/tools.m4 (undefined macros): New test.

2000-08-07  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (finalize.awk): New subtool, eved from the previous
	literal AWK program that performed the `oline' and quadrigraphs
	substitution.
	Fix its `oline' computation which was dead wrong when there are
	empty lines (i.e., always).
	Enhance it in order to look for and report unexpanded macro.
	Don't let it pretend there are bugs in Autoconf (c:, the test
	suite makes this scenario pretty unlikely as opposed to an actual
	user bug.
	Catch `m4_' too.
	Remove the shell snippet which used to do this.

2000-08-07  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_MSG_NOTICE): New macro, suggested by Pavel
	Roskin.
	(AC_MSG_ERROR): Use it.

2000-08-04  Ruediger Kuhlmann  <uck4@rz.uni-karlsruhe.de>

	* acspecific.m4 (AC_PROG_RANLIB): Use AC_CHECK_TOOL.
	* doc/autoconf.texi (Limitations of Usual Tools): Typos.

2000-08-04  Akim Demaille  <akim@epita.fr>

	Solaris' /usr/ucb/expr, and SunOS' /usr/bin/expr fail with the `:'
	operator when \(\) is used, and matches a string longer than 120
	characters.
	Reported by Geoff Keating.

	* doc/autoconf.texi (Limitations of Usual Tools): Some words about
	this.
	* acgeneral.m4 (_AC_SHELL_DIRNAME): Fall back to echo|sed if expr
	fails.
	From Paul Eggert.

2000-08-04  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: (AC_RUN_IFELSE, AC_LINK_IFELSE, AC_COMPILE_IFELSE):
	Don't create the source file if none is given, and in this case,
	don't remove it either.

2000-08-04  Akim Demaille  <akim@epita.fr>

	* libm4.m4 (m4_ifvanl): New macro.
	* acgeneral.m4: Use it.

2000-08-02  Akim Demaille  <akim@epita.fr>

	Release Automake from being a substitute to Autoconf.

	* acspecific.m4 (_AC_HEADER_TIOCGWINSZ_IN_TERMIOS_H,
	_AC_HEADER_TIOCGWINSZ_IN_SYS_IOCTL, AC_HEADER_TIOCGWINSZ,
	AC_SYS_POSIX_TERMIOS): New macros from both Automake and the
	fileutils.

2000-08-02  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_PROG_CC_G, _AC_PROG_CXX_G): Recent changes
	inverted the results.  Fix that.

2000-08-02  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Special Shell Variables): More emphasis on
	the dangers of character ranges.
	From Paul Eggert.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* autoheader.sh (_ac_warnings): Be robust to LC_COLLATE.
	`IFS=,; echo ,' will give a comma.  Take this into account.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_PROG_CC): Also try to find $target_alias-cc.

2000-08-01  Akim Demaille  <akim@epita.fr>

	AC_VALIDATE_CACHED_SYSTEM_TUPLE no longer works properly since the
	AC_CANONICAL_* revamping.
	Reported by Peter Eisentraut.
	In fact, let's just use the precious variables handling.

	* acgeneral.m4 (AC_VALIDATE_CACHED_SYSTEM_TUPLE): Obsoleted.
	(_AC_ARG_VAR_PRECIOUS): New macro, eved from...
	(AC_ARG_VAR): this macro.  Adjust.
	(_AC_INIT_PREPARE): `build_alias', `host_alias', and
	`target_alias' are precious.
	* doc/autoconf.texi: Adjust.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE_ENVIRONMENT): Neutralize also
	LC_COLLATE and LC_NUMERIC.
	* autoconf.m4: Don't rely on character ranges with tr.
	* doc/autoconf.texi (Special Shell Variables): Adjust.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (_AC_LIBOBJ_STRTOD, AC_FUNC_STRTOD,
	AM_FUNC_STRTOD): New macros, from Automake.
	* acfunctions: Adjust.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* acidentifiers: Catch ptrdiff_t.
	* acspecific.m4 (AM_TYPE_PTRDIFF_T): AU define.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Be ready to handle AC_CHECK_TYPES requests.
	Quote properly the output.
	Remove useless backslashes.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (AC_FUNC_ONSTACK): New macro, from
	Automake.
	* doc/autoconf.texi (Particular Functions): Adjust.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* acfunctions.m4 (AC_FUNC_ERROR_AT_LINE): New macro, from
	Automake.
	* doc/autoconf.texi (Particular Functions): Adjust.

2000-08-01  Akim Demaille  <akim@epita.fr>

	Create acfunctions.m4, in charge of the macros related to
	functions.

	* acgeneral.m4 (AC_CHECK_FUNC, AC_CHECK_FUNCS, AC_REPLACE_FUNCS):
	Move to...
	* acfunctions.m4: here, new file.
	* acspecific.m4 (_AC_LIBOBJ_ALLOCA, AC_FUNC_ALLOCA, AC_FUNC_CHOWN,
	AC_FUNC_CLOSEDIR_VOID, AC_FUNC_FNMATCH, AC_FUNC_GETGROUPS,
	_AC_LIBOBJ_GETLOADAVG, AC_FUNC_GETLOADAVG, AC_FUNC_GETMNTENT,
	AC_FUNC_GETPGRP, AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK,
	AC_FUNC_MALLOC, AC_FUNC_MEMCMP, AC_FUNC_MKTIME, AC_FUNC_MMAP,
	AC_FUNC_SELECT_ARGTYPES, AC_FUNC_SETPGRP, _AC_FUNC_STAT,
	AC_FUNC_STAT, AC_FUNC_LSTAT, AC_FUNC_STRERROR_R, AC_FUNC_STRFTIME,
	AC_FUNC_VFORK, AC_FUNC_VPRINTF, AC_FUNC_WAIT3, AC_FUNC_UTIME_NULL,
	AC_FUNC_STRCOLL, AC_FUNC_SETVBUF_REVERSED): Likewise.
	* Makefile.am: Adjust.

	Move also the old definitions into acfunctions.m4, and adjust the
	test suite.

	* acgeneral.m4 (AU_ALIAS): New macro.
	* acoldnames (AC_FUNC_CHECK, AC_HAVE_FUNCS, AC_ALLOCA,
	AC_GETLOADAVG, AC_MMAP, AC_SETVBUF_REVERSED, AC_STRCOLL,
	AC_UTIME_NULL, AC_VFORK, AC_VPRINTF, AC_WAIT3, AM_FUNC_FNMATCH,
	AM_FUNC_MKTIME, fp_FUNC_FNMATCH): Move to...
	* acfunctions.m4: here, using AU_ALIAS.
	* acgeneral.m4 (AC_FD_CC, AC_CANONICAL_SYSTEM): Use AU_ALIAS to
	define them.
	* acoldnames.m4: Use AU_ALIAS instead of AU_DEFUN.
	* tests/Makefile.am (MACRO_FILES): Adjust.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Use Getopt::Long;
	* acidentifiers: Classify, sort.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_PROG_CXX_GNU, _AC_PROG_CC_GNU, _AC_PROG_F77_GNU):
	Use grep instead of egrep, don't redirect stderr.

2000-08-01  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_NOTICE): Adjust so that there are no
	empty lines in the header comments (should be `#' alone instead).
	Reported by Didier Verna.

2000-08-01  Greg A. Woods  <woods@weird.com>

	* doc/autoconf.texi (Installation Directory Variables):
	Clarifications and typos.

2000-08-01  Didier Verna  <didier@lrde.epita.fr>

	* acgeneral.m4 (AC_REVISION): Put a dot at the end of the line.
	(_AC_INIT_HELP): Output the bug report address at
	the end of a `configure --help' output.
	(_AC_INIT_NOTICE): Ditto, but at the top of `configure'.

2000-07-31  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE_FDS): New macro, pulled out of
	(_AC_INIT_PREPARE): here, where it is called from.
	* aclang.m4 (_AC_PROG_CC_G, _AC_PROG_CXX_G): Don't test -z "`foo`".

2000-07-31  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_DIVERT(INIT_PARSE_ARGS)): Rename as...
	(_AC_DIVERT(PARSE_ARGS)): this.  Adjust dependencies.
	(AC_ARG_WITH): Remove spurious newline.
	(AC_ARG_VAR): No longer save precious variables in
	ac_configure_args, rather snapshot them twice (one kept
	unmodified, another one to be written to/overwritten by the cache
	file).
	(AC_CACHE_SAVE): Let the cache variables named `ac_cv_env_*'
	be overwritten when loading the cache (i.e., don't use the
	: ${foo=...} trick).
	(_AC_ARG_VAR_VALIDATE): Compare the two snapshots of the precious
	variables.
	(_AC_INIT_PREPARE): Call it after having loaded the cache file.

2000-07-28  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_LANG_CONFTEST, _AC_PROG_CC_GNU, _AC_PROG_CXX_GNU,
	_AC_PROG_F77_GNU): Use ac_ext.  Use _ACEOF instead of ACEOF.

2000-07-28  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (--warnings): Catch `no-category', not `nocategory'.
	* autoheader.sh: Likewise.
	* acgeneral.m4 (_AC_WARNING_IFELSE): Adjust.

2000-07-28  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Installation Directory Variables): New
	section, Eved off from `Preset Output Variables', i.e., was a
	small part of it, grew independent, and is its equal (at least).
	(Coding Style): `$#' padding.
	* Makefile.am (editsh, editpl): Do what the doc says you do: use
	@datadir\@ instead of @''datadir''@.

2000-07-28  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (_AC_PROG_CC_GNU, _AC_PROG_CXX_GNU,
	_AC_PROG_F77_GNU): Use ac_ext.  Use ACEOF instead of EOF.
	(AC_LANG_CONFTEST): New macro.
	(_AC_PROG_CC_G, AC_PROG_CC_C_O, _AC_PROG_CXX_G, AC_PROG_F77_C_O,
	_AC_PROG_F77_V_OUTPUT): Use it.
	* acgeneral.m4 (AC_TRY_CPP, AC_EGREP_CPP, AC_COMPILE_IFELSE,
	AC_LINK_IFELSE, AC_RUN_IFELSE): Likewise.

2000-07-24  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_F77_FUNC): New macro to give the user a clean
	way of accessing Fortran name-mangling information other than
	through CPP, and without having to know the different possible
	name-mangling schemes.
	* autoconf.texi: Documented AC_F77_FUNC

2000-07-24  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_CHECK_TYPE_BUILTIN_P): Add `off_t' and
	`size_t' which are often used too.
	Fix a bug which prevents recognition of `bool' and `char'.
	(_AC_CHECK_TYPE_MAYBE_TYPE_P): New macro.
	(AC_CHECK_TYPE): Use it.

2000-07-19  Peter Eisentraut  <peter_e@gmx.net>

	* Makefile.am: Remove INSTALL.txt by maintainer-clean target.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* autoupdate.sh: Typo: s/infile/file/.

2000-07-19  Martin Wilck  <martin@tropos.de>

	* aclang.m4 (AC_F77_NAME_MANGLING): Obsolete, becomes
	_AC_F77_NAME_MANGLING.
	(_AC_F77_NAME_MANGLING): Use independent checks for the
	name mangling of symbols with and without underscores.
	Use algorithm with for loops instead of recursive macro calls.
	(AC_F77_WRAPPERS): Adapt to changes in _AC_F77_NAME_MANGLING.
	* doc/autoconf.texi (Fortran 77 Compiler Characteristics):
	Remove documentation of AC_F77_NAME_MANGLING.
	Remove documentation of f77_case and f77_underscore.
	Replace AC_F77_FUNC_WRAPPER with AC_F77_WRAPPERS.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* NEWS: Fresh air.
	* TODO: Fresh blood.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (autoheader Invocation): Explain the purpose
	of autoheader.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Various English fixes from Jim.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Compilers and Preprocessors, Obsolete
	Macros): Don't give boring internal details.
	(Language Choice): Typo.
	(Limitations of Builtins): Some about `!', `set', `$@'.
	(Coding Style): Some about $[@] quotation.
	Some about cross-compilation.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (dir): When verbose, say what are the tools you
	will use.

2000-07-19  Akim Demaille  <akim@epita.fr>

	Warnings related to obsolete constructs should be properly
	classified.

	* acspecific.m4 (AC_RSH, AC_USG, AC_MEMORY_H, AC_DIR_HEADER,
	AC_INT_16_BITS, AC_LONG_64_BITS, AC_STRUCT_ST_BLKSIZE,
	AC_STRUCT_ST_RDEV, AC_HAVE_POUNDBANG, AC_ARG_ARRAY): Use
	`AC_DIAGNOSE(obsolete, ...)' instead of `AC_WARNING'.

2000-07-19  Akim Demaille  <akim@epita.fr>

	autoconf -W error does not work.

	* acgeneral.m4 (_AC_DIAGNOSE): use _AC_WARNING_IFELSE,
	_AC_WARNING_ENABLE is dead.

2000-07-19  Akim Demaille  <akim@epita.fr>

	Martin Wilck found a Fortran 77 compiler which always exits with
	success.

	* acgeneral.m4 (AC_COMPILE_IFELSE): Also check that the output
	file was created and is nonempty.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Introduction): More about CVS, Gnats, the web
	pages, and the mailing lists.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Prerequisite Macros): Dedocument AC_PROVIDE.
	(Coding Style): Move some into...
	(Macro Definitions): here.

2000-07-19  Akim Demaille  <akim@epita.fr>

	The --help message should have paragraphs starting with a title,
	the options, and then optionally a small paragraph.

	* acgeneral.m4 (AC_DIVERT_ONCE): New macro.
	(HELP_VAR_END): New diversion.
	(AC_ARG_ENABLE, AC_ARG_WITH, AC_ARG_VAR): Use AC_DIVERT_ONCE.
	(AC_ARG_VAR): Follow the --help style.
	* acspecific.m4 (AC_PATH_X): Use AC_DIVERT_ONCE.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_PROG_CC): Don't require AC_PROG_F77, require
	AC_PROG_CC instead.
	From Martin Wilck.
	(AC_PROG_F77_C_O): Require AC_PROG_F77.
	Use a cache variable independent of $F77.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh: Accept --symbolic and -s.

2000-07-19  Akim Demaille  <akim@epita.fr>

	Make it clear that the regular user does not need --macrodir.
	In fact, rename this option as -A, --autoconf-dir.

	* autoconf.sh: Complain when -m, --macrodir is used.
	Accept -A, --autoconf-dir.
	Use $autoconf_dir instead of $AC_MACRODIR.
	Adjust --help.
	* autoheader.sh: Likewise.
	* autoscan.sh: Likewise.
	* autoupdate.sh: Likewise.
	Use $optarg.
	* autoreconf.sh: Likewise.
	* doc/autoconf.texi: Adjust.
	* tests: Adjust the test suite.

2000-07-19  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh: Forward --debug to sub tools.
	Let them share the same tmp dir.

2000-07-18  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_MING32): Rename as AC_MINGW32.

2000-07-18  Steven G. Johnson  <stevenj@alum.mit.edu>

	Fixed bug where the F77 compiler output was parsed differently
	when detecting the verbose flag than when scanning for linker
	options, and as a result the former test failed (under AIX/xlf).

	* aclang.m4 (_AC_PROG_F77_V_OUTPUT): New macro to get the
	output of linking an F77 program with a given verbose flag,
	and preprocess it as required to scan for linker flags.
	(_AC_PROG_F77_V): Use the above macro here...
	(AC_F77_LIBRARY_LDFLAGS): ...and here, enforcing consistency.

2000-07-17  Martin Wilck  <martin@tropos.de>

	* autoupdate.sh (autoconf): s,$updated,$tmp/updated,.

2000-07-17  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Configuration Actions): Explain the
	behavior of  AC_CONFIG_HEADERS and AC_CONFIG_FILES with respect to
	absolute and relative filenames, and stdin/stdout.
	(config.status invocation): Likewise.

2000-07-17  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Configuration Actions): Explain the
	behavior of  AC_CONFIG_HEADERS and AC_CONFIG_FILES with respect to
	absolute and relative filenames, and stdin/stdout.
	(config.status invocation): Likewise.

2000-07-13  Akim Demaille  <akim@epita.fr>

	Make it easier to trace what autoreconf does.

	* autoheader.sh: Be more verbose, and always report your name in
	verbose messages.
	* autoconf.sh: Likewise.
	* autoreconf.sh: Likewise.
	(update.sh): Redirect ls' stderr to /dev/null.

2000-07-13  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS): Properly
	handle absolute input file names.
	From Alexandre Oliva.

2000-07-12  Martin Wilck  <martin@tropos.de>

	* aclang.m4 (AC_PROG_F77): Delete AC_BEFORE(AC_PROG_CPP) that
	leads to unnecessary warnings if both C and Fortran are checked.
	(AC_PROG_F77_C_O): AC_REQUIRE AC_PROG_F77 instead of pretend you
	need to be AC_BEFORE it.

2000-07-12  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (_ac_warnings): Fix call to tr.
	Reported by Johan Danielsson.

2000-07-11  Martin Wilck  <martin@tropos.de>

	* aclang.m4 (_AC_PROG_F77_V): New macro to determine the flag that
	causes the compiler to output verbose linking information.
	(AC_F77_LIBRARY_LDFLAGS): Use _AC_PROG_F77_V instead of
	simply "-v"
	(AC_F77_LIBRARY_LDFLAGS): New algorithm to parse flags, uses
	set/shift shell commands.
	(AC_F77_LIBRARY_LDFLAGS): Set FLIBS at end, after determining
	ac_cv_flibs.

2000-07-11  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_DEFAULTS) <ac_max_here_lines>: Set to 38
	instead of 48, to pass the test on RISC/OS 4.52.

2000-07-11  Akim Demaille  <akim@epita.fr>

	!*^&$@ sed portability problems...  The test on AC_CHECK_TYPES is
	failing on RISC/OS 4.52 because of the forget-to-reset-the-flag
	bug in its sed.

	* acgeneral.m4 (_AC_OUTPUT_HEADERS): Work around this bug.

2000-07-11  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_INT_16_BITS, AC_LONG_64_BITS): s/ac_check/ac_cv/.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS): Look for
	the input files first in $builddir, then $srcdir.
	Suggested by Lars J. Aas, designed by Alexandre Oliva.

2000-07-10  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS):
	Accept special filename '-' for stdin and stdout.

2000-07-10  Akim Demaille  <akim@epita.fr>

	Alexandre's suggestions.

	* autoreconf.sh (update.sh): Use `ls -1dt' instead of `-lt'.
	Use test instead of sed.
	<automake>: If automake is used, always run it: it has its own
	mechanism not to update if unneeded.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_PROG_ECHO): Modernize.

2000-07-10  Akim Demaille  <akim@epita.fr>

	Stop being ridiculous :*(

	* acgeneral.m4 (_AC_SHELL_DIRNAME):  When using m4 the argument
	is named `$1' not `$dir'.
	When using m4 you ought to quote properly.
	When using m4, you should check that there are not too many shell
	quotes (inside the macro itself, and where it is called).
	When you do this, Autoconf, hm, works better.

2000-07-10  Steven G. Johnson  <stevenj@alum.mit.edu>

	Improve --help documentation of important environment variables.

	* acgeneral.m4 (_AC_INIT_HELP): Direct reader to descriptions
	of useful variables at the end of the --help.
	(AC_ARG_VAR): Emphasize use of environment variables to override
	and/or help the configure script.  Ensure that a given variable
	is only documented once in the --help.
	(AC_CHECK_LIB): Call AC_ARG_VAR to document and register the
	LDFLAGS variable, and...
	(AC_CHECK_HEADER): do the same for the CPPFLAGS variable.
	* aclang.m4 (AC_PROG_CC): Call AC_ARG_VAR to document and register
	the CC and CFLAGS variables, and do the same for...
	(AC_PROG_CXX): CXX and CXXFLAGS, and...
	(AC_PROG_F77): F77 and FFLAGS.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* Makefile.am (wget-update): New target.
	(WGET): New variable.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Coding Style): Some more constraints :).

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_FUNC_STRERROR_R): Aaaaaaarg!  Don't leave the
	AC_DEFINE inside the AC_CACHE_CHECK.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_FUNC_STAT, AC_FUNC_STAT, AC_FUNC_LSTAT): New
	macros, from Jim's stat.m4 and lstat.m4 serial 6.
	* doc/autoconf.texi (Particular Functions): Document
	* acfunctions: Add them.

2000-07-10  Akim Demaille  <akim@epita.fr>

	AC_LIBOBJ when used by AC_REPLACE_FUNCS should not complain for
	variables as argument.

	* acgeneral.m4 (_AC_LIBOBJ): Same as the former AC_LIBOBJ, but
	takes an additional argument: action to perform when non-literal
	argument.
	(AC_LIBOBJ): Use it.
	(AC_REPLACE_FUNCS): Use _AC_LIBOBJ, not AC_LIBOBJ.

2000-07-10  Akim Demaille  <akim@epita.fr>

	LANGUAGE should be neutralized too.

	* acgeneral.m4 (_AC_INIT_PREPARE_ENVIRONMENT): Do it.
	* doc/autoconf.texi (Special Shell Variables): Mention it.

2000-07-10  Akim Demaille  <akim@epita.fr>

	Set autoconf's default warnings to `syntax'.

	In fact, honor the most recent specification in the concatenation
	of `syntax',$WARNINGS,<options> in that order.
	Implement support for `none' and `noCATEGORY' so that the options
	may override the previous choices.
	Suggested by Didier Verna.

	* acgeneral.m4 (_AC_WARNING_IFELSE): New macro.
	(AC_WARNING_IFELSE): Use this macro to implement the new specs.
	(AC_WARNING): The empty category must not be used, default to
	`syntax'.
	* doc/autoconf.texi (autoconf Invocation, Reporting Messages): Adjust.
	* autoconf.sh: Adjust.
	Use `optarg' to fetch the arguments of options.
	Fix a bug in the handling of `--trace='.

	* acgeneral.m4 (AC_CACHE_VAL): Typo: the macro was complaining iff
	it shouldn't have.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (--install, --symlink): New options.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (dots, aclocal_m4, acconfig_h): Remove.
	Adjust dependencies.
	When using $verbose, redirect to stderr.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh: Clarify the difference between the location of
	`aclocal.m4' and that of the location Autoconf extensions.
	(-M, --m4dir): New option.
	(aclocal_flags): Do not use $localdir, but $m4dir.
	(localdir_opt): Remove, since $autoconf, $autoheader already
	include `-l $localdir'.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (task install): We no longer use AC_INCLUDE.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acoldnames.m4: Remove the obsolete comments.  The technology is
	now detailed in `autoupdate'.
	Quote the names being defined.
	Formatting changes.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_DEFUNCT): Remove.
	(AC_RSH, AC_UNISTD_H, AC_USG, AC_MEMORY_H, AC_DIR_HEADER,
	AC_INT_16_BITS, AC_LONG_64_BITS): They're alive!...
	* doc/autoconf.texi (Obsolete Macros): but not fresh.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (debug): New variable.
	(tmp): s/ac/ar/.
	<options handling>: Support --debug.
	* doc/autoconf.texi: Adjust.

2000-07-10  Akim Demaille  <akim@epita.fr>

	Fix the bugs recently introduced in autoreconf.

	* autoreconf.sh: Don't run automake when the package is not using
	it.
	When checking whether autoheader should be rerun, don't ask
	config.h to be newer than stamp-h and vice-versa.
	Remove an unbalanced `fi'.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (run_aclocal): Rename as `uses_aclocal' to avoid
	the convention clash with autoconf.sh where `run_foo' is the
	command to run `foo'.
	(uses_autoheader): New variable.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (update.sh): New sub program.
	Use it in the whole process.
	(acconfig_h): New variable.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh <run_aclocal>: Use false/: instead of no/yes.
	Formatting and factoring changes.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh: You too can have a $tmp dir if you wish.
	(alflags.sed): New sub sed program.
	Compute the flags of aclocal from Makefile.am instead of
	Makefile.in, it is unlikely that aclocal be used but not automake,
	while it is convenient to be able to run autoreconf even if
	automake was not run yet.
	Use `autoconf --trace' to get the list of configuration headers.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_PLAIN_SCRIPT): New macro.
	* tests/base.m4 (m4_wrap, AC_REQUIRE, AC_SHELL_MKDIR_P): Use it.
	* autoconf.sh: Properly handle the case where `$output' is `-'
	(i.e., stdout).
	Handle `-ofile', not just `-o file'.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh: Formatting changes.
	When verbose, display exactly what you do, not just a synopsis.
	When using `$verbose' don't use quotes to avoid spurious spaces
	for empty arguments.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (force): Instead of yes/no, use :/false.
	Adjust the code.
	(automake_deps, automake_force): No longer used.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SHELL_DIRNAME): Use an `expr' solution instead
	of echo|sed.
	From Paul Eggert.
	* doc/autoconf.texi (Limitations of Usual Tools): Include the
	words from Paul about `|' with expr(1).

2000-07-10  Akim Demaille  <akim@epita.fr>

	* aclang.m4: Promote s,,, over s%%%, and `sed prog' over `sed -e
	prog'.
	* acgeneral.m4: Likewise.
	* acspecific.m4: Likewise.
	* doc/autoconf.texi (Limitations of Usual Tools, Coding Style):
	Likewise.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* autoconf.sh: When using `mktemp -d', be sure that the directory
	was created.
	* autoheader.sh: Likewise.
	* autoreconf.sh: Likewise.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* AUTHORS: Update.
	* doc/autoconf.texi: Free Franc,ois Pinard from iftex and ifinfo,
	use @,c.
	Don't use `@code{m4}' when you mean M4, just as you shall not say
	`@code{cc}' when you refer to the C language.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_LANG(C), AC_LANG(C++), AC_LANG(Fortran 77)): Set
	ac_gnu_compiler.
	(_AC_PROG_CC_GNU, _AC_PROG_CXX_GNU, _AC_PROG_F77_GNU): Compute
	ac_gnu_compiler.
	* acgeneral.m4 (AC_LINKER_OPTION): Adjust.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77): Move the code
	processing the result of AC_PROG_CC_G, AC_PROG_CXX_G, and
	AC_PROG_F77_G into them.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Multiple Cases, Quotation Rule Of Thumb):
	Follow the coding style.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Obsoleting Macros): Is not a subsection of
	`Dependencies Between Macros', but rather a section of `Writing
	Macros'.

2000-07-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Coding Style): New node.

2000-07-07  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SHELL_MKDIR_P): s/ac_dir/ac_mkdir_dir/ to avoid
	clashes with the numerous ac_dir loops.
	Reported by Lars J. Aas.

2000-07-07  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SHELL_DIRNAME): Return `.', not `' when there
	is no directory part.

2000-07-07  Franc,ois Pinard  <pinard@iro.umontreal.ca>

	* tests/atgeneral.m4 (AT_CHECK): Fix a redirection problem.

2000-07-07  Akim Demaille  <akim@epita.fr>

	AC_REVISION must not AC_REQUIRE AC_INIT, it leaves the diversions
	in a messy state.  Don't even try to emulate AC_REQUIRE: just
	introduce a diversion just for AC_REVISION, and let the magic
	happen.
	Fixes Autoconf PR/134, from Raja R Harinath.

	* acgeneral.m4 (_AC_DIVERT(REVISION)): New diversion.
	(AC_REVISION): Don't require AC_INIT, dump in your diversion.
	(_AC_INIT): Delete, inline its body in...
	(AC_INIT): here.
	(_AC_INIT_NOTICE, _AC_INIT_COPYRIGHT): New macros so that...
	(AC_INIT): be more uniform.
	(AC_INIT, AC_REVISION, AC_COPYRIGHT): `define', don't AC_DEFUN.

2000-07-07  Martin Wilck  <martin@tropos.de>

	* aclang.m4 (AC_F77_LIBRARY_LDFLAGS): Keep -lm, if a Fortran
	compiler needs it, it is likely to be required when linking C/C++
	with Fortran.
	<-YP,*>: Fix the list of arguments to loop on.
	Don't mess with the user variable name space.
	<ac_ld_run_path>: Prepend LD_RUN_PATH directories with -R only
	when running Solaris (without this, link errors occur).

2000-07-06  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SHELL_DIRNAME): Fix quotation.

2000-07-06  Akim Demaille  <akim@epita.fr>

	* aclang.m4: Formatting and quotations changes.

2000-07-06  Raja R Harinath  <harinath@cs.umn.edu>

	* aclang.m4 (AC_LANG_INT_SAVE(C++)): Be a copy of
	AC_LANG_INT_SAVE(C), not AC_LANG_INT_SAVE_TRY(C).
	Fixes Autoconf PR/133.

2000-07-06  Mo DeJong  <mdejong@cygnus.com>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS, AC_CHECK_TOOLS): Change
	warning message printed when only --host is given. Fix printing
	of multiple compiler cache values, use PATH argument.
	* aclang.m4 (AC_LANG_COMPILER_WORKS): Print the cross compile
	status, fix problem where two results were printed at once.

2000-07-06  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SHELL_TMPDIR): Typo.

2000-07-06  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* acgeneral.m4 (_AC_SHELL_DIRNAME): Behave properly when the
	argument has trailing slashes, and when its depth is just one
	(`/tmp').

2000-07-06  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (_AC_SHELL_DIRNAME): New macro.
	(_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS, _AC_OUTPUT_LINKS):
	Use _AC_SHELL_DIRNAME.

2000-07-06  Martin Wilck  <martin@tropos.de>

	* aclang.m4 (AC_PROG_F77): Add two compilers,
	lf95 (Lahey/Fujitsu Fortran) and pgf77 (Portland Group Fortran)
	(_AC_PROG_F77_G): Some Fortran compilers produce stdout/stderr
	output even if no errors occur - check exit status rather than
	output.

2000-07-05  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_SHELL_TMPDIR): When using `mktemp -d', be sure
	that the directory was created: under Ultrix 4.3 it just returns
	a name, but does not create the directory.
	Reported by Christian Krackowizer.

2000-07-03  Lars J. Aas  <larsa@sim.no>

	* acgeneral.m4 (AC_SHELL_MKDIR_P): New macro.
	(_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS, _AC_OUTPUT_LINKS,
	AC_PROG_INSTALL): Use AC_SHELL_MKDIR_P.
	* tests/base.m4 (AC_SHELL_MKDIR_P): Test it.

2000-07-04  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CACHE_LOAD): Be ready to read the cache even
	when `.' is not in the PATH.
	* doc/install.texi (configure Invocation): Adjust.

2000-06-30  Jim Meyering  <meyering@lucent.com>

	* acgeneral.m4 (AC_REQUIRE): Tweak a diagnostic.

2000-06-30  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	Re-enable the old behavior of --host and --build.

	* acgeneral.m4 (build_alias): Set to host_alias if --build is not
	given but --host is, and enable cross-compile auto-detection.  If
	both are, and are different, enable cross compilation.
	(AC_CANONICAL_HOST): Adjust help message.
	(cross_compiling): Enclose in quotes when testing.
	* aclang.m4 (_AC_LANG_COMPILER_WORKS): If cross_compiling is
	maybe, set it to yes or no depending on the result of the
	execution test.
	* doc/autoconf.texi: Document the change.
	* doc/install.texi: Likewise.

2000-06-27  Jim Meyering  <meyering@lucent.com>

	* acspecific.m4 (_AC_LIBOBJ_GETLOADAVG): Put quotes around use of
	`$ac_cv_lib_elf_elf_begin', since that variable may not be defined.
	From Volker Borchert.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Fix various typos.
	(Limitations of Usual Tools) <sed>: Anchors and groups.
	(Language Choice): Don't mention cross_compiling here, do it...
	(Specifying Names) <--host>: here.
	(Obsoleting Macros): Don't document AC_DEFUNCT, it's going to be
	removed anyway, obsoleted itself by AU_DEFUN.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CACHE_VAL): Swap the arguments of `regexp'.
	Reported by Alexandre Oliva.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (automake, aclocal): New variables.  Import
	$AUTOMAKE and $ACLOCAL.
	Pass --verbose to the tools.
	Avoid using plenty of variables, just append to existing
	variables.
	* doc/autoconf.texi: List options in the order --help, --version,
	--verbose, --debug, and then specific options.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Various Texinfo adjustments.
	(Specifying Names): When describing the system triplets, use the
	same names as the shell variables.
	(System Type Variables): Delete, merge its content into...
	(Canonicalizing): here.
	Clarify the difference between the `foo_target' and `foo'
	variables.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS, _AC_OUTPUT_CONFIG_STATUS):
	s/echo | sed/expr/.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CONFIG_LINKS, AC_CONFIG_HEADERS,
	AC_CONFIG_COMMANDS, AC_CONFIG_FILES): Use a shell variable instead
	of an m4 variable to store what must be done, so that sh
	conditionals are honored.
	(_AC_OUTPUT_LINKS, _AC_OUTPUT_HEADERS,
	_AC_OUTPUT_COMMANDS, _AC_OUTPUT_FILES): Adjust.
	* tests/semantics.m4: Test the four AC_CONFIG sisters.
	* doc/autoconf.texi (Configuration Actions): Promote the use of
	literals, show it works properly with sh conditionals.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CACHE_VAL): Too many people put AC_DEFINE in
	the commands-to-set-it part of it.  Give them a warning.

2000-06-26  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Prerequisite Macros): More about AC_REQUIRE.

2000-06-26  Akim Demaille  <akim@epita.fr>

	Given better names to the diversions.

	* acgeneral.m4 (_AC_DIVERT(NORMAL_2), _AC_DIVERT(NORMAL_3),
	_AC_DIVERT(NORMAL_4)): Delete, unused.
	(_AC_DIVERT(NORMAL_1), _AC_DIVERT(NORMAL), AC_DIVERT_DIVERSION):
	Rename as _AC_DIVERT(PREPARE), _AC_DIVERT(BODY),
	_AC_DIVERT_DIVERSION.

2000-06-26  Akim Demaille  <akim@epita.fr>

	The current implementation of AC_REQUIRE fails on

	| AC_DEFUN([TEST1],  [REQUIRE([TEST2a])REQUIRE([TEST2b])])
	| AC_DEFUN([TEST2a], [])
	| AC_DEFUN([TEST2b], [REQUIRE([TEST3])])
	| AC_DEFUN([TEST3],  [REQUIRE([TEST2a])])
	|
	| AC_INIT
	| TEST1

	because it produces TEST3; TEST2a; TEST2b; TEST1.
	Fix this bug, implement the solution provided by Axel Thimm,
	and test AC_REQUIRE.

	* acgeneral.m4: Document this implementation.
	(_AC_DEFUN_PRO, _AC_DEFUN_EPI, AC_REQUIRE): Be sure that macros
	are emitted in the same order as they are expanded.
	(AC_REQUIRE): Forbid being calling out of an AC_DEFUN'd	macro (in
	particular the top level).
	* tests/base.m4 (AC_REQUIRE): New test.

2000-06-26  Akim Demaille  <akim@epita.fr>

	A macro which is not defined with AC_DEFUN should not be
	AC_REQUIRE'd, since it doesn't AC_PROVIDE itself.

	* acgeneral.m4 (AC_REQUIRE): Issue a warning when after expansion,
	the macro is not AC_PROVIDE'd.

2000-06-26  Akim Demaille  <akim@epita.fr>

	Various cleanups.

	* acgeneral.m4 (AC_PRO, AC_EPI): Rename as _AC_DEFUN_PRO and
	_AC_DEFUN_EPI.
	Adjust dependencies.
	(AC_DEFUN): Remove the not-to-be-released specializing mechanism.
	(AC_SPECIALIZE): Remove for the same reasons.
	Adjust dependencies.
	(_AC_INIT_DEFAULTS, _AC_INIT_PARSE_ARGS, _AC_INIT_VERSION,
	_AC_INIT_PREPARE, _AC_CANONICAL_SPLIT, _AC_CHECK_TYPE_NEW,
	_AC_CHECK_TYPE_OLD): Define via `define' instead of `AC_DEFUN':
	they are not related to AC_REQUIRE in any way.
	* acspecific.m4 (AC_PROG_ECHO, _AC_DECL_YYTEXT, _AC_PATH_X_XMKMF,
	_AC_PATH_X_DIRECT): Define via `define' instead of `AC_DEFUN'.

2000-06-19  Steven G. Johnson  <stevenj@alum.mit.edu>

	* acgeneral.m4 (AC_CHECK_TOOL): Use two variables in order to
	avoid cache variable conflicts between AC_CHECK_PROG invocations.
	(AC_PATH_TOOL): Fix same bugs as in 6/9/00 fixes to AC_CHECK_TOOL.
	Pass correct arguments to AC_CHECK_PATH (different from
	AC_CHECK_PROG).  Use AC_CHECK_PATH cache variable, not
	AC_CHECK_PROG var, and use two variables for two invocations as
	above.  Quote AC_CHECK_* args.

2000-06-16  Akim Demaille  <akim@epita.fr>

	The test suite reveals AC_OUTPUT_MAKE_DEFS fails on RISC/OS.

	* acgeneral.m4 (AC_OUTPUT_MAKE_DEFS) <confdef2opt.sed>: Reset the
	t flag between each cycle.
	* doc/autoconf.texi (Limitations of Usual Tools): Some about the t
	flag in sed.

2000-06-16  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_EXEEXT, AC_OBJEXT): Don't obsolete them, let
	them be empty, so that Automake still provide support for $(EXEEXT).

2000-06-15  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (option handling): Give a more understandable
	message when an option is missing its argument.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* autoheader.sh: Likewise.

2000-06-13  Akim Demaille  <akim@epita.fr>

	`./config.status -d' is buggy.

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Remove the `shift' in
	--debug.
	* doc/autoconf.texi (Limitations of Builtins): Some about shift.

2000-06-13  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Caching Results): Bigger warning about the
	extremely frequent action-in-commands bug.
	Move the documentation of AC_CACHE_SAVE and AC_CACHE_LOAD...
	(Cache Files): into here.

2000-06-09  Steven G. Johnson  <stevenj@alum.mit.edu>

	* acgeneral.m4 (AC_CHECK_TOOL): Even if VALUE-IF-NOT-FOUND is not
	specified, we should still check whether PROG-TO-CHECK-FOR
	actually works before returning it when the prefixed program is
	not found. Also, fixed a bug where it failed to pass the PATH
	argument in the second call to AC_CHECK_PROG.

2000-06-09  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECK_TOOLS): Rewrite.

2000-06-09  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi: Use `@option' for options, not `@samp' nor
	`@code'.
	* doc/install.texi: Likewise.

2000-06-09  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_F77_LIBRARY_LDFLAGS): Don't require AC_CYGWIN.
	(AC_F77_NAME_MANGLING): Removed useless comment.
	(_AC_PROG_F77_GNU): Use `.f' not `.fpp' which is not properly
	processed by Abysoft's Fortran compiler.

2000-06-09  Steven G. Johnson  <stevenj@superjdj.mit.edu>

	* aclang.m4 (AC_F77_LIBRARY_LDFLAGS): Fixed bug where
	compiler output to stdout was not caught and interpreted.

2000-06-09  Akim Demaille  <akim@epita.fr>

	`autoconf --trace' dies on filenames with `:'.
	Reported by Mark Elbrecht.

	* autoconf.sh <trace> (trace2m4.sed): Use `..*' instead of
	`[^:][^:]*' to catch file names.  The rest of regex is probably
	precise enough to avoid incorrect parsing.

2000-06-09  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_SYS_LARGEFILE_MACRO_VALUE): Always initialize
	$3 to no.

2000-06-08  Paul Eggert  <eggert@twinsun.com>

	Import AC_SYS_LARGEFILE from largefile.m4 serial 12.

	* acspecific.m4 (AC_SYS_LARGEFILE, _AC_SYS_LARGEFILE_MACRO_VALUE,
	_AC_SYS_LARGEFILE_SOURCE): New.
	* doc/autoconf.texi (System Services): Document AC_SYS_LARGEFILE.

2000-06-08  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_F77_LIBRARY_LDFLAGS): Don't override FLIBS if
	specified by the user.
	Fix a bug: use the cached value to set FLIBS.

2000-06-07  Dave Love  <fx@gnu.org>

	* aclang.m4 (AC_PROG_F77): Check for f95 and fc too.

2000-06-07  Philippe De Muyter  <phdm@macqel.be>

	`foo=1 foo=2 cmd' has an undefined behavior.

	* acgeneral.m4 (_AC_COMPUTE_INT_COMPILE): Do not put two shell
	variable assignments in one shell command.
	* doc/autoconf.texi (Shell Substitutions): Document.

2000-06-07  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_F77_LIBRARY_LDFLAGS): Fix problem on Cray due to
	confusion from the link command getting echoed in quotes.  In the
	future, a more general fix for quoted arguments with spaces might
	be better.

2000-06-07  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Builtins): More on `test' and
	`case'.
	Some on `if' and `break'.

2000-06-07  Morten Eriksen  <mortene@sim.no>

	* acspecific.m4 (_AC_PATH_X_DIRECT): Include `X11/Intrinsic.h'
	when trying to use `XtMalloc' to actually have a chance of
	succeeding.

2000-06-07  Akim Demaille  <akim@epita.fr>

	Hard (code) X.

	* acspecific.m4 (_AC_PATH_X_DIRECT): Hard code `X11/Intrinsic.h'
	instead of using `ac_x_direct_test_include', likewise for `Xt' and
	`ac_x_direct_test_lib', `XtMalloc' and
	`ac_x_direct_test_function'.

2000-06-07  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_PATH_X): Use AC_DIVERT.
	Use `no', not `NO' for ac_x_includes and ac_x_libraries.
	Adjust dependencies.
	(_AC_PATH_X_DIRECT): Introduce ac_x_header_dirs to factor the list
	of places where headers and libs might be.
	(AC_PATH_XTRA): Don't quote the argument of `case'.

2000-06-07  Jim Meyering  <meyering@lucent.com>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Put the expansion of
	AC_LIST_LINKS in an unquoted `here'-document.

2000-06-06  Akim Demaille  <akim@epita.fr>

	* tests/aclocal.m4 (AC_ENV_SAVE): Skip `no_x'.
	From Mark Elbrecht.

2000-06-05  Mo DeJong  <mdejong@cygnus.com>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Move the setting
	of ac_tool_prefix before the call to AC_DIVERT_POP.

2000-06-05  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECK_TOOL_PREFIX): AU define it.
	Suggested by Mo DeJong.

2000-06-05  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_C_CHAR_UNSIGNED): Use the new compiler-test
	technology so that we can do the test via compilations only.  Also
	use (char) -1 instead of (char) 255 to check if char is unsigned.

2000-05-28  Jim Meyering  <meyering@lucent.com>

	* acspecific.m4 (AC_FUNC_STRERROR_R): Call strerror_r with 2nd arg
	of type char*, not int.  Suggestion from Paul Eggert.

	* doc/autoconf.texi (Particular Functions): Give better description of
	AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK.  From Paul Eggert.

2000-05-26  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools): Document `ln -s'
	on DJGPP, based on the comments from Mark Elbrecht.

2000-05-26  Akim Demaille  <akim@epita.fr>

	* autoreconf.sh (autoconf, autoheader): Be more conscientious when
	looking for the executable.
	* autoupdate.sh: Likewise.
	* autoheader.sh: Likewise.
	Suggested by Alexandre Oliva.

2000-05-26  Akim Demaille  <akim@epita.fr>

	Thanks to --program-transform-name, `autoconf' might be install as
	`yo-man-i-am-the-all-mighty-AVt0c0nF-eh-eh'.  But when
	`yo-man-i-am-the-all-mighty-AVt0h3Ad3R-eh-eh' and the other tools
	want to trace, they might stupidly invoke the program named
	`autoconf' instead.  Pfff, stupid scripts :)

	* Makefile.am (editsh): Transfer the names of the install
	`autoconf' and `autoheader'.
	* autoconf.sh: Add a missing period at the end of the comment
	# Parse command line
	Make sure to have a ChangeLog much longer than the patch.
	* autoheader.sh: Use the right `autoconf'.
	* autoupdate.sh: Likewise.
	* autoreconf.sh: Likewise, and for `autoheader' too.
	Simplify the handling of localdir and AC_MACRODIR.
	* ifnames.sh: Formatting changes.

2000-05-25  Steven G. Johnson  <stevenj@alum.mit.edu>

	Don't use f2c as a possible Fortran compiler, since by itself it
	cannot produce object code.

	* aclang.m4 (AC_PROG_F77): Remove f2c from the search list.
	* doc/autoconf.texi: Excise mentions of f2c in AC_PROG_F77 docs.

2000-05-26  Mark Elbrecht  <snowball3@bigfoot.com>

	Currently, AC_PROG_LN_S incorrectly reports yes with DJGPP. This
	is because the DJGPP `ln' emulates soft links for executables by
	generating a stub that in turn calls the real program.  This
	feature also works with nonexistent files like in the Unix
	spec. So `ln -s X conftestdata' will generate `conftestdata.exe'
	which will attempt to call 'X.exe'. But this feature only works
	for executables.  Fix it.

	* acspecific.m4 (AC_PROG_LN_S): Create a sample file and use it to
	test `ln -s'.

2000-05-26  Ossama Othman  <ossama@ece.uci.edu>

	* aclang.m4 (AC_PROG_CXX): Look for aCC before CC.

2000-05-26  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_FUNC_STRERROR_R): New, from `strerror_r.m4',
	serial 2, by Jim Meyering.
	(AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK): New, from
	`lstat-slash.m4', serial 1, by Jim Meyering.
	* acfunctions: Adjust.

2000-05-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECK_TOOLS): Don't require
	AC_CHECK_TOOL_PREFIX, it's dead.

2000-05-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Simplify all the
	case "$switch" in
	into
	case $switch in
	* acspecific.m4: Likewise.
	* aclang.m4: Likewise.

2000-05-26  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECK_TOOL_PREFIX): Remove.
	Adjust dependencies.
	(_AC_INIT_PARSE_ARGS): Set ac_tool_prefix.

2000-05-26  Akim Demaille  <akim@epita.fr>

	In `info', it is easier to type `autoconf <TAB>' to reach the list
	of options, that `Invoking autoc<TAB>'.

	* doc/autoconf.texi: s/Invoking foo/foo Invocation/.

2000-05-26  Akim Demaille  <akim@epita.fr>

	Merge `Upgrading' and `Obsolete Constructs' together.

	* doc/autoconf.texi (Obsolete Constructs): Move right after
	`Recreation a Configuration.
	(Invoking autoupdate): Be a subsection of
	`Obsolete Constructs'.
	(Upgrading): Demote from chapter to section.
	Be a section of `Obsolete Constructs'.
	Rename as `Autoconf 1'.

2000-05-26  Akim Demaille  <akim@epita.fr>

	Find a means to extract integers from the compiler.
	Use this technology to compute `sizeof' even when cross-compiling.
	Ideas and initial suggestion by Kaveh Ghazi.
	Binary search by Bruno Haible.

	* aclang.m4 (AC_LANG_BOOL_COMPILE_TRY,
	AC_LANG_BOOL_COMPILE_TRY(C), AC_LANG_BOOL_COMPILE_TRY(C++),
	AC_LANG_INT_SAVE, AC_LANG_INT_SAVE(C), AC_LANG_INT_SAVE(C++)): New
	macros.
	* acgeneral.m4 (_AC_COMPUTE_INT_COMPILE, _AC_COMPUTE_INT_RUN,
	_AC_COMPUTE_INT): New.
	(AC_CHECK_SIZEOF): Use them.
	Check whether the type exists beforehand.
	* tests/semantics.m4 (AC_CHECK_SIZEOF): Strengthen.

2000-05-26  Ossama Othman  <ossama@ece.uci.edu>

	* aclang.m4 (AC_PROG_CXX): Look for aCC KCC RCC xlC_r xlC.
	s/c++ g++/g++ c++/.
	* doc/autoconf.texi (Compilers and Preprocessors): Adjust.

2000-05-26  Akim Demaille  <akim@epita.fr>

	No library nor special privilege is needed to run `getloadavg'
	under FreeBSD.
	Reported by Alec Wolman.

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Check for `getloadavg'
	without any additional library.
	Fixes Autoconf/109.

2000-05-26  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Usual Tools, Limitations of
	Builtins): Integrate comments from Paul Eggert and Jim Meyering.
	Add the sed limitation discovered by Philippe De Muyter.
	Fix a typo spotted by Pavel Roskin.

2000-05-25  Akim Demaille  <akim@epita.fr>

	The test suite needs GNU m4.
	Reported by Bob Friesenhahn.

	* tests/atconfig.in (M4): Set it.
	* tests/base.m4: Use it.

2000-05-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Don't use negated character
	classes with `case'.  Use `expr' instead.
	Suggested by Paul Eggert.
	* doc/autoconf.texi (Limitations of Builtins): Explain expr, the
	`x' trick, and negated character classes.

2000-05-24  Didier Verna  <didier@lrde.epita.fr>

	* acgeneral.m4 (AC_INIT): Call _AC_PACKAGE before _AC_INIT.

2000-05-24  Ossama Othman  <ossama@debian.org>

	* aclang.m4 (AC_LANG(C++)): Change `ac_ext' from from `C' to `cc'
	to avoid potential ambiguities on case-insensitive shells.

2000-05-24  Mo DeJong  <mdejong@cygnus.com>

	Have --host=sun4 automatically look for CC=sun4-cc etc.

	* acgeneral.m4 (AC_CHECK_TOOLS): New.
	* aclang.m4 (AC_PROG_CXX, AC_PROG_CC, AC_PROG_F77): Use new
	AC_CHECK_TOOLS macro instead of AC_CHECK_PROGS so that a cross
	compiler is found by default with --host.
	* doc/autoconf.texi (Generic Programs, Manual Configuration):
	Describe new AC_CHECK_TOOLS macro. Fix unclear working about
	AC_CHECK_PROGS.
	* tests/Makefile.am (FILTER_MACROS): Adjust.

2000-05-24  Akim Demaille  <akim@epita.fr>

	The night of the living dead...

	* acspecific.m4 (AC_XENIX_DIR, AC_DYNIX_SEQ, AC_IRIX_SUN,
	AC_SCO_INTL): Wake up a few zombies.
	* doc/autoconf.texi: Adjust.
	* tests/aclocal.m4 (AC_ENV_SAVE): Likewise.

2000-05-24  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LANG_FUNC_LINK_TRY, AC_LANG_FUNC_LINK_TRY(C),
	AC_LANG_FUNC_LINK_TRY(C++)): New macros.
	(AC_CHECK_FUNC): Use it, together with AC_LINK_ELSE.

2000-05-24  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_FUNC_VFORK): Quote properly.
	(AC_FUNC_STRFTIME, AC_FUNC_VFORK, AC_FUNC_VPRINTF): Don't use
	AC_DEFINE, just use the AC_CHECK_*S macro.

2000-05-24  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_WHICH_A): Replace it with...
	(AC_SHELL_PATH_WALK): this.
	(AC_CHECK_PROG, AC_PATH_PROG): Use it.

2000-05-24  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Builtins): Document `unset'.
	(Special Shell Variables): Adjust.
	(Shellology): New section.  Introduce bash and zsh.
	(Special Shell Variables): Some data on NULLCMD.
	(Quotation Thumb Rule): Rename as
	(Quotation Rule of Thumb): this.
	* acgeneral.m4 (AC_SHELL_UNSET): Remove.
	(AC_SHELL_UNSETENV): Rename as...
	(AC_SHELL_UNSET): this.
	(_AC_INIT_PREPARE_ENVIRONMENT): Prepare bash and zsh.
	Adjust to AC_SHELL_UNSET.

2000-05-24  Akim Demaille  <akim@epita.fr>

	The options --build etc. used to set `$build'.  *If*
	AC_CANONICAL_SYSTEM was run, then the value of `$build' given by
	the user was saved into `$build_alias', and `$build' was
	normalized using `config.sub'.

	Now, let `--build' set `$build_alias' so that scripts with or
	without `AC_CANONICAL_BUILD' have the same semantics.  This allows
	to use `AC_CHECK_TOOL' without requiring `config.guess' and
	`config.sub' (which was bizarre anyway).

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): --build, --host and --target
	set `build_alias' etc.
	After the option handling, set host to $host_alias etc. for
	bugward compatibility.
	(AC_CANONICALIZE): Mutate into...
	(_AC_CANONICAL_SPLIT): this, which does not canonicalize, it just
	computes `$foo_os' etc.
	(_AC_CANONICAL_THING): Remove, too confusing.
	(AC_CANONICAL_BUILD): Adjust.
	Do not assign any value to `build_alias', just compute `build', and
	`build_{cpy, vendor, os}'.
	(AC_CANONICAL_HOST, AC_CANONICAL_TARGET): Likewise.
	(AC_CHECK_TOOL_PREFIX): Fire your rule when `$host_alias' is
	given, not when `$host != $build'.

	* acgeneral.m4 (sinclude): Fix typo.

2000-05-23  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Limitations of Builtins): More details on
	`test -n ='.

2000-05-23  Akim Demaille  <akim@epita.fr>

	Simplify the interface: users shouldn't need to explicitly check
	for special environments.

	* acspecific.m4 (AC_EXEEXT, AC_OBJEXT): AU defined to
	nothing.  Replace them by...
	(_AC_EXEEXT, _AC_OBJEXT): this.
	* aclang.m4 (AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77): Call them.
	(AC_PROG_CC_G, AC_PROG_CXX_G, AC_PROG_F77_G): Rename as...
	(_AC_PROG_CC_G, _AC_PROG_CXX_G, _AC_PROG_F77_G): this.
	Adjust dependencies.
	* tests/Makefile.am (FILTER_MACROS): Adjust.
	* doc/autoconf.texi (Compilers and Preprocessors): New section,
	move the documentation of AC_PROG_CC, AC_PROG_CC_C_O,
	AC_PROG_CC_STDC, AC_PROG_CPP, AC_PROG_CXX, AC_PROG_CXXCPP,
	AC_PROG_F77, AC_PROG_F77_C_O, AC_PROG_GCC_TRADITIONAL here.
	Factor the comment documentation of AC_PROG_CC, AC_PROG_CXX,
	AC_PROG_F77.

2000-05-23  Akim Demaille  <akim@epita.fr>

	Modernize AC_EXEEXT and AC_OBJEXT.
	Now work with other languages than C and C++.

	* acspecific.m4 (AC_EXEEXT, AC_OBJEXT): Use
	AC_COMPILE_IFELSE/AC_LINK_IFELSE and AC_LANG_PROGRAM instead of
	ad hoc code.
	Use `$ac_ext' instead of listing `.c', `.C' etc.
	Use AC_CACHE_CHECK.
	* doc/autoconf.texi (System Services): Adjust.

2000-05-23  Akim Demaille  <akim@epita.fr>

	Simplify the interface: users shouldn't need to explicitly check
	for special environments.

	* acspecific.m4	(AC_CYGWIN, AC_EMXOS2, AC_MINGW32): AU defined to
	nothing.  Replace them by...
	(_AC_CYGWIN, _AC_EMXOS2, _AC_MINGW32): these, which are
	automatically called by...
	(AC_EXEEXT): this.
	* doc/autoconf.texi (System Services, Obsolete Macros): Adjust.

2000-05-23  Akim Demaille  <akim@epita.fr>

	AC_PROG_GNU_M4 should actually be private to the package
	Autoconf.

	* acspecific.m4 (AC_PROG_GNU_M4): Move to...
	* m4/m4.m4: here.
	* m4/Makefile.am (EXTRA_DIST): Adjust.
	* doc/autoconf.texi (Particular Programs): Adjust.

2000-05-23  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Exiting from Shell Scripts): Move contents
	into...
	(Limitations of Builtins): this new node.
	Document limitations of `exit', `export' and `case'.
	Welcome the documentation of `test' from...
	(Limitations of Usual Tools): here.

2000-05-22  Akim Demaille  <akim@epita.fr>

	Load the additions *before* running AC_INIT.
	This is important if you want to redefine AC_INIT or some of its
	sub macros (eeerk!), or if you want to use user defined macros
	before AC_INIT.
	Suggested by Didier Verna.

	* acgeneral.m4 (_AC_INIT): Don't include `acsite.m4' and
	`aclocal.m4'.
	* autoconf.sh (run_m4, run_m4f): Do it.

2000-05-22  Akim Demaille  <akim@epita.fr>

	Reading the ChangeLog revealed that the recent update of
	AC_FUNC_GETLOADAVG introduced a bug which already happened (see
	Mon Nov 11 18:02:58 1996  David J MacKenzie).

	* acgeneral.m4 (AC_CHECK_LIB): Use a less tempting name:
	s/ac_save_LIBS/ac_check_lib_save_LIBS/.

2000-05-22  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_LIBOBJ_ALLOCA): New macro, extracted from...
	(AC_FUNC_ALLOCA): here.  Adjust.

2000-05-22  Akim Demaille  <akim@epita.fr>

	Add `configure --config-cache', `-C' as a shortcut for
	`--cache-file=config.cache'.

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Let `configure' support
	`--config-cache' and `-C'.
	Report them in `--help'.
	Fix the display of missing argument.
	(_AC_OUTPUT_SUBDIRS): Adjust.
	* doc/install.texi (Invoking configure): Rename the node as
	(Running configure scripts): this, the name of the chapter.
	(Operation Controls): Rename as...
	(Invoking configure): this.
	Document the new options.
	* doc/autoconf.texi (direntry): Huh?  What is this `aclocal' doing
	here?  Point to `Invoking configure'.
	(Cache Files): No need to document the disabling of the cache.

2000-05-22  Mark Elbrecht  <snowball3@bigfoot.com>,  Eli Zaretskii  <eliz@gnu.org>

	More MS-DOS support.

	* acgeneral.m4 (_AC_OUTPUT_FILES): Fix the computation of
	`ac_file_inputs' for `$ac_given_srcdir' containing a colon.
	(AC_CHECK_MEMBERS, AC_PATH_PROG): s/ac_save_ifs/ac_save_IFS/.

2000-05-22  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_FUNC_CHOWN): New macro, based on Jim
	Meyering's `chown.m4' serial 4.
	(AC_FUNC_GETGROUPS): New macro, based on Jim Meyering's
	`getgroups.m4' serial 3.
	(AC_FUNC_MEMCMP): Updated, based on Jim Meyering's `memcmp.m4'
	serial 3.
	(AC_FUNC_MALLOC): New macro, based on Jim Meyering's
	`malloc.m4' serial 3.
	(AC_FUNC_MMAP): Include `stdlib.h' when `STDC_HEADERS'.
	* acfunctions: Sort.
	Add `chown' and `malloc', point `getgroups' to `AC_FUNC_GETGROUPS'
	instead of `AC_TYPE_GETGROUPS'.
	* doc/autoconf.texi (Particular Functions): Adjust.

2000-05-22  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Quote the names being m4-defined.
	* acspecific.m4: Likewise.
	* aclang.m4: Likewise.

2000-05-22  Akim Demaille  <akim@epita.fr>

	Factor the AC_PROG_<compiler>_WORKS macros.

	* acgeneral.m4 (_AC_INIT_DEFAULTS): Set `cross_compiling'.
	(AC_TRY_COMPILER): Remove.
	* aclang.m4 (AC_PROG_CC_WORKS, AC_PROG_CXX_WORKS,
	AC_PROG_F77_WORKS): Removed.
	(_AC_LANG_COMPILER_WORKS): New macro.
	(AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77): Adjust.

2000-05-22  Akim Demaille  <akim@epita.fr>

	* aclang.m4: Formatting changes.

2000-05-22  Akim Demaille  <akim@epita.fr>

	More than one argument to `configure' builds a broken
	`config.status'.  Fix and test.

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Use
	`$ac_configure_args' directly, not via a tmp variable.
	* tests/torture.m4 (command line interface): Test with more than
	one argument.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_MSG_WARN): s/warning/WARNING/.
	* autoheader.sh: Likewise.
	From Franc,ois Pinard.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_PACKAGE): Rename as _AC_INIT_PACKAGE.
	(AC_INIT): Dispatch arguments either to _AC_INIT_PACKAGE or
	to AC_CONFIG_SRCDIR.
	(AU::AC_INIT): New.
	* configure.in: Adjust.
	Use `#', not `dnl'.
	* doc/autoconf.texi (configure.in Layout): Document the new form
	of AC_INIT.
	Document AC_CONFIG_SRCDIR.
	(Obsolete Macros): Document the old one.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Simplify all the unjustified `[\$]foo' into
	`\$foo', the quotes are needed only for `\$[1]', `\$[@]' etc.
	Prefer `$$1' to `[$]$1', `$foo' to `[$]foo', `$[1]' to `[$]1' etc.
	* aclang.m4: Likewise.
	* acspecific.m4: Likewise.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_TRY_COMPILER): Fix quotation.

2000-05-19  Akim Demaille  <akim@epita.fr>

	Fix Autoconf/123.

	* libm4.m4: Rename `symbols' as `m4_symbols'.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_PROG_CC_GNU, AC_PROG_CXX_GNU, AC_PROG_F77_GNU):
	Rename as:
	(_AC_PROG_CC_GNU, _AC_PROG_CXX_GNU, _AC_PROG_F77_GNU): these.
	Compute the value of GCC, GXX and G77 here.
	Set to `no' (instead of empty) if not the GNU compiler.
	(AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77): Adjust.
	* doc/autoconf.texi: Adjust.

2000-05-19  Akim Demaille  <akim@epita.fr>

	Fix Autoconf/106.

	* aclang.m4 (AC_PROG_F77): Follow strictly the same scheme as
	AC_PROG_CC to compute the default FFLAGS.

2000-05-19  Akim Demaille  <akim@epita.fr>

	Either we cross-compile the whole package, or we don't.
	Using --host enables cross-compilation.

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): `--host' enables cross
	compilation.
	(AC_CANONICAL_BUILD): The help string should explicitly mention
	cross compilation.
	* aclang.m4 (AC_LANG(C), AC_LANG(C++), AC_LANG(Fortran 77)): Don't
	set `cross_compiling'.
	(AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77): Run your `WORK' partner
	only if not cross-compiling.
	(AC_PROG_CC_WORKS, AC_PROG_CXX_WORKS, AC_PROG_F77_WORKS):
	If does not work, don't assume an implicit cross-compilation:
	fail.
	* doc/autoconf.texi: Adjust.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SHELL_UNSETENV, AC_SHELL_UNSET): Add the
	missing quotes.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Prefer
	case $foo in
	*[^-a-zA-Z0-9_]*) AC_ACTION;;
	esac
	over
	if echo "$foo" | grep '[^-a-zA-Z0-9_]' >/dev/null 2>&1; then
	AC_ACTION
	fi

2000-05-19  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Testing Values and Files): Delete, move its
	content into...
	(Limitations of Usual Tools::test): here.
	Document more limitations.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_LIBOBJ_GETLOADAVG): New macro, extracted from
	(AC_FUNC_GETLOADAVG): here.
	Use it.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SPECIALIZE): Avoid a useless `indir'.
	(AC_CHECK_MEMBER, AC_CHECK_MEMBERS): Fix to work properly on
	`struct f.g.h'.
	* acspecific.m4 (AC_FUNC_GETLOADAVG): Use AC_CHECK_HEADERS and
	AC_CHECK_MEMBERS instead of performing their task by hand.

2000-05-19  Akim Demaille  <akim@epita.fr>

	Synchronize AC_FUNC_GETLOADAVG with the version of the shellutils
	1.16f (serial 4).

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Check for
	`pstat_getdynamic'.
	Define `C_GETLOADAVG' if compiling `getloadavg.c'.
	Check for NLS.
	Compute `GETLOADAVG_LIBS'.
	(AC_FUNC_MKTIME): Remove a forgotten `AC_SUBST(LIBOBJS)'.

2000-05-19  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_SHELL_UNSET, AC_SHELL_UNSETENV): New macro.
	(_AC_INIT_PREPARE_ENVIRONMENT): Use AC_SHELL_UNSETENV.
	Set CDPATH.  Fixes Autoconf/96.

	* doc/autoconf.texi (Special Shell Variables): New node.
	Document `status', `CDPATH', `LANG', `LC_ALL', `LC_MESSAGES' and
	`LC_CTYPE'.

2000-05-12  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (sinclude): Define, some packages (binutils) need
	it.

2000-05-12  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Invoking config.status): Move the
	documentation of the envvar CONFIG_(FILES, HEADERS, COMMANDS,
	LINKS) to
	(Obsolete config.status Use): here.

2000-05-12  Paul Eggert  <eggert@twinsun.com>

	* doc/autoconf.texi (Exiting from Shell Scripts): New node.
	(Autoconf Language): Follow the advice in the new node.

2000-05-12  Peter Eisentraut  <peter_e@gmx.net>

	* doc/autoconf.texi: Fix typos.

2000-05-11  Akim Demaille  <akim@epita.fr>

	AC_CONFIG_SUBDIRS needs two lists: one, ac_subdirs_all, which
	contains all the possible subdirs for `--help=recursive', and
	another, `subdirs' which can be built dynamically for launching
	sub configurations.

	* acgeneral.m4 (AC_CONFIG_SUBDIRS): Define `subdirs' dynamically.
	Define `ac_subdirs_all' statically.
	Warn if the argument is not a literal.
	(AC_LIST_SUBDIRS): Rename as...
	(_AC_LIST_SUBDIRS): this.
	(_AC_INIT_HELP): Loop over `ac_subdirs_all', not `subdirs'.
	(_AC_OUTPUT_SUBDIRS): Loop over `subdirs', not `AC_LIST_SUBDIRS'.
	* doc/autoconf.texi (Subdirectories): Adjust.

	* acgeneral.m4: Replace all the `test ! -d foo && bar' with
	`test -d foo || bar'.

	* Makefile.am (.m4.m4f): Stop hiding what you're doing.
	Don't check for GNU m4, let it die.

2000-05-11  Akim Demaille  <akim@epita.fr>

	The Associated Rewriters are even prouder to present...
		  .
		  |
		  |
		 /-\
		/   \
		)===(   U  T  O  U  P  D  A  T  E    I V
	       //   \\
	      =========
	    _//_     _\\_      The ``Eiffel Tower'' Release

	* autoupdate.sh: Complete rewrite.  See that file for a detailed
	explanation.  Basically, simulate the name spaces thanks to
	`autoconf --trace' and auxiliary files.
	No longer use `autoupdate.m4', remove the dependencies.
	Synchronize the options and `--help'.
	* doc/autoconf.texi (Invoking autoupdate): Humanoupdate.
	* autoupdate.m4: Delete.
	* tests/Makefile.am (FILTER_MACROS): Add `AC_OUTPUT'.
	Since `AC_OUTPUT' is now AU_DEFUN'd, it is extracted for testing,
	while it was not before.
	* tests/tools.m4 (autoupdate): Re-enable.  Adjust the expected
	output with the right quotation (yeah!).
	Pass `-m $top_srcdir': autoupdate wants the `.m4' files, not the
	frozen files.
	* Makefile.am (nodistpkgdataDATA): Move `acversion.m4' to
	(distpkgdataDATA): here, so that all the `.m4' files are in the
	source hierarchy, not split across src and build.
	* acversion.m4.in: Update to today's standards.
	* Makefile.am: Adjust.

2000-05-11  Akim Demaille  <akim@epita.fr>

	* libm4.m4: Be robust to multiple inclusion.
	Have the first `changequote' robust to the current quotation
	system.
	Always quote the first argument of `define'.

2000-05-11  Akim Demaille  <akim@epita.fr>

	The Associated Rewriters are proud to present...

	      ^
	     / \  U  T  O  U  P  D  A  T  E    I I I
	    /===\
	   /     \      It bells, It whistles...

	* autoupdate.sh: Complete rewrite.  See that file for a detailed
	explanation.
	* acgeneral.sh: Don't use AU_DEFINE, but AU_DEFUN.
	(AC_OUTPUT_COMMANDS_CNT): Renamed as...
	(_AC_OUTPUT_COMMANDS_CNT): this.

2000-05-11  Akim Demaille  <akim@epita.fr>

	Get rid of the m4 name spaces.

	* libm4.m4 (m4_changequote, m4_define, m4_defn, m4_dnl, m4_indir,
	m4_popdef, m4_pushdef, m4_undefine, m4_namespace_push,
	m4_namespace_pop, m4_namespace_register, m4_namespace_define,
	m4_disable, m4_enable):	Removed.
	All dependencies adjusted.
	* libm4.m4: Remove all the name space initialization.
	* acgeneral.m4: Adjust.
	(AU_DEFINE): Redefine as `AC_DEFUN'.
	* autoupdate.m4: Adjust.
	* tests/tools.m4: Temporarily disable the `autoupdate' test.

2000-05-11  Akim Demaille  <akim@epita.fr>

	Eradicate AC_TRY_COMPILE.

	* aclang.m4 (AC_PROG_CC_STDC, AC_C_BIGENDIAN, AC_C_INLINE,
	AC_C_CONST, AC_C_VOLATILE, AC_F77_NAME_MANGLING): Use
	`AC_COMPILE_IFELSE'.
	* acspecific.m4 (AC_DECL_SYS_SIGLIST, _AC_CHECK_HEADER_DIRENT,
	AC_HEADER_SYS_WAIT, AC_HEADER_TIME, AC_TYPE_SIGNAL,
	AC_FUNC_GETLOADAVG, AC_FUNC_SELECT_ARGTYPES, AC_STRUCT_TM,
	AC_CYGWIN, AC_MINGW32, AC_EMXOS2): Likewise.
	* tests/semantics.m4 (C keywords): Check that AC_C_CONST,
	AC_C_VOLATILE, and AC_C_INLINE function properly with GCC.

2000-05-11  Akim Demaille  <akim@epita.fr>

	Replace AC_LANG_SAVE/AC_LANG_RESTORE with AC_LANG_PUSH/AC_LANG_POP.

	* aclang.m4 (_AC_LANG_CURRENT, AC_LANG_STACK): You two are the same
	thing, which now we shall name `_AC_LANG'.
	All users adjusted.
	(AC_LANG_PUSH, AC_LANG_POP): New macros.
	(AC_LANG_SAVE, AC_LANG_RESTORE): AU defined.
	(AC_PROG_CC_WORKS, AC_PROG_CXXCPP, AC_PROG_CXX_WORKS,
	AC_PROG_F77_WORKS, AC_F77_LIBRARY_LDFLAGS, AC_F77_NAME_MANGLING):
	Use them.
	(AC_F77_LIBRARY_LDFLAGS): Move the requirements to its top.
	* doc/autoconf.texi (Language Choice): Document them.
	(Old Macros): Welcome AC_LANG_SAVE and AC_LANG_RESTORE.

2000-05-11  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_F77_LIBRARY_LDFLAGS): Less adventurous use of
	`test'.
	Fixes Autoconf/108.

2000-05-11  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Particular Headers): Some more sorting.
	Use `@multitable'.

2000-05-11  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (_AC_CHECK_HEADER_DIRENT): Use more modern
	Autoconf idioms.
	(_AC_CHECK_HEADERS_DIRENT): Removed, instead...
	(AC_HEADER_DIRENT): Handle the loop.

2000-05-11  Akim Demaille  <akim@epita.fr>

	Provide a means to track the dependencies of files created by
	`configure'.

	* acgeneral.m4 (AT_FILE_DEPENDENCY, _AC_CONFIG_DEPENDENCY,
	_AC_CONFIG_DEPENDENCIES): New macros.
	(AC_CONFIG_FILES, AC_CONFIG_HEADERS, AC_CONFIG_LINKS): Use them.

2000-05-11  Akim Demaille  <akim@epita.fr>

	Merge AC_DECL_YYTEXT into AC_PROG_LEX.

	* acgeneral.m4 (AC_DECL_YYTEXT): Rename as
	(_AC_DECL_YYTEXT): this.
	(AC_PROG_LEX): Use it.
	(AC_DECL_YYTEXT): New AU macro.
	* doc/autoconf.texi: Adjust.

2000-05-10  Akim Demaille  <akim@epita.fr>

	* aclang.m4 (AC_F77_NAME_MANGLING): Use AC_COMPILE_IFELSE.
	Move the requirements to the top of the macro.

2000-05-10  Akim Demaille  <akim@epita.fr>

	Update and polish the documentation.

	* doc/autoconf.texi: Use @sc where upper case names were used.
	Remove a few useless `dnl'.
	Convert some `dnl' into comments.
	Promote `$(foo)' in Makefiles, not `${foo}'.
	Promote `$foo' in shell scripts, not `${foo}'.
	Promote `foo = bar' in Makefiles, not `foo=bar'.
	(Language Choice): Document `AC_LANG', move `AC_LANG_C',
	`AC_LANG_CPLUSPLUS' and `AC_LANG_FORTRAN77' to
	(Old Macros): here.
	* doc/install.texi: Fix a typo in the specification of the system
	quadruples.

2000-05-10  Akim Demaille  <akim@epita.fr>

	* libm4.m4 (m4_foreach): Rewritten so that it does not require
	lists in between parens.
	(m4_foreach_quoted): new copy of the previous `m4_foreach' which
	is still used by `m4_wrap'.
	* acgeneral.m4 (AC_INCLUDE, AC_INCLUDES): Removed.
	(AC_FOREACH): Don't use parens with `m4_foreach'.
	(AC_CHECK_MEMBER, AC_CHECK_DECLS, AC_CHECK_TYPES): Adjust the
	description.
	* acspecific.m4 (AC_STRUCT_TIMEZONE, AC_STRUCT_ST_BLKSIZE,
	AC_STRUCT_ST_BLOCKS, AC_STRUCT_ST_RDEV): Adjust.
	* autoconf.texi (AC_CHECK_MEMBER, AC_CHECK_DECLS, AC_CHECK_TYPES):
	Adjust their documentation.
	(AC_INCLUDE): Undocument.
	* tests/semantics.m4: Adjust.
	* tests/actest.m4: Rename as...
	* tests/aclocal.m4: this.
	* tests/atspecific.m4: No longer include actest.m4.
	* tests/torture.m4: Likewise.
	* tests/Makefile.am: Adjust.

2000-05-10  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Obsolete Macros): Document `AU_DEFUN'.
	Move the documentation of `AC_OBSOLETE' from here, to...
	(Old Macros): here.
	* acspecific.m4 (AC_STRUCT_ST_BLKSIZE, AC_STRUCT_ST_RDEV):
	AU_DEFUN'd.

2000-05-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LIBOBJ_DECL, AC_LIBOBJ): New macros.
	(AC_REPLACE_FUNCS): Use AC_LIBOBJ.
	* acspecific.m4 (AC_FUNC_MKTIME, AC_FUNC_MEMCMP,
	AC_STRUCT_ST_BLOCKS): Use AC_LIBOBJ.
	* doc/autoconf.texi : Adjust so that the user is not encouraged to
	use LIBOBJS directly.
	(Generic Functions): Document AC_LIBOBJ_DECL and AC_LIBOBJ.

2000-05-09  Jim Meyering  <meyering@lucent.com>

	* acgeneral.m4 (AC_SEARCH_LIBS): Remove double quotes around `no'.

2000-05-09  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_FILES): Don't automatically spit
	`Generated by...' in Makefiles.
	Fixes Autoconf/102.

2000-05-09  Akim Demaille  <akim@epita.fr>

	Let `config.status' use a private temp dir.
	Suggested by Jim Meyering.

	* acgeneral.m4 (_AC_SHELL_TMPDIR): New macro.
	(_AC_OUTPUT_CONFIG_STATUS): Use it.
	Use more quoted here docs to improve readability.
	Compute `$me' and use it in the error messages.
	Define `$configure' and `$configure_args' to avoid continuously
	mixing the uses of `configure' and `config.status' evaluation in a
	single line.
	Define `$SHELL' and use it.
	Simplify all the unjustified `[\$]foo' into `\$foo', the quotes
	are needed only for `\$[1]', `\$[@]' etc.
	Replace all the uses of `ac_cs_root' with files in the tmp dir of
	`config.status'.
	Remove a few `rm' covered by the removal of the `$tmp' dir.
	Let `config.status' support `--debug'.
	(_AC_INIT_PREPARE): Avoid the leading space in `ac_configure_args'.
	* doc/autoconf.texi (Invoking config.status): Adjust.

2000-05-05  Jim Meyering  <meyering@lucent.com>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Set up traps to remove
	temporaries upon exit, too, not just upon receipt of signal.

2000-05-05  Akim Demaille  <akim@epita.fr>

	AC_CHECK_PROG macro fails if REJECT value is set under Digital
	Unix 4.0x and 5.0 because `"$@"' expands into an empty parameter
	(instead of nothing) when there are no positional parameters.
	From Nicolas Joly.

	* acgeneral.m4 (AC_CHECK_PROG, AC_CHECK_PROGS): Prefer
	`$$1' to `[$]$1', `$foo' to `[$]foo', `$[1]' to `[$]1', and
	`${1+"$[@]"}' to `"[$]@"'.

2000-05-04  Akim Demaille  <akim@epita.fr>

	AC_PREREQ understands `2.14a' as `2.141'.
	Reported by Didier Verna.

	* acgeneral.m4 (AC_PREREQ): Don't quote AC_ACVERSION.

2000-05-04  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AH_TOP, AH_BOTTOM): New macros.
	(_AH_COUNTER): New variable.
	* tests/tools.m4 (autoheader): Check their proper functioning.

2000-05-04  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Obsolete Macros): Rename as...
	(Obsoleting Macros): this.
	(Old Macros): Rename as...
	(Obsolete Macros): this.
	Be a section of...
	(Obsolete Constructs): New chapter.
	(Invoking autoheader): Move the `acconfig.h' documentation to...
	(acconfig.h): here, new section of `Obsolete Constructs'.
	(Autoheader Macros): Document AH_VERBATIM, AH_TEMPLATE, AH_TOP and
	AH_BOTTOM.

2000-05-03  Nicolas Joly  <njoly@pasteur.fr>

	* autoheader.sh (config_h): Sort the templates.
	Under NetBSD 1.4.1 /bin/sh `set' command does not return a sorted
	variables list.

2000-05-03  Akim Demaille  <akim@epita.fr>

	* tests/tools.m4 (autoheader): Don't pass `-l at_srcdir' to
	`autoheader', since `acconfig.h' is created in the build dir.
	There's one empty line less in `config.h.in' than before when
	using `acconfig.h'.

2000-05-03  Akim Demaille  <akim@epita.fr>

	Simplify the handling of `acconfig.h'.

	* autoheader.sh: No longer try to select the needed paragraphs of
	`acconfig.h', just dump everything into `config.h.in'.
	Implement support for `--warnings'.
	Warn the users that these auxiliary files are obsolete when `-W
	obsolete'.
	* doc/autoconf.texi (Invoking autoheader): Adjust.

2000-05-03  Akim Demaille  <akim@epita.fr>

	Support of acconfig.h was broken.  Fix and test.
	Reported by Jim Meyering.

	* autoheader.sh: Trace AC_DEFINE and AC_DEFINE_UNQUOTED to build
	the list of $syms which are defined.
	* tests/tools.m4 (autoheader): New test.

2000-05-03  Akim Demaille  <akim@epita.fr>

	Rename the language FORTRAN77 as Fortran 77.

	* aclang.m4 (AC_LANG(FORTRAN77), AC_LANG_SOURCE(FORTRAN77),
	AC_LANG_PROGRAM(FORTRAN77), AC_LANG_CALL(FORTRAN77)): Rename as...
	(AC_LANG(Fortran 77), AC_LANG_SOURCE(Fortran 77),
	AC_LANG_PROGRAM(Fortran 77), AC_LANG_CALL(Fortran 77)): This.
	(AC_LANG_FORTRAN77): Adjust.

2000-05-03  Akim Demaille  <akim@epita.fr>

	Provide a macro to canonicalize a configuration name.
	Suggested by Ralf Corsepius.

	*  acgeneral.m4 (AC_CANONICALIZE): New macro.
	(_AC_CANONICAL_THING): Use it.


	Change the defaults for build, host, and target systems:
	build  defaults to `config.guess`.
	host   defaults to $build.
	target defaults to $host.
	Suggested by Mo DeJong, Pavel Roskin, Tom Tromey, Ian Lance
	Taylor, and many others.

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Set `$build', `$host' and
	`$target' to nothing instead of NONE.
	(AC_CANONICAL_SYSTEM): AU_DEFUN'd as `AC_CANONICAL_TARGET'.
	(_AC_CANONICAL_THING): Use an explicit m4_case to set the defaults
	depending upon the THING.
	Implement the default values.
	(AC_CANONICAL_TARGET): Handle the `AC_ARG_PROGRAM' part
	`AC_CANONICAL_SYSTEM' used to provide.
	* doc/autoconf.texi: Adjust.


	When receiving an explicit argument, consider this is a default
	for --build, --host and --target (unless set).
	Some scripts might still depend on this historical syntax.
	Suggested by Alexandre Oliva.

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Do that.
	(_AC_CANONICAL_THING): Drop the support of `$nonopt'.


	Documenting --build, --host and --target when configure does not
	handle them causes confusion.
	Suggested by Pavel Roskin.
	Nevertheless configure must not die on such an `unsupported'
	option: it does happen that people build an entire tree of
	packages, some of them expecting `--host' etc. some others not.
	Stressed by Tom Tromey and Ian Lance Taylor.

	* acgeneral.m4 (HELP_CANON): New diversion.
	(_AC_INIT_PARSE_ARGS): Don't document these options.
	(AC_CANONICAL_BUILD, AC_CANONICAL_HOST, AC_CANONICAL_TARGET):
	Document your associated option.

2000-04-28  Akim Demaille  <akim@epita.fr>

	Don't double quote in AC_MSG_*.

	* acgeneral.m4 (_AC_SH_QUOTE): Don't double quote.  Escape the
	double quotes too.
	(_AC_ECHO_UNQUOTED): Don't double quote :).
	(_AC_ECHO, _AC_ECHO_N): Quote the call to _AC_SH_QUOTE.

	The autoheader chain needs to be adjusted.

	* acgeneral.m4 (AH_VERBATIM): Just pass two arguments to AH_OUTPUT
	instead of trying to build what `autoheader' needs: let it handle
	the format by itself.
	* autoheader.m4: Adjust.
	s,tmp/config.h,tmp/config.hin.

	The adjustment revealed that `autoconf --trace' is not robust to
	single quotes in its argument.

	* autoconf.sh: Fix this issue.
	Rename the escape `$*' as `$%'.  Implement `$@'.
	* doc/autoconf.texi: Adjust.

2000-04-28  Akim Demaille  <akim@epita.fr>

	mawk suffers a severe performance loss when using `sub' with a
	changing value.  On the `configure' script of the fileutils:
	mawk '{ sub (/foo/, foo++) }'                  -> 14s.
	mawk '{ if ($0 ~ /foo/) sub (/foo/, foo++) }'  -> 0.03s.
	mawk '{ sub (/foo/, foo) }'                    -> 0.03s.

	* autoconf.sh (task script, AWK script): Run `sub (__oline__,
	oline)' only in the lines that match `__oline__'.
	Suggested by Paul Eggert.

2000-04-28  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (options handling::-W*): Strip two leading chars, not
	just one.

2000-04-20  Dave Love  <fx@gnu.org>

	* acspecific.m4 (AC_FUNC_MKTIME): Use AC_SUBST.

2000-04-12  Akim Demaille  <akim@epita.fr>

	Provide a fine grained control over autoconf's warnings.

	* acgeneral.m4 (AC_WARNING_IFELSE, _AC_DIAGNOSE, AC_DIAGNOSE):
	New macros.
	(AC_DEFUN_ONCE, AC_OBSOLETE, AC_BEFORE, AU_DEFUN, AC_PREREQ,
	AC_WARNING, AC_FATAL, AC_TRY_RUN): Use AC_DIAGNOSE.
	* autoconf.sh: Provide support for `--warnings', `-W'.
	* doc/autoconf.texi (Invoking autoconf): Adjust.
	(Reporting Messages): New section.

2000-04-12  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_HELP): Move --srcdir in the first
	section.
	Document --help=short and recursive.
	Split the `Directory' section into `Installation directories' for
	--prefix and --exec-prefix, and all the others into `Fine tuning
	of the installation directories'.
	In the latter, don't repeat `in DIR', the user understands, and it
	comes out better.
	Default for --exec-prefix is PREFIX.
	Reported by Kathryn Hargreaves.
	Move --host before --build.
	Fix a test on `$ac_init_help' which was not updated.

2000-04-11  Akim Demaille  <akim@epita.fr>

	Have `make check' succeed with CC=g++.

	* tests/atspecific.m4 (AT_TEST_MACRO): Don't check `env-after' if
	the file does not exist, which may happen when a `configure' exits
	brutally.
	* tests/semantics.m4 (AC_CHECK_MEMBERS, AC_CHECK_TYPES): ANSI C++
	forbids members named like their hosting struct, so don't do it.

2000-04-11  Akim Demaille  <akim@epita.fr>

	* autoscan.pl: Reindent using 2 spaces, not 4.
	Use `#' to denote Autoconf comments, not `dnl'.
	Put a few `\' here and there to avoid misfontification and
	misindentation.
	Use your base name when reporting errors.
	(parse_args::usage): Use $0, use the same order as the other
	executables.
	(parse_args): Don't dump `--help' on cmd line errors.

2000-04-11  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_PROVIDE_IF): Rename as...
	(AC_PROVIDE_IFELSE): this.  Change all callers.
	Spread the use of AC_PROVIDE_IFELSE, no macro should know how
	AC_PROVIDE names its internal variables.

2000-04-11  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Simplify all the `foo="$bar"' into `foo=$bar'.
	* acspecific.m4: Likewise.
	* aclang.m4: Likewise.

2000-04-11  Akim Demaille  <akim@epita.fr>

	Move obsolete macros' definitions out of the way.

	* doc/autoconf.texi (Old Macro Names): Rename as...
	(Old Macros): this.  Change the @table enumeration into a list of
	@defmac.
	(AC_CHECKING, AC_CHECK_TYPE, AC_COMPILE_CHECK, AC_C_CROSS,
	AC_DYNIX_SEQ, AC_HAVE_LIBRARY, AC_IRIX_SUN, AC_LINK_FILES,
	AC_OUTPUT, AC_OUTPUT_COMMANDS, AC_SCO_INTL, AC_VERBOSE,
	AC_XENIX_DIR): Move their descriptions into here.
	Kill a few TeX warnings.

2000-04-11  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_MSG_ERROR_UNQUOTED): Remove.
	(AC_MSG_RESULT, AC_MSG_RESULT_UNQUOTED): Output to the log too.
	(AC_CHECKING, AC_VERBOSE): AU_ define.

2000-04-07  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4:	s/1>&/>&/g.
	(AC_FD_LOG): New macro, replaces...
	(AC_FD_CC): this.  Provide an AU definition.
	(_AC_ECHO_UNQUOTED, _AC_ECHO_N): Use m4_default.

2000-04-05  Akim Demaille  <akim@epita.fr>

	At the end of `./configure', save the cache values, and the CPP
	values.

	* acgeneral.m4 (_AC_CACHE_DUMP): New macro.
	(AC_CACHE_SAVE, AC_OUTPUT): Use it.
	(AC_OUTPUT): Dump confdefs.h into config.log.
	(_AC_INIT_PREPARE::config.log): Name the package being configured
	if you can.

2000-04-05  Steven G. Johnson  <stevenj@alum.mit.edu>

	Disable caching by default, so as not to cause problems when
	newbies accidentally use a stale cache file.

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Set cache_file to /dev/null
	to disable caching by default.
	(_AC_INIT_HELP): Adjust the --help message.
	(AC_CACHE_LOAD, AC_CACHE_SAVE): Don't print "loading/updating
	/dev/null" messages.
	* autoconf.texi: Note that caching is disabled, how to enable it,
	and that `./config.cache' is the traditional name of the cache file.
	* install.texi: Likewise.

2000-04-03  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): If any option waiting for a
	directory receives a relative path, die (bindir, sbindir,
	libexecdir, datadir, sysconfdir, sharedstatedir, localstatedir,
	libdir, includedir, oldincludedir, infodir, mandir, exec_prefix,
	prefix).  Fixes Autoconf 42.

2000-04-03  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Canonicalizing): Officially recognize
	AC_CANONICAL_TARGET and AC_CANONICAL_BUILD.

2000-04-03  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Writing configure.in): Explain what Autoconf
	is.  Explain how to use the quotation scheme used in Autoconf.
	(Quoting): Update.  Do not advocate changequote.

2000-03-30  Steven G. Johnson  <stevenj@alum.mit.edu>

	Fix F77 name-mangling macros to work with cached values (so
	they don't break the second time you run configure).

	* aclang.m4 (AC_F77_NAME_MANGLING): Extract f77_case,
	f77_underscore from cache variable.
	(AC_F77_WRAPPERS): Get rid of ac_cv_f77_wrappers, it's useless.
	Simplify the nested case-esac into a single one.
	Simplify the documentation strings of CPP symbols.

2000-03-31  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Fix the accumulation in
	CONFIG_HEADERS.

2000-03-31  Akim Demaille  <akim@epita.fr>

	* autoheader.sh: Catch up with the `mktemp -d' changes in
	autoconf.sh.
	* autoupdate.sh: Likewise.

2000-03-31  Steven G. Johnson  <stevenj@alum.mit.edu>

	* aclang.m4 (AC_F77_LIBRARY_LDFLAGS): bug fix in F77 test program
	(missing whitespace--F77 requires program statements to start in
	column 7).

2000-03-29  Akim Demaille  <akim@epita.fr>

	Rewrite the autoheader chain on top of `autoconf --trace'.

	* autoheader.m4: Dispatch the prototypes next to there AC_
	siblings.
	(AH_TEMPLATE, AH_VERBATIM): Move to...
	* acgeneral.m4: here.
	(AH_OUTPUT): New macro.
	* autoheader.sh: Run `autoconf --trace' instead of `m4 autoheader.m4'.
	* autoheader.m4: Remove.
	* Makefile.am: Adjust.
	* tests/tools.m4 (AH_DEFUN): Remove, no longer makes sense.
	* tests/actests.m4 (autoheader::AC_TATOOINE): Remove, was used by
	the test above.

2000-03-29  Akim Demaille  <akim@epita.fr>

	silent.m4 depends upon the current quotation in m4, which changes
	if `-i' is used or not.

	* autoconf.sh (trace::silent.m4): Removed.
	(trace::run_m4_trace): Pass -Derrprint.

2000-03-29  Akim Demaille  <akim@epita.fr>

	Use `mktemp -d' when possible to create securely a tmp work dir.

	* autoconf.sh: Use it when possible to create the dir $tmp.
	Stop using variables for tmp files, use their names in $tmp.
	[install]: Use the new features of autoconf --trace.

2000-03-28  Akim Demaille  <akim@epita.fr>

	Probably all the versions of bash up to 2.04 fail on
	  fnmatch ("/tmp", "[/\\\\]")
	The backslash must not be last.

	* acgeneral.m4 (_AC_INIT_HELP, AC_PATH_PROG, _AC_OUTPUT_FILES,
	_AC_OUTPUT_LINKS, _AC_OUTPUT_SUBDIRS): Always make `\\' be the
	first character in all the `[]' of `case' patterns.

2000-03-27  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_CHECK_TOOL_PREFIX): Rename back as
	AC_CHECK_TOOL_PREFIX since some packages rely on it.

2000-03-27  Akim Demaille  <akim@epita.fr>

	Move all the language dependent macros into aclang.m4.

	* aclang.m4: New file.
	* autoconf.m4: Include it.
	* autoheader.m4: Likewise.
	* autoupdate.m4: Likewise.
	* Makefile.am: Adjust.
	* test/Makefile.am: Likewise.
	* acgeneral.m4 (AC_LANG_CASE,AC_LANG_SAVE, _AC_LANG_DISPATCH,
	AC_LANG, _AC_LANG_CURRENT, AC_LANG_SOURCE, AC_LANG_PROGRAM,
	AC_LANG_CALL, AC_LANG(C), AC_LANG_SOURCE(C), AC_LANG_PROGRAM(C),
	AC_LANG_CALL(C), AC_LANG(C++), AC_LANG_SOURCE(C++),
	AC_LANG_PROGRAM(C++), AC_LANG_CALL(C++), AC_LANG(FORTRAN77),
	AC_LANG_SOURCE(FORTRAN77), AC_LANG_PROGRAM(FORTRAN77),
	AC_LANG_CALL(FORTRAN77): Move to...
	* aclang.m4: here.
	* acspecific.m4 (AC_PROG_CC, AC_PROG_CXX, AC_PROG_F77,
	AC_PROG_CC_WORKS, AC_PROG_CXX_WORKS, AC_PROG_F77_WORKS,
	AC_PROG_CC_GNU, AC_PROG_CXX_GNU, AC_PROG_F77_GNU, AC_PROG_CC_G,
	AC_PROG_CXX_G, AC_PROG_F77_G, AC_PROG_GCC_TRADITIONAL,
	AC_PROG_CC_C_O, AC_PROG_F77_C_O, AC_PROG_CC_STDC, AC_PROG_CPP,
	AC_PROG_CXXCPP, AC_REQUIRE_CPP, AC_PROG_LEX, AC_TYPE_MODE_T,
	AC_C_CROSS, AC_C_CHAR_UNSIGNED, AC_C_LONG_DOUBLE, AC_C_BIGENDIAN,
	AC_C_INLINE, AC_C_CONST, AC_C_VOLATILE, AC_C_STRINGIZE,
	AC_C_PROTOTYPES, AC_F77_LIBRARY_LDFLAGS, AC_F77_NAME_MANGLING,
	AC_F77_WRAPPERS): Move to...
	* aclang.m4: here.

2000-03-27  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (trace): Let translate_awk do the whole translation
	from `$trace' to the m4 program.

2000-03-27  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_PACKAGE): Also define AC_PACKAGE_STRING.
	Use it here and there.

2000-03-27  Ralf Corsepius  <corsepiu@faw.uni-ulm.de>

	* acgeneral.m4 (_AC_INIT_HELP, _AC_OUTPUT_SUBDIRS): Fix the DOS
	absolute path pattern: s/?:[[/\\]]/?:[[/\\]]*/.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_CANONICAL_TARGET, _AC_CANONICAL_BUILD): Rename
	as (AC_CANONICAL_TARGET, AC_CANONICAL_BUILD), although internal,
	too much foreign code depends upon them.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (translate_awk): `> "/dev/stderr"' is not portable
	to systems without a real /dev/stderr in the file system or if not
	using one of the three free awks.  Use
	print message | "cat >&2"
	...
	END { close("cat >&2") }
	From Aharon Robbins.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* autoheader.sh (checking completeness): Be ready to recognize
	patterns with a value, and spaces between `#' and the directive, e.g.
	# define FOO FIXME:
	Reported by John Fortin.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_RUN_IFELSE): New macro.
	(AC_TRY_RUN_NATIVE): Remove.
	(AC_TRY_RUN): Use AC_RUN_IFELSE, not AC_TRY_RUN_NATIVE.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_CHECK_LIB): Ah ah!  I recognized you, even
	masked: you are AC_TRY_LINK_FUNC.
	Fix quotation.
	(AC_SEARCH_LIBS): Use AC_SHELL_IFELSE.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* tests/semantics.m4 (AC_TRY_LINK_FUNC, AC_CHECK_LIB): New tests.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LANG_CALL, AC_LANG_CALL(C), AC_LANG_CALL(C++),
	AC_LANG_CALL(FORTRAN77)): New macros.
	(AC_TRY_LINK_FUNC): Use it.
	(AC_TRY_CPP): Argument was output twice.
	(AC_COMPILE_IFELSE, AC_LINK_IFELSE): Output $3 only if needed.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_TRY_COMPILER): Use AC_LINK_IFELSE.
	(AC_TRY_LINK_FUNC, AC_CHECK_LIB, AC_CHECK_FUNC): Don't check that
	the current language is C++ to output `extern "C"': the CPP
	condition is enough.

2000-03-25  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LINK_IFELSE, AC_COMPILE_IFELSE): New macros.
	(AC_TRY_LINK, AC_TRY_COMPILE): Use them.
	(AC_CHECK_MEMBER, AC_COMPILE_CHECK, AC_CHECK_DECL,
	_AC_CHECK_TYPE_NEW): Adjust.
	* acspecific.m4 (AC_DECL_YYTEXT, AC_PATH_XTRA): Adjust.

2000-03-23  Steven G. Johnson  <stevenj@alum.mit.edu>

	* acspecific.m4 (AC_F77_NAME_MANGLING): Need to use
	AC_F77_LIBRARY_LDFLAGS when linking C and Fortran code.

2000-03-23  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LANG_PROGRAM, AC_LANG_PROGRAM(C),
	AC_LANG_PROGRAM(C++), AC_LANG_PROGRAM(FORTRAN77)): New macros.
	(AC_TRY_COMPILE, AC_TRY_LINK): Use them.

2000-03-23  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Support --help={long, short,
	recursive}.
	(_AC_INIT_HELP): Propagate --help=recursive to CONFIG_SUBDIRS.
	Code stolen from...
	(AC_OUTPUT_SUBDIRS): s/ac_config_dir/ac_subdir/g.

2000-03-23  Lars J. Aas  <larsa@sim.no>

	* libm4.m4 (m4_do): New macro.

2000-03-21  Akim Demaille  <akim@epita.fr>

	Provide a language independent means to generate language specific
	programs.

	* acgeneral.m4 (_AC_LANG_DISPATCH): New macro.
	(AC_LANG): Use it.
	(AC_LANG_SOURCE, AC_LANG_SOURCE(C), AC_LANG_SOURCE(C++),
	AC_LANG_SOURCE(FORTRAN77)): New macros.
	(AC_TRY_COMPILER, AC_EGREP_CPP, AC_TRY_RUN_NATIVE): Use
	AC_LANG_SOURCE.

2000-03-21  Akim Demaille  <akim@epita.fr>

	Fix a bug: some macros (e.g., AC_REVISION, AC_COPYRIGHT etc.) can
	be used before AC_INIT, but they do require it.  But then, the
	argument of the explicit AC_INIT call is lost.

	* acgeneral.m4 (AC_CONFIG_SRCDIR): New macro.
	(_AC_INIT_SRCDIR): Adjust.
	(_AC_INIT): Pass your argument to AC_CONFIG_SRCDIR.

2000-03-21  Akim Demaille  <akim@epita.fr>

	* tests/semantics.m4 (AC_PATH_PROG, AC_PATH_PROGS): New tests.

2000-03-21  Akim Demaille  <akim@epita.fr>

	Start the language support overhaul: Introduce AC_LANG().

	* acgeneral.m4 (AC_LANG): Renamed as _AC_LANG_CURRENT.
	(AC_LANG, AC_LANG(C), AC_LANG(C++), AC_LANG(FORTRAN77)): New
	macros.
	(AC_LANG_C, AC_LANG_CPLUSPLUS, AC_LANG_FORTRAN): AU_DEFUN'ed.
	Adjust all callers.
	* acspecific.m4 (AC_F77_NAME_MANGLING): Remove the exceeding
	AC_LANG_RESTORE.
	* tests/Makefile.am (FILTER_MACROS): Add AC_LANG.

2000-03-21  Akim Demaille  <akim@epita.fr>

	Speed ups.

	* libm4.m4 (m4_append, m4_list_append): Use m4_define, not define.
	On my machine the former implementation takes 4mn 40s to run the
	test suite.  Using m4_define leads to 4mn 15s.
	* acgeneral.m4 (_AC_SUBST): Use AC_EXPAND_ONCE (which uses
	m4_define, not define).  4mn.
	(_AC_DIVERT): Don't use m4_case.  Starting from those 4mn, if you
	just move NORMAL* first in m4_case, the test suite is run in 3mn.
	If instead of using m4, you use an `associative array' plus a
	wrapper (current implementation), it falls to 2mn.

2000-03-21  Akim Demaille  <akim@epita.fr>

	* tests/tools.m4 (autoconf --trace): New test.

2000-03-21  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (task trace): Pipe the output of the first m4 into
	the second one, instead of saving to a tmp file, so that we can
	trace endless configure.in expansion.

2000-03-21  Akim Demaille  <akim@epita.fr>

	Uniform idioms.

	* acgeneral.m4 (_AC_OUTPUT_FILES, _AC_OUTPUT_HEADERS,
	_AC_OUTPUT_LINKS, _AC_OUTPUT_COMMANDS): Prefer
	for i in : $is; do test $i = : && continue
	over
	for i in .. $is; do if test $i != ..; then

2000-03-21  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE, _AC_INIT_PARSE_ARGS): Move more
	initializations to...
	(_AC_INIT_DEFAULTS): here.

2000-03-21  Akim Demaille  <akim@epita.fr>

	Give a means to compute `srcdir' earlier in configure.

	* acgeneral.m4 (_AC_INIT_SRCDIR): New macro, pulled out from...
	(_AC_INIT_PREPARE): No longer compute `srcdir'.
	(_AC_INIT): Use _AC_INIT_SRCDIR.
	(AC_INIT): Don't forget to pass the argument to _AC_INIT.

2000-03-20  Jim Meyering  <meyering@lucent.com>

	* acspecific.m4 (AC_SYS_LONG_FILE_NAMES): Don't test for existence
	of $ac_xdir.  Not only is `test -e' not portable, but the test isn't
	necessary at all;  the following mkdir ends up accomplishing the
	same goal.  Suggestion from Alexandre Oliva.

	* acgeneral.m4 (_AC_INIT_PREPARE_ENVIRONMENT) [setting IFS]: Be careful
	to use space, tab and new line, in precisely that order.

2000-03-20  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_OUTPUT_SUBDIRS): Rename as _AC_OUTPUT_SUBDIRS.
	No argument, use AC_LIST_SUBDIRS.
	Adjust callers.

2000-03-20  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_ARG_ENABLE, AC_ARG_WITH): Double quote the head
	of the help snippet.

2000-03-20  Akim Demaille  <akim@epita.fr>

	Give an identity to `configure' scripts.

	* acgeneral.m4 (AC_PACKAGE): New macro.
	(_AC_COPYRIGHT_SEPARATOR): Remove.
	(AC_COPYRIGHT): Adjust.
	(_AC_INIT_HELP, _AC_INIT_VERSION): Name the package you configure
	when you want.
	(_AC_INIT): Adjust.
	* configure.in (AC_PACKAGE): Add.

2000-03-20  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Formatting changes.

2000-03-20  Akim Demaille  <akim@epita.fr>

	Don't rely on RS = "\0" to swallow the whole input as a single
	record, this is not portable: mawk and nawk understand it as RS =
	"".  gawk understands it as expected.

	* autoconf.sh (translate_awk::BEGIN): No longer change RS.
	(translate_awk::body): Move to the END.
	Instead, accumulate the input in `request'.

2000-03-20  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Testing Values and Files): Be a subsection of
	`Portable Shell Programming'.
	(Shell Substitutions, Limitations of Usual Tools): New subsections.

2000-03-17  Akim Demaille  <akim@epita.fr>

	Use a single tool to reformat the raw `configure' script output by
	m4.
	Suggested by Paul Eggert.

	* autoconf.sh: Stop playing with 2 seds and an AWK to finalize
	`configure', a single AWK program is enough.

2000-03-17  Akim Demaille  <akim@epita.fr>

	In Autoconf 2.13, although AC_OUTPUT_COMMANDS did double quote its
	arguments, AC_OUTPUT arguments 2 and 3 were not!  Currently,
	AC_OUTPUT over quotes too: stop that.
	Reported by Martin Buchholz.

	* doc/autoconf.texi (Output): Don't expand on the ternary
	AC_OUTPUT.
	* acgeneral.m4 (AC_OUTPUT): Don't over quote $2 and $3.

2000-03-17  Joseph S. Myers  <jsm28@cam.ac.uk>

	* acspecific.m4 (AC_SYS_LONG_FILE_NAMES): Security fixes: create
	the temp files in a private temporary directory, not directly in
	TMPDIR.

2000-03-17  Akim Demaille  <akim@epita.fr>

	Install the IFS we need once for all.

	* acgeneral.m4 (_AC_INIT_PREPARE_ENVIRONMENT): New macro.
	Handle the NLS envvars, and IFS.
	(_AC_INIT_PREPARE): Use it, no longer set the NLS envvars.
	(_AC_WHICH_A, AC_PATH_PROG): Rely on the default IFS.
	* acspecific.m4 (AC_PROG_INSTALL, AC_FUNC_SELECT_ARGTYPES):
	Likewise.

2000-03-17  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_TRY_CPP, AC_EGREP_CPP, AC_TRY_COMPILE,
	AC_TRY_LINK, AC_TRY_RUN_NATIVE): Simplify the removal of the
	contest files: don't remove them before running the actions, just
	remove them at the end of the macro.

2000-03-16  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_FUNC_SELECT_ARGTYPES): Use
	  : ${foo='some words'}
	not
	  : ${foo=some words}
	since this is not portable: Digital Unix v5.0: `bad substitution'.
	From Nicolas Joly.

2000-03-16  Lars J. Aas  <larsa@sim.no>

	* libm4.m4 (m4_assert, m4_shiftn): New macros.
	(m4_case,m4_match): Rewrite to use m4_shiftn (for readability reasons).
	(m4_for): Add the STEP argument and some argument-verifying asserts.
	(m4_split): Correct spaces to tabulator in regexp.

2000-03-15  Akim Demaille  <akim@epita.fr>

	Revamp AC_FUNC_SELECT_ARGTYPES.

	* acspecific.m4 (AC_FUNC_SELECT_ARGTYPES): Use a single cache
	variable instead of three.
	Use AC_CACHE_CHECK.
	Shorten the name of the var loops, they are no longer cached.
	Include sys/types.h unconditionally.
	`select' returns an int, fixes Autoconf/46.
	Don't display parens in the user messages.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* autoheader.sh: Use run_m4f, not run_m4.

2000-03-14  John David Anglin  <dave@hiauly1.hia.nrc.ca>

	* tests/actest.m4 (AC_ENV_SAVE): Don't consider RANDOM and LINENO
	which some shells update.  At least ksh on HP-UX 10.20 and sh on
	IRIX 6.5 do change their `RANDOM' even if `read' via `set'.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_ARG_ENABLE, AC_ARG_WITH): No use for @%:@ here,
	no need to over quote $1 in the comments.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Replace some ifelse with ifval or m4_default, or
	even nothing when not needed.
	* acspecific.m4: Likewise.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE): Insert the Autoconf version in
	config.log, and the command line which ran configure.
	Kill a couple of useless quote around dollars.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PREPARE): Kill a changequote in the
	building of `ac_configure_args'.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_DIVERT): Rename _AC_DIVERT.
	(AC_DIVERT): New macro.
	Spread its use where better than a pair of AC_DIVERT_PUSH/POP.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_BINSH): Remove, useless now that...
	(AC_REVISION): Require AC_INIT, not _AC_INIT_BINSH.
	(AC_INIT): Do what _AC_INIT_BINSH used to.
	Don't require _AC_INIT_VERSION, just call it.
	Rename as _AC_INIT.
	(AC_INIT): New macro, single expansion wrapper around _AC_INIT.
	(_AC_COPYRIGHT_SEPARATOR): New.
	(AC_COPYRIGHT): Use it.
	Require AC_INIT, not _AC_INIT_VERSION.
	* doc/autoconf.texi (Versions): Promote as first section of
	`Setup'.
	Rename as `Notices'.
	Document AC_COPYRIGHT.
	Don't give false reasons for placing AC_REVISION before AC_INIT,
	the place no longer matters.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (trace_m4::smash): Double quote, we don't want the
	result to be evaluated.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: s/@%:@line __oline__/#line __oline__/g. __oline__
	is not a macro, so there is just no use in avoiding `#'.

2000-03-14  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): When there were no
	CONFIG_FILES, we had to expand _AC_OUTPUT_FILES into the KILL
	diversion, because it is AC_OUTPUT_FILES which undiverted the
	AC_SUBST sed script at its proper place, otherwise it would have
	been undiverted at the end of `configure', leading to an sh syntax
	error.
	Now that we no longer use a diversion, we don't need to call
	AC_OUTPUT_FILES if useless.
	(AC_OUTPUT_FILES): Rename as _AC_OUTPUT_FILES.
	(AC_OUTPUT_LINKS): Rename as _AC_OUTPUT_LINKS.

2000-03-14  Akim Demaille  <akim@epita.fr>

	AC_ARG_PROGRAM must not be expanded twice, which is likely since
	Automake calls it, and usually users do too.  If it happens,
	`--program-prefix=g' actually prepend two (or more) `g'.

	* acgeneral.m4 (AC_DEFUN_ONCE): New macro.
	(AC_ARG_PROGRAM): AC_DEFUNed_ONCE.  Or is it AC_DEFUN_ONCE'd? :).
	No longer AC_EXPAND_ONCE the help string, the macro itself is
	expanded at most once.
	Rename the here-doc tag EOF_SED as EOF.

2000-03-14  Akim Demaille  <akim@epita.fr>

	Get rid of the ICMDS diversion.

	* acgeneral.m4 (AC_DIVERT): Remove ICMDS.
	(_AC_OUTPUT_COMMANDS_INIT): New growing string.
	(_AC_CONFIG_COMMANDS_INIT, _AC_OUTPUT_CONFIG_STATUS): Adjust.

2000-03-14  Akim Demaille  <akim@epita.fr>

	Introduce AC_SUBST(VAR, VAL).

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Stop global double quoting,
	failed experiment.
	Merge all the var=val AC_SUBST(var) into AC_SUBST(var, val).
	(AC_SUBST): Implement support for 2nd arg.
	* doc/autoconf.texi (Setting Output Variables): Adjust.

2000-03-13  Akim Demaille  <akim@epita.fr>

	Simplify the diversions naming system.
	Suggested by Alexandre Oliva and Lars J. Aas

	* libm4.m4 (ifndef): New macro.
	* acgeneral.m4 (AC_DIVERT): New macro, maps a diversion name to
	its value.  The diversions now have a short name, e.g., `NOTICE',
	instead of the former macros which had long names, e.g.,
	`AC_DIVERSION_NOTICE'.
	(AC_DIVERT_PUSH): Adjust.
	(AC_DIVERT_POP): Use ifndef.
	(AC_DIVERSION_CURRENT): Rename as `AC_DIVERT_DIVERSION' to stay
	within the `AC_DIVERT' name domain.
	Adjust all callers.
	* acspecific.m4: Adjust all callers.

2000-03-13  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Invoking autoconf): Update documentation of
	`autoconf --trace'.

2000-03-13  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (tmpbase): New var.  Adjust trap code and other tmp
	file names.
	(translate_awk::BEGIN): Set RS to "\0" so that the whole file be a
	single record.
	(translate_awk::trans): Convert from array to function.
	(translate_awk::error): New function.
	(translate_awk::main action): Implement support for ${sep}@ and
	${sep}*.  Use trans() and error().
	(translate_awk): Don't put space before user functions call, it is
	not portable.
	Remove trailing `;', this is not C :).
	(task trace): Quote `$traces' when you eval it, to protect the
	white spaces.
	Propagate `translate_awk' failures to `autoconf.sh'.
	Translate the quadrigraphs.

2000-03-13  Akim Demaille  <akim@epita.fr>

	Trap on 0 is not executed when `exit' is called without argument.

	* autoheader.sh (trap 1 2 13 15): s/exit/exit $?/.
	* autoconf.sh: Likewise.
	Remove translate_awk too.
	* autoupdate.sh: Likewise.
	Handle `--debug'.

2000-03-13  Akim Demaille  <akim@epita.fr>

	More uniform style in scripts.

	* autoheader.sh: s/-eq/=/.
	Uniform ordering of variable initializations, option handling.
	Don't use quotes where useless (foo=$1, not foo="$1").
	Propagate `run_m4' and `run_m4f'.
	Use `$0' in --help.
	* autoconf.sh: Likewise.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* ifnames.sh: Likewise.
	* autoupdate.m4: Small bug: at the end `dnl' is disabled, so use
	`m4_dnl'.

2000-03-13  Akim Demaille  <akim@epita.fr>

	`autoconf --trace': faster.

	* autoconf.sh (initialization): New var, new option.
	(option loop): When you need an arg, make sure there is one.
	(run_m4f): New var, which content is that of the former...
	(run_m4): Don't use m4 frozen state files.
	Change all callers.
	Don't pass AC_LOCALDIR, not documented, and unused.
	(task trace): Honor `--verbose' and `--initialization'.
	(globally): Send `--verbose' messages in stderr.
	Fix random typos.

2000-03-13  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_PROG_BINSH): Removed.

2000-03-13  Akim Demaille  <akim@epita.fr>

	Start revamping `autoconf --trace'.

	* autoconf.sh (debug): New var, new option.
	Adjust the trap code.
	(task trace): Instead of decoding `m4 --trace' with sed, decode it
	with m4 itself.
	($silent_m4): New file, which disables m4's `errprint'.
	($trace_m4): New file.  Logistic for the m4 which is in charge of
	decoding the traces of the first.
	($translate_awk): Transform a user trace request into $trace_m4
	code.

2000-03-10  Akim Demaille  <akim@epita.fr>

	Multiple `-e' to egrep are not portable.  On IRIX 6.5 and Solaris
	2.5.1 only the last one is honored:
	  > printf "foo\nbar\n" | egrep -e 'foo' -e 'bar'
	  bar
	  > printf "foo\nbar\n" | egrep -e 'bar' -e 'foo'
	  foo
	Reported by Nicolas Joly.
	An alternative would have been to use `sed', unfortunately
	alternation is not portable.

	* tests/actest.m4 (join): New macro.
	(AC_ENV_SAVE): Join the egrep patterns into a single big one.
	* tests/Makefile.am (EGREP_EXCLUDE): Rename as FILTER_MACROS.
	Join the egrep patterns into a single big one.

2000-03-10  Jim Meyering  <meyering@lucent.com>

	* acgeneral.m4 (_AC_CHECK_TOOL_PREFIX): Correct typos in definition:
	add `_' prefix to make the function name match comments and existing
	uses.  Remove leading prefix from _AC_CANONICAL_HOST.

2000-03-09  Ossama Othman  <ossama@debian.org>

	* acspecific.m4 (AC_SYS_RESTARTABLE_SYSCALLS): Added some missing
	headers if they exist (needed for some missing prototypes) and
	corrects the signal handler prototype/definition.  The signal
	handler prototype is now prepended with an `extern "C"' for C++
	compilers since some platforms explicitly require an `extern "C"'
	signal handler.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* autoheader.m4 (autoheader::AC_CHECK_HEADERS_DIRENT): Rename as
	(autoheader::_AC_CHECK_HEADERS_DIRENT): to cope with the new name
	of the autoconf:: macro.
	Fixes autoconf/119, reported by Raja R Harinath.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_PATH_PROG, AC_OUTPUT_FILES, AC_OUTPUT_SUBDIRS):
	Fix quotation problems in DOS path handling.

2000-03-08  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* acspecific.m4 (AC_FUNC_MMAP, AC_FUNC_ALLOCA): Make them C++
	safe: include the right headers, cast the allocations etc.

2000-03-08  Akim Demaille  <akim@epita.fr>

	The argument of AC_COPYRIGHT should be plain text, not an sh
	comment.

	* libm4.m4 (m4_quote): s/$@/$*/.
	* acgeneral.m4 (AC_COPYRIGHT): Prepend `# ' to the lines that go
	on the top of `configure'.  Actually, prepend `@%:@ ' so that
	there are as many evaluations on both sides.
	(_AC_INIT_VERSION): No longer strip `# '.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* tests/Makefile.am (all-local): Remove.  It wastes time to have
	testsuite rebuilt each time an ac*.m4 file changes.  It is enough
	to build it for each `make check'.

2000-03-08  Akim Demaille  <akim@epita.fr>

	Leave a diversion exclusively for Copyright notices.

	* acgeneral.m4 (AC_DIVERSION_DEFAULTS): New diversion number.
	(_AC_INIT_NOTICE): Move definition of `ac_includes_default' from
	here...
	(_AC_INIT_PREPARE): to here.
	(_AC_INIT_NOTICE): Play with your diversion yourself, don't let
	(AC_INIT): do it for you.
	(_AC_INIT_DEFAULTS): New macro.
	(AC_INIT): Use it.

2000-03-08  Akim Demaille  <akim@epita.fr>

	Provide a means to specify more Copyright information in
	`configure'.  And after all, it suits to `configure --version' too.

	* acgeneral.m4 (AC_DIVERSION_DEFAULTS, AC_DIVERSION_INIT_PREPARE):
	New diversion numbers.
	(AC_DIVERSION_INIT): Rename as...
	(AC_DIVERSION_INIT_PARSE_ARGS): this.
	(AC_DIVERT_POP): Instead of going into wild endless loops when
	there are more pops than pushes, die with dignity.
	(AC_COPYRIGHT): New macro.
	(_AC_INIT_NOTICE): Move definition of `ac_includes_default' from
	here...
	(_AC_INIT_PREPARE): to here.
	(_AC_INIT_NOTICE): Remove.
	(AC_INIT): Use it to install Autoconf's Copyright.
	(_AC_INIT_DEFAULTS): New macro.
	(AC_INIT): Use it.
	(AC_PREFIX_DEFAULTS): Dump in AC_DIVERSION_DEFAULTS.
	(_AC_INIT_PARSE_ARGS): Dump in AC_DIVERSION_INIT_PREPARE.

2000-03-08  Akim Demaille  <akim@epita.fr>

	We don't need _AC_ARG_*_HELP_PROLOGUE.

	* acgeneral.m4 (AC_EXPAND_ONCE): AC_PROVIDE yourself, in case
	there is no AC_DEFUN associated with the text to expand.
	(_AC_ARG_ENABLE_HELP_PROLOGUE, _AC_ARG_WITH_HELP_PROLOGUE,
	_AC_ARG_VAR_HELP_PROLOGUE): Remove, instead...
	(AC_ARG_ENABLE, AC_ARG_WITH, AC_ARG_VAR): do it yourself.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Fix copy n' paste typos in
	`--with-*', `--without-*' and `*' decoding.
	Reported by Raja R Harinath.
	Fixes autoconf/118.

2000-03-08  Akim Demaille  <akim@epita.fr>

	Don't dump AC_ARG_PROGRAM help messages if not used.

	* acgeneral.m4 (_AC_INIT_HELP): Don't.
	(AC_ARG_PROGRAM): Do.

2000-03-08  Akim Demaille  <akim@epita.fr>

	Don't dump X help messages when `configure' does not check for X.

	* acgeneral.m4 (_AC_INIT_HELP): Don't dump X help messages.
	* acspecific.m4 (AC_PATH_X): Do it.

2000-03-08  Akim Demaille  <akim@epita.fr>

	No longer rely on /bin/sh to compose the optional parts of
	`configure --help'.

	* acgeneral.m4 (AC_DIVERSION_HELP_BEGIN, AC_DIVERSION_HELP_ENABLE,
	AC_DIVERSION_HELP_WITH, AC_DIVERSION_HELP_VAR,
	AC_DIVERSION_HELP_END): New diversion numbers.
	(AC_EXPAND_ONCE): New macro.
	(AC_PROVIDE_IF): New macro.
	(AC_BEFORE, AC_REQUIRE): Use it.
	(AC_REQUIRE): Don't use indir.
	(_AC_ARG_ENABLE_HELP_PROLOGUE, _AC_ARG_WITH_HELP_PROLOGUE,
	_AC_ARG_VAR_HELP_PROLOGUE): New macros.
	(AC_ARG_ENABLE, AC_ARG_WITH, AC_ARG_VAR): Expand once the
	_HELP_PROLOGUE macro which corresponds.
	(_AC_INIT_HELP): Adjust to AC_DIVERSION_HELP_BEGIN and
	AC_DIVERSION_HELP_END.
	(_AC_INIT_NOTICE, _AC_INIT_HELP): Remove the sh code which handled
	the optional help strings.

2000-03-08  Akim Demaille  <akim@epita.fr>

	AC_OUTPUT_COMMANDS no longer uses a diversion.

	* acgeneral.m4 (AC_DIVERSION_CMDS): Removed.
	(_AC_OUTPUT_CONFIG_STATUS): Don't undivert it.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_INIT_PARSE_ARGS): Fix quoted/non quoted here
	document problems.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_INIT_BINSH, AC_INIT_NOTICE, AC_INIT_PREPARE):
	Rename as...
	(_AC_INIT_BINSH, _AC_INIT_NOTICE, _AC_INIT_PREPARE): this.
	All callers adjusted.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_INIT_PARSE_ARGS): Rename as...
	(_AC_INIT_PARSE_ARGS): this.
	Move the display of help and version strings to...
	(_AC_INIT_HELP, _AC_INIT_VERSION): here.
	(AC_INIT): Adjust.  Also, fix quotation.

2000-03-08  Akim Demaille  <akim@epita.fr>

	Some tests are failing with srcdir != builddir, because they can't
	find config.guess, install-sh etc.
	Reported by Erez Zadok.

	* tests/atspecific.m4 (AT_TEST_MACRO): Set AC_CONFIG_AUX_DIR to
	top_srcdir in configure.in, and pass the value of top_srcdir to
	configure.

2000-03-08  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_ARG_ENABLE, AC_ARG_WITH, AC_PATH_PROG,
	AC_PATH_PROGS, AC_PATH_TOOL, AC_CHECK_TOOL, AC_PREFIX_PROGRAM,
	AC_EGREP_CPP, AC_TRY_LINK, AC_COMPILE_CHECK, AC_TRY_RUN_NATIVE):
	Use ifval instead of ifelse.

2000-03-07  Mark Elbrecht  <snowball3@bigfoot.com>

	Support absolute DOS-style paths.

	Any character before the colon is accepted because network drives
	can be assigned characters outside the [a-zA-Z] range. DOS-style
	relative paths (?:foo/bar) are also considered absolute for
	Autoconf's purposes since the path '../?:foo/bar' is invalid.

	* acgeneral.m4 (AC_OUTPUT_FILES): Treat DOS-style paths (?:*') as
	absolute.
	(AC_OUTPUT_SUBDIRS): Likewise.
	(AC_PATH_PROG): Make pattern for matching DOS-style paths the same
	as that used in AC_OUTPUT_FILES and AC_OUTPUT_SUBDIRS.

2000-03-06  Akim Demaille  <akim@epita.fr>

	* tests/atspecific.m4 (m4_match): Remove, no longer used.

2000-03-04  Jim Meyering  <meyering@lucent.com>

	* autoheader.sh: Use `rm -f', not just `rm' when removing temporaries.
	Preserve exit status in trap handler.
	Based on suggestions from Paul Eggert.

2000-03-03  Paul Eggert  <eggert@twinsun.com>

	Move the quadrigraphs out of the user name space.

	* acgeneral.m4: 's/\@BKL@/@<:@/g', 's/\@BKR@/\@:>@/g',
	's/\@DLR@/\@S|@/g', 's/\@PND@/@%:@/g'.
	* acspecific.m4: Likewise.
	* autoconf.sh: Likewise.

2000-03-03  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_WHICH_A): New macro.
	(AC_CHECK_PROG): Use it.  Use ifval.
	(AC_CHECK_PROGS): Use ifval.  Fix the quoting.
	* tests/semantics.m4: Test AC_CHECK_PROG.
	* tests/Makefile.am (EGREP_EXCLUDE): Add /AC_CHECK_PROGS?/.

2000-03-02  Russ Allbery  <rra@stanford.edu>

	* autoscan.pl (parse_args): Add support for -m <macrodir>.

2000-03-02  Akim Demaille  <akim@epita.fr>

	The whole family supports -V = --version.

	* acgeneral.m4 (AC_INIT_PARSE_ARGS): Report and support -V.
	* autoconf.sh: Likewise.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* autoheader.sh: Likewise.
	* autoscan.pl: Likewise.
	* ifnames.sh: Likewise.
	In addition, don't dump --help on invalid options.
	* doc/autoconf.texi: Adjusted.
	* doc/install.texi: Likewise.

2000-03-02  Lars J. Aas  <larsa@sim.no>

	* libm4.m4 (m4_noquote): New macro.

2000-03-02  Akim Demaille  <akim@epita.fr>

	* acspecific.m4 (AC_PATH_X_DIRECT): Moved all the shell variable
	into the ac_ name space.
	Reported by Nicolas Joly.

2000-03-02  Akim Demaille  <akim@epita.fr>

	* acspecific.m4: Move some macros to a better place.

2000-03-02  Akim Demaille  <akim@epita.fr>

	Internal macros are named `_AC_'.

	* acgeneral.m4 (AC_CANONICAL_TARGET, AC_CANONICAL_BUILD,
	AC_CANONICAL_THING, AC_CHECK_TOOL_PREFIX, AC_CONFIG_UNIQUE):
	Prepend `_' to their names.
	* acspecific.m4 (AC_CHECK_HEADER_DIRENT, AC_CHECK_HEADERS_DIRENT,
	AC_PATH_X_XMKMF, AC_PATH_X_DIRECT): Prepend `_' to their names.
	* doc/autoconf.texi (Macro Names): Adjusted.

2000-03-02  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Formatting changes.
	* acspecific.m4: Likewise.

2000-03-01  Akim Demaille  <akim@epita.fr>

	The empty regexp cannot be portably used in egrep's alternation.
	For instance with Digital Unix v5.0:
	   > echo "foo"  | egrep -e "^(|foo|bar)$"
	   > echo "|foo" | egrep -e "^(|foo|bar)$"
	   |foo
	   > echo "|bar" | egrep -e "^(|foo|bar)$"
	   > echo "bar"  | egrep -e "^(|foo|bar)$"
	   bar
	   > echo "bar" | egrep '^(foo|bar|)$'
	   > echo "bar|" | egrep '^(foo|bar|)$'
	   bar|
	   > echo "bar" | egrep '^(foo||bar)$'
	   > echo "|bar" | egrep '^(foo||bar)$'
	   |bar
	   > echo "foo" | egrep '^(foo||bar)$'
	   foo
	   > echo "foo|" | egrep '^(foo||bar)$'
	   >
	Reported by Nicolas Joly.

	* src/actest.m4 (AC_ENV_SAVE): s/(|EXTRA_|PRE_)/(EXTRA_|PRE_)?/.

2000-03-01  Akim Demaille  <akim@epita.fr>

	* acspecific.m4: Removed a few addresses, the map is...
	* THANKS: here.

2000-03-01  Lars Hecking  <lhecking@nmrc.ucc.ie>

	* acspecific.m4 (AC_PATH_XTRA): On LynxOS 3.0.1/i386,
	gethostbyname(), getservbyname(), and inet_addr() are in -lbsd.

2000-03-01  Akim Demaille  <akim@epita.fr>

	* tests/actest.m4 (AC_ENV_SAVE): Use multiple -e instead of
	multiple egrep.

2000-03-01  Akim Demaille  <akim@epita.fr>

	* config.guess: Updated from master repository.
	* config.sub: Likewise.

2000-03-01  Akim Demaille  <akim@epita.fr>

	Test suite: instead of using a full list of the AC macros and an
	AT macro with selects which are the AC macros to test, just
	produce the list of the AC macros we want to test.

	* tests/atspecific.m4 (TEST_MACRO): Removed.
	* tests/Makefile.am (EGREP_EXCLUDE): New variable, performing the
	selection TEST_MACRO used to do.
	(macros.m4): Use it.  Use AT_TEST_MACRO, not TEST_MACRO.  Check
	also AU macros.

2000-03-01  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi: Tune the use of quotes, add missing
	@noindents, remove dead FIXME:s, promote #if ! over #ifndef,
	simplify duplicated text.

2000-03-01  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Configuration Commands): Document
	AC_CONFIG_COMMANDS_PRE and _POST.

2000-02-29  Akim Demaille  <akim@epita.fr>

	Test suite: more debugging information.

	* tests/atspecific.m4 (AT_TEST_MACRO): When verbose, report the
	content of config.log.

2000-02-29  Akim Demaille  <akim@epita.fr>

	* Makefile.am (MAKEINFO): Removed.
	(INSTALL.txt): Call $(MAKEINFO) with --no-split.
	Reported by Nicolas Joly.

2000-02-28  Akim Demaille  <akim@epita.fr>

	* doc/Makefile.am (MAKEINFO): s/makeinfo/@MAKEINFO@/.
	* missing: chmod +x.

2000-02-28  Akim Demaille  <akim@epita.fr>

	* tests/Makefile.am (testsuite): Use $(M4), not m4.
	From Patrick Tullmann.

2000-02-25  Akim Demaille  <akim@epita.fr>

	* src/acgeneral.texi (AC_INIT_NOTICE): Include inttypes.h in the
	ac_includes_default.
	* doc/autoconf.texi (Default Includes): Adjust.

2000-02-25  Akim Demaille  <akim@epita.fr>

	Export the knowledge on disabling echo's trailing new line.

	* acspecific.m4 (AC_PROG_ECHO_N): Rename as...
	(_AC_PROG_ECHO): this.
	Set ECHO_N, ECHO_C, ECHO_T instead of ac_n, ac_c and ac_t.
	All dependencies changed.
	* doc/autoconf.texi (Preset Output Variables): Document ECHO_C,
	ECHO_N and ECHO_T.
	* m4/atconfig.m4 (fp_PROG_ECHO): Removed.
	(AT_CONFIG): Don't use it.

2000-02-24  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (AC_ACLOCALDIR): Use `(aclocal) 2>/dev/null`, not
	`aclocal 2>/dev/null` if you want no complaints for missing
	aclocal.
	From Nicolas Joly.

2000-02-22  Pavel Roskin  <pavel_roskin@geocities.com>

	* configure.in (HELP2MAN): Specify the third argument of
	AM_MISSING_PROG.  Fixes autoconf/116.

2000-02-21  Akim Demaille  <akim@epita.fr>

	* tests/tools.m4 (syntax.sh): The logic of the previous patch was
	twisted.  Fix it so that it performs what claims the entry below.
	From Nicolas Joly.

2000-02-21  Akim Demaille  <akim@epita.fr>

	* tests/tools.m4 (syntax.sh): Exit 1 if you managed to kill the
	child, since it means `/bin/sh -n' went loopy.

2000-02-18  Akim Demaille  <akim@epita.fr>

	Some `diff' refuse to diff with /dev/null, such as Tru64's.
	Reported by Nicolas Joly.

	* tests/atgeneral.m4 (empty): New dummy file.
	Changed various `diff /dev/null' as `diff empty'.

2000-02-18  Akim Demaille  <akim@epita.fr>

	* tests/atspecific.m4 (TEST_MACRO): Don't run AC_PATH_TOOL and
	AC_PATH_PROG.

2000-02-18  Akim Demaille  <akim@epita.fr>

	* tests/atgeneral.m4 (at_diff): Don't use `cmp -s', on DOS it
	differentiate between Unix and DOS EOL. `diff' does not.
	Reported by Eli Zaretski.
	Also, be ready to use a diff that does not support `-u'.

2000-02-18  Akim Demaille  <akim@epita.fr>

	* tests/tools.m4 (Syntax of the scripts): Be robust to shells that
	never return on some `/bin/sh -n foo.sh'.
	Reported by Nicolas Joly.

2000-02-17  Akim Demaille  <akim@epita.fr>

	Move the documentation into doc/.
	Some CVS tricks were used so that history is kept in both the top
	directory, and in doc/.

	* doc/Makefile.am: New file.
	* Makefile.am: Adjusted.
	* configure.in: Adjusted.
	* autoconf.texi: Moved from here to...
	* doc/autoconf.texi: here.
	* make-stdts.texi: Likewise.
	* install.texi: Likewise.
	* texinfo.tex: Likewise.

2000-02-17  Akim Demaille  <akim@epita.fr>

	* tests/actest.m4 (AC_ENV_SAVE): Added ALLOCA.

2000-02-17  Akim Demaille  <akim@epita.fr>

	* tests/semantics.m4 (AC_CHECK_TYPES): `addr, addr' is not
	portable sed: use `addr,addr'.

2000-02-17  Akim Demaille  <akim@epita.fr>

	Fix the `missing dummy.in' reported by the test suite.
	Reported by Erez Zadok.

	* tests/torture.m4 (config.status under extreme conditions):
	Reorganized.  Because files required by this test were created
	outside the pair AT_SETUP/AT_CLEANUP, when the test fails and
	autotest extracts this test, the `debug' script does not contain
	the files it needs.  Now AT_SETUP/AT_CLEANUP encloses the full
	auto contained section.

2000-02-16  Akim Demaille  <akim@epita.fr>

	* tests/actest.m4 (AC_ENV_SAVE): X_EXTRA_LIBS can be changed by
	AC_PATH_EXTRA.
	Reported by Erez Zadok.

2000-02-15  Akim Demaille  <akim@epita.fr>

	Define HAVE_DECL_FOO both to 1 if found and 0 otherwise.

	* acgeneral.m4 (AC_CHECK_DECLS): Define HAVE_DECL_FOO to 1 instead
	of NEED_FOO_DECL if found.  Define to 0 if not found.
	* autoheader.m4 (AC_CHECK_DECLS): Template HAVE_DECL_FOO.
	* tests/semantics.m4 (AC_CHECK_DECLS): Adjusted.
	* doc/autoconf.texi (Generic Declarations): Adjusted.

2000-02-15  Akim Demaille  <akim@epita.fr>

	* doc/autoconf.texi (Generic Structures):
	s/AC_FATAL/AC_MSG_ERROR.

2000-02-15  Akim Demaille  <akim@epita.fr>

	autoreconf had a silly syntax error, test it and fix it.
	Reported by Franc,ois Pinard and Rainer Orth.

	* autoreconf.sh: Removed spurious `;;'.
	Formatting changes.
	* tests/tools.m4 (Syntax of the scripts): Run `sh -n' on all the
	shell scripts.

2000-02-15  Akim Demaille  <akim@epita.fr>

	* autoconf.sh (options handling): --v* of --version was shadowing
	--verbose.

2000-02-11  Akim Demaille  <akim@epita.fr>

	* tests/torture.m4: Nuke the trailing space in defs.

2000-02-11  Akim Demaille  <akim@epita.fr>

	* tests/atspecific.m4: Really added to the CVS repository.

2000-02-11  Akim Demaille  <akim@epita.fr>

	Don't use `cat -s' to single out new-lines, it is not portable.
	Also remove trailing blanks.

	* tests/Makefile.am (testsuite): Use sed instead of cat.
	* tests/torture.m4: No longer check for a trailing space.
	* autoconf.sh: Likewise.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* tests/actest.m4 (AC_ENV_SAVE): OpenBSD-2.3's /bin/sh defines an
	envvar SECONDS which does change with time.
	KMEM_GROUP is set by AC_FUNC_GETLOADAVG.
	Reported by Volker Borchert.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* tests/Makefile.am (macros.m4): Better regex to build `macro'.
	Depend upon acgeneral.m4.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* autoheader.sh: Remove the duplicate trap code.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_OUTPUT): When dispatching your arguments, use
	ifval, not ifset!
	Dispatch actions to AC_CONFIG_COMMANDS not AC_OUTPUT_COMMANDS, to
	avoid unneeded warnings for obsolete use of AC_OUTPUT_COMMANDS.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_VERBOSE): This is a tab, not spaces.

2000-02-10  Akim Demaille  <akim@epita.fr>

	Changequote busters II.
	They're back to save the world.

	* acspecific.m4 (AC_PROG_CC_C_O, AC_PROG_F77_C_O,
	AC_PROG_MAKE_SET, AC_TYPE_GETGROUPS, AC_FUNC_GETLOADAVG,
	AC_FUNC_MKTIME, AC_STRUCT_TIMEZONE, AC_F77_LIBRARY_LDFLAGS): Blast
	that jelly o' changequote.  Set the quotes free.

2000-02-10  Akim Demaille  <akim@epita.fr>

	Interrupting autoheader left temp files.
	From Jim Meyering.

	* autoheader.sh (usage): The usage is to use $0 here.
	(ah_base): Be in TMPDIR.
	Install the `trap' before creating the first tmp file.
	Also trap on 0.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_OUTPUT_MAKE_DEFS): This is a routine of
	`configure', not `config.status', hence use `conftest' for tmp
	files, not `$ac_cs_root'.
	Removed forgotten developer comment.
	Double quoting the whole body is nicer than just the part that
	needs to be.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* tests/torture.m4: Also check the value of @DEFS@ when no
	CONFIG_HEADER is used.

2000-02-10  Akim Demaille  <akim@epita.fr>

	Changequote-busters!
	From Dan Ackroyd.

	* acgeneral.m4 (AC_INIT_PARSE_ARGS, AC_INIT_PREPARE,
	AC_CACHE_SAVE, AC_PREFIX_PROGRAM, AC_OUTPUT,
	_AC_OUTPUT_CONFIG_STATUS, AC_OUTPUT_MAKE_DEFS, AC_OUTPUT_FILES,
	_AC_OUTPUT_HEADERS, AC_OUTPUT_LINKS, AC_OUTPUT_SUBDIRS): Quit
	playing with changequotes, @BKL@ and Co.!  Just quote properly.

2000-02-10  Akim Demaille  <akim@epita.fr>

	Honor properly the `#define' config.h.in templates.
	Test it.

	* acgeneral.m4 (AC_OUTPUT_HEADERS): Rename as...
	(_AC_OUTPUT_HEADERS): this.  All callers changed.
	Don't mess with changequote, just quote properly.
	Bug 1.  Because of the `#' in `ac_dA', the quotes <<>> were not
	removed, and therefore the sed script contained `<<define>>'
	instead of `define'.  Now that the block is properly quoted, there
	is no need to quote `define'.
	Bug 2.  Once a `#define' substitution performed, we were branching
	to the top of the sed script (`t top').  This resulted in an
	endless substitution of `#define foo 1' to `#define foo 1'.
	Branching is not enough: you also have to fetch the next input
	line, i.e., use `t' instead of `t t' in ac_dD, and don't output
	`: top' in `config.defines'.
	Though it was correct for `#undef' templates, just apply the same
	transformation to `ac_uD' and `config.undefs'.
	Bug 3.  Don't try to preserve what was behind the value in the
	template, since on
		#define NAME "bar baz"
	it leads to
		#define NAME 1 baz"
	Now `ac_dB' catches everything behind the NAME (making sure there
	is at least a space) and `ac_dC' only outputs a space.
	* tests/torture.m4: Check that various forms of `#define' header
	templates are properly handled.

2000-02-10  Akim Demaille  <akim@epita.fr>

	Avoid calling `rm' without arguments.

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): It is smarter to use a
	quoted here doc to output the section providing defaults for
	CONFIG_*.
	Don't rm the CONFIG_FILES here but in..
	(AC_OUTPUT_FILES) [test -n "$CONFIG_FILES"]: here.
	Hm, actually, no, just don't remove them at all, let the newly
	created files replace the old ones, exactly as in
	AC_OUTPUT_HEADERS.
	From Graham Jenkins.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (AC_LIST_MEMBER_OF): s/ac_$exists/$ac_exists/!

2000-02-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4: Formatting changes.
	* acspecific.m4: Likewise.

2000-02-10  Akim Demaille  <akim@epita.fr>

	* acgeneral.m4 (_AC_OUTPUT_CONFIG_STATUS): Don't
